package com.google.developers.schemas.impl;

import java.lang.String;
import java.net.URL;
import java.util.LinkedList;
import java.util.List;
import org.schema.AdministrativeArea;
import org.schema.EducationalAudience;
import com.google.developers.schemas.impl.SchemaObjectImpl;

/**
 * An EducationalAudience
 */
public class EducationalAudienceImpl extends SchemaObjectImpl implements EducationalAudience {


  private AudienceImpl audience;
  private ThingImpl thing;

  /**
   * An educationalRole of an EducationalAudience
   */
  private List<String> educationalRole = new LinkedList<String>();
  
  /**
   * Default constructor. Sets class URI and initializes superclass instances.
   */
  public EducationalAudienceImpl() {
    super("http://schema.org/EducationalAudience");
    audience = new AudienceImpl();
  }
  /**
   * Get a single additionalType property value for this EducationalAudience object.
   *
   * @return The first additionalType property value.
   */
  public URL getAdditionalType() {
    return thing.getAdditionalType();
  }
  
  /**
   * Get a single alternateName property value for this EducationalAudience object.
   *
   * @return The first alternateName property value.
   */
  public String getAlternateName() {
    return thing.getAlternateName();
  }
  
  /**
   * Get a single audienceType property value for this EducationalAudience object.
   *
   * @return The first audienceType property value.
   */
  public String getAudienceType() {
    return audience.getAudienceType();
  }
  
  /**
   * Get a single description property value for this EducationalAudience object.
   *
   * @return The first description property value.
   */
  public String getDescription() {
    return thing.getDescription();
  }
  
  /**
   * Get a single educationalRole property value for this EducationalAudience object.
   *
   * @return The first educationalRole property value.
   */
  public String getEducationalRole() {
  	return this.educationalRole.isEmpty() ? null : this.educationalRole.get(0);
  }
  
  /**
   * Get a single geographicArea property value for this EducationalAudience object.
   *
   * @return The first geographicArea property value.
   */
  public AdministrativeArea getGeographicArea() {
    return audience.getGeographicArea();
  }
  
  /**
   * Get a single image property value for this EducationalAudience object.
   *
   * @return The first image property value.
   */
  public URL getImage() {
    return thing.getImage();
  }
  
  /**
   * Get a single name property value for this EducationalAudience object.
   *
   * @return The first name property value.
   */
  public String getName() {
    return thing.getName();
  }
  
  /**
   * Get a single sameAs property value for this EducationalAudience object.
   *
   * @return The first sameAs property value.
   */
  public URL getSameAs() {
    return thing.getSameAs();
  }
  
  /**
   * Get a single url property value for this EducationalAudience object.
   *
   * @return The first url property value.
   */
  public URL getUrl() {
    return thing.getUrl();
  }
  
  /**
   * Get all the additionalType property values for this EducationalAudience object.
   *
   * @return A list of additionalType property values.
   */
  public List<URL> getAdditionalTypes() {
    return thing.getAdditionalTypes();
  }
  
  /**
   * Get all the alternateName property values for this EducationalAudience object.
   *
   * @return A list of alternateName property values.
   */
  public List<String> getAlternateNames() {
    return thing.getAlternateNames();
  }
  
  /**
   * Get all the audienceType property values for this EducationalAudience object.
   *
   * @return A list of audienceType property values.
   */
  public List<String> getAudienceTypes() {
    return audience.getAudienceTypes();
  }
  
  /**
   * Get all the description property values for this EducationalAudience object.
   *
   * @return A list of description property values.
   */
  public List<String> getDescriptions() {
    return thing.getDescriptions();
  }
  
  /**
   * Get all the educationalRole property values for this EducationalAudience object.
   *
   * @return A list of educationalRole property values.
   */
  public List<String> getEducationalRoles() {
  	return this.educationalRole;
  }
  
  /**
   * Get all the geographicArea property values for this EducationalAudience object.
   *
   * @return A list of geographicArea property values.
   */
  public List<AdministrativeArea> getGeographicAreas() {
    return audience.getGeographicAreas();
  }
  
  /**
   * Get all the image property values for this EducationalAudience object.
   *
   * @return A list of image property values.
   */
  public List<URL> getImages() {
    return thing.getImages();
  }
  
  /**
   * Get all the name property values for this EducationalAudience object.
   *
   * @return A list of name property values.
   */
  public List<String> getNames() {
    return thing.getNames();
  }
  
  /**
   * Get all the sameAs property values for this EducationalAudience object.
   *
   * @return A list of sameAs property values.
   */
  public List<URL> getSameAss() {
    return thing.getSameAss();
  }
  
  /**
   * Get all the url property values for this EducationalAudience object.
   *
   * @return A list of url property values.
   */
  public List<URL> getUrls() {
    return thing.getUrls();
  }
  
  /**
   * Set the additionalType property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param additionalType The value to set.
   */
  public void setAdditionalType(URL additionalType) {
    thing.setAdditionalType(additionalType);
  }
  
  /**
   * Set the alternateName property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param alternateName The value to set.
   */
  public void setAlternateName(String alternateName) {
    thing.setAlternateName(alternateName);
  }
  
  /**
   * Set the audienceType property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param audienceType The value to set.
   */
  public void setAudienceType(String audienceType) {
    audience.setAudienceType(audienceType);
  }
  
  /**
   * Set the description property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param description The value to set.
   */
  public void setDescription(String description) {
    thing.setDescription(description);
  }
  
  /**
   * Set the educationalRole property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param educationalRole The value to set.
   */
  public void setEducationalRole(String educationalRole) {
  	this.educationalRole.clear();
  	this.educationalRole.add(educationalRole);
  }
  
  /**
   * Set the geographicArea property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param geographicArea The value to set.
   */
  public void setGeographicArea(AdministrativeArea geographicArea) {
    audience.setGeographicArea(geographicArea);
  }
  
  /**
   * Set the image property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param image The value to set.
   */
  public void setImage(URL image) {
    thing.setImage(image);
  }
  
  /**
   * Set the name property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param name The value to set.
   */
  public void setName(String name) {
    thing.setName(name);
  }
  
  /**
   * Set the sameAs property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param sameAs The value to set.
   */
  public void setSameAs(URL sameAs) {
    thing.setSameAs(sameAs);
  }
  
  /**
   * Set the url property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param url The value to set.
   */
  public void setUrl(URL url) {
    thing.setUrl(url);
  }
  
  /**
   * Set the additionalType property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param additionalTypes The list of values to set.
   */
  public void setAdditionalTypes(List<URL> additionalTypes) {
    thing.setAdditionalTypes(additionalTypes);
  }
  
  /**
   * Set the alternateName property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param alternateNames The list of values to set.
   */
  public void setAlternateNames(List<String> alternateNames) {
    thing.setAlternateNames(alternateNames);
  }
  
  /**
   * Set the audienceType property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param audienceTypes The list of values to set.
   */
  public void setAudienceTypes(List<String> audienceTypes) {
    audience.setAudienceTypes(audienceTypes);
  }
  
  /**
   * Set the description property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param descriptions The list of values to set.
   */
  public void setDescriptions(List<String> descriptions) {
    thing.setDescriptions(descriptions);
  }
  
  /**
   * Set the educationalRole property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param educationalRoles The list of values to set.
   */
  public void setEducationalRoles(List<String> educationalRoles) {
  	this.educationalRole = educationalRoles;
  }
  
  /**
   * Set the geographicArea property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param geographicAreas The list of values to set.
   */
  public void setGeographicAreas(List<AdministrativeArea> geographicAreas) {
    audience.setGeographicAreas(geographicAreas);
  }
  
  /**
   * Set the image property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param images The list of values to set.
   */
  public void setImages(List<URL> images) {
    thing.setImages(images);
  }
  
  /**
   * Set the name property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param names The list of values to set.
   */
  public void setNames(List<String> names) {
    thing.setNames(names);
  }
  
  /**
   * Set the sameAs property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param sameAss The list of values to set.
   */
  public void setSameAss(List<URL> sameAss) {
    thing.setSameAss(sameAss);
  }
  
  /**
   * Set the url property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param urls The list of values to set.
   */
  public void setUrls(List<URL> urls) {
    thing.setUrls(urls);
  }
  
  /**
   * Adds a additionalType property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param additionalType The value to add.
   */
  public void addAdditionalType(URL additionalType) {
    thing.addAdditionalType(additionalType);
  }
  
  /**
   * Adds a alternateName property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param alternateName The value to add.
   */
  public void addAlternateName(String alternateName) {
    thing.addAlternateName(alternateName);
  }
  
  /**
   * Adds a audienceType property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param audienceType The value to add.
   */
  public void addAudienceType(String audienceType) {
    audience.addAudienceType(audienceType);
  }
  
  /**
   * Adds a description property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param description The value to add.
   */
  public void addDescription(String description) {
    thing.addDescription(description);
  }
  
  /**
   * Adds a educationalRole property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param educationalRole The value to add.
   */
  public void addEducationalRole(String educationalRole) {
  	this.educationalRole.add(educationalRole);
  }
  
  /**
   * Adds a geographicArea property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param geographicArea The value to add.
   */
  public void addGeographicArea(AdministrativeArea geographicArea) {
    audience.addGeographicArea(geographicArea);
  }
  
  /**
   * Adds a image property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param image The value to add.
   */
  public void addImage(URL image) {
    thing.addImage(image);
  }
  
  /**
   * Adds a name property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param name The value to add.
   */
  public void addName(String name) {
    thing.addName(name);
  }
  
  /**
   * Adds a sameAs property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param sameAs The value to add.
   */
  public void addSameAs(URL sameAs) {
    thing.addSameAs(sameAs);
  }
  
  /**
   * Adds a url property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param url The value to add.
   */
  public void addUrl(URL url) {
    thing.addUrl(url);
  }
  
}