package com.google.developers.schemas.impl;

import java.lang.String;
import java.net.URL;
import java.util.Date;
import java.util.List;
import org.schema.AdministrativeArea;
import org.schema.Audience;
import org.schema.Duration;
import org.schema.GovernmentPermit;
import org.schema.Organization;
import org.schema.Service;
import com.google.developers.schemas.impl.SchemaObjectImpl;

/**
 * A permit issued by a government agency.
 */
public class GovernmentPermitImpl extends SchemaObjectImpl implements GovernmentPermit {


  private PermitImpl permit;
  private ThingImpl thing;

  /**
   * Default constructor. Sets class URI and initializes superclass instances.
   */
  public GovernmentPermitImpl() {
    super("http://schema.org/GovernmentPermit");
    permit = new PermitImpl();
  }
  /**
   * Get a single additionalType property value for this GovernmentPermit object.
   *
   * @return The first additionalType property value.
   */
  public URL getAdditionalType() {
    return thing.getAdditionalType();
  }
  
  /**
   * Get a single alternateName property value for this GovernmentPermit object.
   *
   * @return The first alternateName property value.
   */
  public String getAlternateName() {
    return thing.getAlternateName();
  }
  
  /**
   * Get a single description property value for this GovernmentPermit object.
   *
   * @return The first description property value.
   */
  public String getDescription() {
    return thing.getDescription();
  }
  
  /**
   * Get a single image property value for this GovernmentPermit object.
   *
   * @return The first image property value.
   */
  public URL getImage() {
    return thing.getImage();
  }
  
  /**
   * Get a single issuedBy property value for this GovernmentPermit object.
   *
   * @return The first issuedBy property value.
   */
  public Organization getIssuedBy() {
    return permit.getIssuedBy();
  }
  
  /**
   * Get a single issuedThrough property value for this GovernmentPermit object.
   *
   * @return The first issuedThrough property value.
   */
  public Service getIssuedThrough() {
    return permit.getIssuedThrough();
  }
  
  /**
   * Get a single name property value for this GovernmentPermit object.
   *
   * @return The first name property value.
   */
  public String getName() {
    return thing.getName();
  }
  
  /**
   * Get a single permitAudience property value for this GovernmentPermit object.
   *
   * @return The first permitAudience property value.
   */
  public Audience getPermitAudience() {
    return permit.getPermitAudience();
  }
  
  /**
   * Get a single sameAs property value for this GovernmentPermit object.
   *
   * @return The first sameAs property value.
   */
  public URL getSameAs() {
    return thing.getSameAs();
  }
  
  /**
   * Get a single url property value for this GovernmentPermit object.
   *
   * @return The first url property value.
   */
  public URL getUrl() {
    return thing.getUrl();
  }
  
  /**
   * Get a single validFor property value for this GovernmentPermit object.
   *
   * @return The first validFor property value.
   */
  public Duration getValidFor() {
    return permit.getValidFor();
  }
  
  /**
   * Get a single validFrom property value for this GovernmentPermit object.
   *
   * @return The first validFrom property value.
   */
  public Date getValidFrom() {
    return permit.getValidFrom();
  }
  
  /**
   * Get a single validIn property value for this GovernmentPermit object.
   *
   * @return The first validIn property value.
   */
  public AdministrativeArea getValidIn() {
    return permit.getValidIn();
  }
  
  /**
   * Get a single validUntil property value for this GovernmentPermit object.
   *
   * @return The first validUntil property value.
   */
  public Date getValidUntil() {
    return permit.getValidUntil();
  }
  
  /**
   * Get all the additionalType property values for this GovernmentPermit object.
   *
   * @return A list of additionalType property values.
   */
  public List<URL> getAdditionalTypes() {
    return thing.getAdditionalTypes();
  }
  
  /**
   * Get all the alternateName property values for this GovernmentPermit object.
   *
   * @return A list of alternateName property values.
   */
  public List<String> getAlternateNames() {
    return thing.getAlternateNames();
  }
  
  /**
   * Get all the description property values for this GovernmentPermit object.
   *
   * @return A list of description property values.
   */
  public List<String> getDescriptions() {
    return thing.getDescriptions();
  }
  
  /**
   * Get all the image property values for this GovernmentPermit object.
   *
   * @return A list of image property values.
   */
  public List<URL> getImages() {
    return thing.getImages();
  }
  
  /**
   * Get all the issuedBy property values for this GovernmentPermit object.
   *
   * @return A list of issuedBy property values.
   */
  public List<Organization> getIssuedBies() {
    return permit.getIssuedBies();
  }
  
  /**
   * Get all the issuedThrough property values for this GovernmentPermit object.
   *
   * @return A list of issuedThrough property values.
   */
  public List<Service> getIssuedThroughs() {
    return permit.getIssuedThroughs();
  }
  
  /**
   * Get all the name property values for this GovernmentPermit object.
   *
   * @return A list of name property values.
   */
  public List<String> getNames() {
    return thing.getNames();
  }
  
  /**
   * Get all the permitAudience property values for this GovernmentPermit object.
   *
   * @return A list of permitAudience property values.
   */
  public List<Audience> getPermitAudiences() {
    return permit.getPermitAudiences();
  }
  
  /**
   * Get all the sameAs property values for this GovernmentPermit object.
   *
   * @return A list of sameAs property values.
   */
  public List<URL> getSameAss() {
    return thing.getSameAss();
  }
  
  /**
   * Get all the url property values for this GovernmentPermit object.
   *
   * @return A list of url property values.
   */
  public List<URL> getUrls() {
    return thing.getUrls();
  }
  
  /**
   * Get all the validFor property values for this GovernmentPermit object.
   *
   * @return A list of validFor property values.
   */
  public List<Duration> getValidFors() {
    return permit.getValidFors();
  }
  
  /**
   * Get all the validFrom property values for this GovernmentPermit object.
   *
   * @return A list of validFrom property values.
   */
  public List<Date> getValidFroms() {
    return permit.getValidFroms();
  }
  
  /**
   * Get all the validIn property values for this GovernmentPermit object.
   *
   * @return A list of validIn property values.
   */
  public List<AdministrativeArea> getValidsIn() {
    return permit.getValidsIn();
  }
  
  /**
   * Get all the validUntil property values for this GovernmentPermit object.
   *
   * @return A list of validUntil property values.
   */
  public List<Date> getValidUntils() {
    return permit.getValidUntils();
  }
  
  /**
   * Set the additionalType property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param additionalType The value to set.
   */
  public void setAdditionalType(URL additionalType) {
    thing.setAdditionalType(additionalType);
  }
  
  /**
   * Set the alternateName property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param alternateName The value to set.
   */
  public void setAlternateName(String alternateName) {
    thing.setAlternateName(alternateName);
  }
  
  /**
   * Set the description property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param description The value to set.
   */
  public void setDescription(String description) {
    thing.setDescription(description);
  }
  
  /**
   * Set the image property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param image The value to set.
   */
  public void setImage(URL image) {
    thing.setImage(image);
  }
  
  /**
   * Set the issuedBy property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param issuedBy The value to set.
   */
  public void setIssuedBy(Organization issuedBy) {
    permit.setIssuedBy(issuedBy);
  }
  
  /**
   * Set the issuedThrough property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param issuedThrough The value to set.
   */
  public void setIssuedThrough(Service issuedThrough) {
    permit.setIssuedThrough(issuedThrough);
  }
  
  /**
   * Set the name property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param name The value to set.
   */
  public void setName(String name) {
    thing.setName(name);
  }
  
  /**
   * Set the permitAudience property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param permitAudience The value to set.
   */
  public void setPermitAudience(Audience permitAudience) {
    permit.setPermitAudience(permitAudience);
  }
  
  /**
   * Set the sameAs property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param sameAs The value to set.
   */
  public void setSameAs(URL sameAs) {
    thing.setSameAs(sameAs);
  }
  
  /**
   * Set the url property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param url The value to set.
   */
  public void setUrl(URL url) {
    thing.setUrl(url);
  }
  
  /**
   * Set the validFor property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param validFor The value to set.
   */
  public void setValidFor(Duration validFor) {
    permit.setValidFor(validFor);
  }
  
  /**
   * Set the validFrom property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param validFrom The value to set.
   */
  public void setValidFrom(Date validFrom) {
    permit.setValidFrom(validFrom);
  }
  
  /**
   * Set the validIn property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param validIn The value to set.
   */
  public void setValidIn(AdministrativeArea validIn) {
    permit.setValidIn(validIn);
  }
  
  /**
   * Set the validUntil property value for this GovernmentPermit object; overwriting any existing values.
   *
   * @param validUntil The value to set.
   */
  public void setValidUntil(Date validUntil) {
    permit.setValidUntil(validUntil);
  }
  
  /**
   * Set the additionalType property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param additionalTypes The list of values to set.
   */
  public void setAdditionalTypes(List<URL> additionalTypes) {
    thing.setAdditionalTypes(additionalTypes);
  }
  
  /**
   * Set the alternateName property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param alternateNames The list of values to set.
   */
  public void setAlternateNames(List<String> alternateNames) {
    thing.setAlternateNames(alternateNames);
  }
  
  /**
   * Set the description property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param descriptions The list of values to set.
   */
  public void setDescriptions(List<String> descriptions) {
    thing.setDescriptions(descriptions);
  }
  
  /**
   * Set the image property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param images The list of values to set.
   */
  public void setImages(List<URL> images) {
    thing.setImages(images);
  }
  
  /**
   * Set the issuedBy property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param issuedBies The list of values to set.
   */
  public void setIssuedBies(List<Organization> issuedBies) {
    permit.setIssuedBies(issuedBies);
  }
  
  /**
   * Set the issuedThrough property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param issuedThroughs The list of values to set.
   */
  public void setIssuedThroughs(List<Service> issuedThroughs) {
    permit.setIssuedThroughs(issuedThroughs);
  }
  
  /**
   * Set the name property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param names The list of values to set.
   */
  public void setNames(List<String> names) {
    thing.setNames(names);
  }
  
  /**
   * Set the permitAudience property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param permitAudiences The list of values to set.
   */
  public void setPermitAudiences(List<Audience> permitAudiences) {
    permit.setPermitAudiences(permitAudiences);
  }
  
  /**
   * Set the sameAs property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param sameAss The list of values to set.
   */
  public void setSameAss(List<URL> sameAss) {
    thing.setSameAss(sameAss);
  }
  
  /**
   * Set the url property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param urls The list of values to set.
   */
  public void setUrls(List<URL> urls) {
    thing.setUrls(urls);
  }
  
  /**
   * Set the validFor property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param validFors The list of values to set.
   */
  public void setValidFors(List<Duration> validFors) {
    permit.setValidFors(validFors);
  }
  
  /**
   * Set the validFrom property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param validFroms The list of values to set.
   */
  public void setValidFroms(List<Date> validFroms) {
    permit.setValidFroms(validFroms);
  }
  
  /**
   * Set the validIn property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param validsIn The list of values to set.
   */
  public void setValidsIn(List<AdministrativeArea> validsIn) {
    permit.setValidsIn(validsIn);
  }
  
  /**
   * Set the validUntil property values for this GovernmentPermit object; overwriting any existing values.
   *
   * @param validUntils The list of values to set.
   */
  public void setValidUntils(List<Date> validUntils) {
    permit.setValidUntils(validUntils);
  }
  
  /**
   * Adds a additionalType property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param additionalType The value to add.
   */
  public void addAdditionalType(URL additionalType) {
    thing.addAdditionalType(additionalType);
  }
  
  /**
   * Adds a alternateName property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param alternateName The value to add.
   */
  public void addAlternateName(String alternateName) {
    thing.addAlternateName(alternateName);
  }
  
  /**
   * Adds a description property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param description The value to add.
   */
  public void addDescription(String description) {
    thing.addDescription(description);
  }
  
  /**
   * Adds a image property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param image The value to add.
   */
  public void addImage(URL image) {
    thing.addImage(image);
  }
  
  /**
   * Adds a issuedBy property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param issuedBy The value to add.
   */
  public void addIssuedBy(Organization issuedBy) {
    permit.addIssuedBy(issuedBy);
  }
  
  /**
   * Adds a issuedThrough property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param issuedThrough The value to add.
   */
  public void addIssuedThrough(Service issuedThrough) {
    permit.addIssuedThrough(issuedThrough);
  }
  
  /**
   * Adds a name property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param name The value to add.
   */
  public void addName(String name) {
    thing.addName(name);
  }
  
  /**
   * Adds a permitAudience property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param permitAudience The value to add.
   */
  public void addPermitAudience(Audience permitAudience) {
    permit.addPermitAudience(permitAudience);
  }
  
  /**
   * Adds a sameAs property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param sameAs The value to add.
   */
  public void addSameAs(URL sameAs) {
    thing.addSameAs(sameAs);
  }
  
  /**
   * Adds a url property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param url The value to add.
   */
  public void addUrl(URL url) {
    thing.addUrl(url);
  }
  
  /**
   * Adds a validFor property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param validFor The value to add.
   */
  public void addValidFor(Duration validFor) {
    permit.addValidFor(validFor);
  }
  
  /**
   * Adds a validFrom property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param validFrom The value to add.
   */
  public void addValidFrom(Date validFrom) {
    permit.addValidFrom(validFrom);
  }
  
  /**
   * Adds a validIn property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param validIn The value to add.
   */
  public void addValidIn(AdministrativeArea validIn) {
    permit.addValidIn(validIn);
  }
  
  /**
   * Adds a validUntil property value for this GovernmentPermit object; appending it to the list of existing values.
   *
   * @param validUntil The value to add.
   */
  public void addValidUntil(Date validUntil) {
    permit.addValidUntil(validUntil);
  }
  
}