package com.google.developers.schemas.impl;

import java.lang.Boolean;
import java.lang.Long;
import java.lang.String;
import java.net.URL;
import java.util.Date;
import java.util.List;
import org.schema.AggregateRating;
import org.schema.AlignmentObject;
import org.schema.Audience;
import org.schema.AudioObject;
import org.schema.Duration;
import org.schema.MediaObject;
import org.schema.Number;
import org.schema.Offer;
import org.schema.Organization;
import org.schema.Person;
import org.schema.Place;
import org.schema.Review;
import org.schema.Thing;
import org.schema.VideoObject;
import org.schema.WPSideBar;
import com.google.developers.schemas.impl.SchemaObjectImpl;

/**
 * A sidebar section of the page.
 */
public class WPSideBarImpl extends SchemaObjectImpl implements WPSideBar {


  private CreativeWorkImpl creativeWork;
  private ThingImpl thing;

  /**
   * Default constructor. Sets class URI and initializes superclass instances.
   */
  public WPSideBarImpl() {
    super("http://schema.org/WPSideBar");
  }
  /**
   * Get a single about property value for this WPSideBar object.
   *
   * @return The first about property value.
   */
  public Thing getAbout() {
    return creativeWork.getAbout();
  }
  
  /**
   * Get a single accessibilityAPI property value for this WPSideBar object.
   *
   * @return The first accessibilityAPI property value.
   */
  public String getAccessibilityAPI() {
    return creativeWork.getAccessibilityAPI();
  }
  
  /**
   * Get a single accessibilityControl property value for this WPSideBar object.
   *
   * @return The first accessibilityControl property value.
   */
  public String getAccessibilityControl() {
    return creativeWork.getAccessibilityControl();
  }
  
  /**
   * Get a single accessibilityFeature property value for this WPSideBar object.
   *
   * @return The first accessibilityFeature property value.
   */
  public String getAccessibilityFeature() {
    return creativeWork.getAccessibilityFeature();
  }
  
  /**
   * Get a single accessibilityHazard property value for this WPSideBar object.
   *
   * @return The first accessibilityHazard property value.
   */
  public String getAccessibilityHazard() {
    return creativeWork.getAccessibilityHazard();
  }
  
  /**
   * Get a single accountablePerson property value for this WPSideBar object.
   *
   * @return The first accountablePerson property value.
   */
  public Person getAccountablePerson() {
    return creativeWork.getAccountablePerson();
  }
  
  /**
   * Get a single additionalType property value for this WPSideBar object.
   *
   * @return The first additionalType property value.
   */
  public URL getAdditionalType() {
    return thing.getAdditionalType();
  }
  
  /**
   * Get a single aggregateRating property value for this WPSideBar object.
   *
   * @return The first aggregateRating property value.
   */
  public AggregateRating getAggregateRating() {
    return creativeWork.getAggregateRating();
  }
  
  /**
   * Get a single alternateName property value for this WPSideBar object.
   *
   * @return The first alternateName property value.
   */
  public String getAlternateName() {
    return thing.getAlternateName();
  }
  
  /**
   * Get a single alternativeHeadline property value for this WPSideBar object.
   *
   * @return The first alternativeHeadline property value.
   */
  public String getAlternativeHeadline() {
    return creativeWork.getAlternativeHeadline();
  }
  
  /**
   * Get a single associatedMedia property value for this WPSideBar object.
   *
   * @return The first associatedMedia property value.
   */
  public MediaObject getAssociatedMedia() {
    return creativeWork.getAssociatedMedia();
  }
  
  /**
   * Get a single audience property value for this WPSideBar object.
   *
   * @return The first audience property value.
   */
  public Audience getAudience() {
    return creativeWork.getAudience();
  }
  
  /**
   * Get a single audio property value for this WPSideBar object.
   *
   * @return The first audio property value.
   */
  public AudioObject getAudio() {
    return creativeWork.getAudio();
  }
  
  /**
   * Get a single author property value for this WPSideBar object.
   *
   * @return The first author property value.
   */
  public Thing getAuthor() {
    return creativeWork.getAuthor();
  }
  
  /**
   * Get a single award property value for this WPSideBar object.
   *
   * @return The first award property value.
   */
  public String getAward() {
    return creativeWork.getAward();
  }
  
  /**
   * Get a single citation property value for this WPSideBar object.
   *
   * @return The first citation property value.
   */
  public Thing getCitation() {
    return creativeWork.getCitation();
  }
  
  /**
   * Get a single comment property value for this WPSideBar object.
   *
   * @return The first comment property value.
   */
  public Thing getComment() {
    return creativeWork.getComment();
  }
  
  /**
   * Get a single commentCount property value for this WPSideBar object.
   *
   * @return The first commentCount property value.
   */
  public Long getCommentCount() {
    return creativeWork.getCommentCount();
  }
  
  /**
   * Get a single contentLocation property value for this WPSideBar object.
   *
   * @return The first contentLocation property value.
   */
  public Place getContentLocation() {
    return creativeWork.getContentLocation();
  }
  
  /**
   * Get a single contentRating property value for this WPSideBar object.
   *
   * @return The first contentRating property value.
   */
  public String getContentRating() {
    return creativeWork.getContentRating();
  }
  
  /**
   * Get a single contributor property value for this WPSideBar object.
   *
   * @return The first contributor property value.
   */
  public Thing getContributor() {
    return creativeWork.getContributor();
  }
  
  /**
   * Get a single copyrightHolder property value for this WPSideBar object.
   *
   * @return The first copyrightHolder property value.
   */
  public Thing getCopyrightHolder() {
    return creativeWork.getCopyrightHolder();
  }
  
  /**
   * Get a single copyrightYear property value for this WPSideBar object.
   *
   * @return The first copyrightYear property value.
   */
  public Number getCopyrightYear() {
    return creativeWork.getCopyrightYear();
  }
  
  /**
   * Get a single creator property value for this WPSideBar object.
   *
   * @return The first creator property value.
   */
  public Thing getCreator() {
    return creativeWork.getCreator();
  }
  
  /**
   * Get a single dateCreated property value for this WPSideBar object.
   *
   * @return The first dateCreated property value.
   */
  public Date getDateCreated() {
    return creativeWork.getDateCreated();
  }
  
  /**
   * Get a single dateModified property value for this WPSideBar object.
   *
   * @return The first dateModified property value.
   */
  public Date getDateModified() {
    return creativeWork.getDateModified();
  }
  
  /**
   * Get a single datePublished property value for this WPSideBar object.
   *
   * @return The first datePublished property value.
   */
  public Date getDatePublished() {
    return creativeWork.getDatePublished();
  }
  
  /**
   * Get a single description property value for this WPSideBar object.
   *
   * @return The first description property value.
   */
  public String getDescription() {
    return thing.getDescription();
  }
  
  /**
   * Get a single discussionUrl property value for this WPSideBar object.
   *
   * @return The first discussionUrl property value.
   */
  public URL getDiscussionUrl() {
    return creativeWork.getDiscussionUrl();
  }
  
  /**
   * Get a single editor property value for this WPSideBar object.
   *
   * @return The first editor property value.
   */
  public Person getEditor() {
    return creativeWork.getEditor();
  }
  
  /**
   * Get a single educationalAlignment property value for this WPSideBar object.
   *
   * @return The first educationalAlignment property value.
   */
  public AlignmentObject getEducationalAlignment() {
    return creativeWork.getEducationalAlignment();
  }
  
  /**
   * Get a single educationalUse property value for this WPSideBar object.
   *
   * @return The first educationalUse property value.
   */
  public String getEducationalUse() {
    return creativeWork.getEducationalUse();
  }
  
  /**
   * Get a single encoding property value for this WPSideBar object.
   *
   * @return The first encoding property value.
   */
  public MediaObject getEncoding() {
    return creativeWork.getEncoding();
  }
  
  /**
   * Get a single genre property value for this WPSideBar object.
   *
   * @return The first genre property value.
   */
  public String getGenre() {
    return creativeWork.getGenre();
  }
  
  /**
   * Get a single headline property value for this WPSideBar object.
   *
   * @return The first headline property value.
   */
  public String getHeadline() {
    return creativeWork.getHeadline();
  }
  
  /**
   * Get a single image property value for this WPSideBar object.
   *
   * @return The first image property value.
   */
  public URL getImage() {
    return thing.getImage();
  }
  
  /**
   * Get a single inLanguage property value for this WPSideBar object.
   *
   * @return The first inLanguage property value.
   */
  public String getInLanguage() {
    return creativeWork.getInLanguage();
  }
  
  /**
   * Get a single interactionCount property value for this WPSideBar object.
   *
   * @return The first interactionCount property value.
   */
  public String getInteractionCount() {
    return creativeWork.getInteractionCount();
  }
  
  /**
   * Get a single interactivityType property value for this WPSideBar object.
   *
   * @return The first interactivityType property value.
   */
  public String getInteractivityType() {
    return creativeWork.getInteractivityType();
  }
  
  /**
   * Get a single isBasedOnUrl property value for this WPSideBar object.
   *
   * @return The first isBasedOnUrl property value.
   */
  public URL getIsBasedOnUrl() {
    return creativeWork.getIsBasedOnUrl();
  }
  
  /**
   * Get a single isFamilyFriendly property value for this WPSideBar object.
   *
   * @return The first isFamilyFriendly property value.
   */
  public Boolean getIsFamilyFriendly() {
    return creativeWork.getIsFamilyFriendly();
  }
  
  /**
   * Get a single keywords property value for this WPSideBar object.
   *
   * @return The first keywords property value.
   */
  public String getKeywords() {
    return creativeWork.getKeywords();
  }
  
  /**
   * Get a single learningResourceType property value for this WPSideBar object.
   *
   * @return The first learningResourceType property value.
   */
  public String getLearningResourceType() {
    return creativeWork.getLearningResourceType();
  }
  
  /**
   * Get a single mentions property value for this WPSideBar object.
   *
   * @return The first mentions property value.
   */
  public Thing getMentions() {
    return creativeWork.getMentions();
  }
  
  /**
   * Get a single name property value for this WPSideBar object.
   *
   * @return The first name property value.
   */
  public String getName() {
    return thing.getName();
  }
  
  /**
   * Get a single offers property value for this WPSideBar object.
   *
   * @return The first offers property value.
   */
  public Offer getOffers() {
    return creativeWork.getOffers();
  }
  
  /**
   * Get a single provider property value for this WPSideBar object.
   *
   * @return The first provider property value.
   */
  public Thing getProvider() {
    return creativeWork.getProvider();
  }
  
  /**
   * Get a single publisher property value for this WPSideBar object.
   *
   * @return The first publisher property value.
   */
  public Organization getPublisher() {
    return creativeWork.getPublisher();
  }
  
  /**
   * Get a single publishingPrinciples property value for this WPSideBar object.
   *
   * @return The first publishingPrinciples property value.
   */
  public URL getPublishingPrinciples() {
    return creativeWork.getPublishingPrinciples();
  }
  
  /**
   * Get a single review property value for this WPSideBar object.
   *
   * @return The first review property value.
   */
  public Review getReview() {
    return creativeWork.getReview();
  }
  
  /**
   * Get a single sameAs property value for this WPSideBar object.
   *
   * @return The first sameAs property value.
   */
  public URL getSameAs() {
    return thing.getSameAs();
  }
  
  /**
   * Get a single sourceOrganization property value for this WPSideBar object.
   *
   * @return The first sourceOrganization property value.
   */
  public Organization getSourceOrganization() {
    return creativeWork.getSourceOrganization();
  }
  
  /**
   * Get a single text property value for this WPSideBar object.
   *
   * @return The first text property value.
   */
  public String getText() {
    return creativeWork.getText();
  }
  
  /**
   * Get a single thumbnailUrl property value for this WPSideBar object.
   *
   * @return The first thumbnailUrl property value.
   */
  public URL getThumbnailUrl() {
    return creativeWork.getThumbnailUrl();
  }
  
  /**
   * Get a single timeRequired property value for this WPSideBar object.
   *
   * @return The first timeRequired property value.
   */
  public Duration getTimeRequired() {
    return creativeWork.getTimeRequired();
  }
  
  /**
   * Get a single typicalAgeRange property value for this WPSideBar object.
   *
   * @return The first typicalAgeRange property value.
   */
  public String getTypicalAgeRange() {
    return creativeWork.getTypicalAgeRange();
  }
  
  /**
   * Get a single url property value for this WPSideBar object.
   *
   * @return The first url property value.
   */
  public URL getUrl() {
    return thing.getUrl();
  }
  
  /**
   * Get a single version property value for this WPSideBar object.
   *
   * @return The first version property value.
   */
  public Number getVersion() {
    return creativeWork.getVersion();
  }
  
  /**
   * Get a single video property value for this WPSideBar object.
   *
   * @return The first video property value.
   */
  public VideoObject getVideo() {
    return creativeWork.getVideo();
  }
  
  /**
   * Get all the about property values for this WPSideBar object.
   *
   * @return A list of about property values.
   */
  public List<Thing> getAbouts() {
    return creativeWork.getAbouts();
  }
  
  /**
   * Get all the accessibilityAPI property values for this WPSideBar object.
   *
   * @return A list of accessibilityAPI property values.
   */
  public List<String> getAccessibilityAPIs() {
    return creativeWork.getAccessibilityAPIs();
  }
  
  /**
   * Get all the accessibilityControl property values for this WPSideBar object.
   *
   * @return A list of accessibilityControl property values.
   */
  public List<String> getAccessibilityControls() {
    return creativeWork.getAccessibilityControls();
  }
  
  /**
   * Get all the accessibilityFeature property values for this WPSideBar object.
   *
   * @return A list of accessibilityFeature property values.
   */
  public List<String> getAccessibilityFeatures() {
    return creativeWork.getAccessibilityFeatures();
  }
  
  /**
   * Get all the accessibilityHazard property values for this WPSideBar object.
   *
   * @return A list of accessibilityHazard property values.
   */
  public List<String> getAccessibilityHazards() {
    return creativeWork.getAccessibilityHazards();
  }
  
  /**
   * Get all the accountablePerson property values for this WPSideBar object.
   *
   * @return A list of accountablePerson property values.
   */
  public List<Person> getAccountablePersons() {
    return creativeWork.getAccountablePersons();
  }
  
  /**
   * Get all the additionalType property values for this WPSideBar object.
   *
   * @return A list of additionalType property values.
   */
  public List<URL> getAdditionalTypes() {
    return thing.getAdditionalTypes();
  }
  
  /**
   * Get all the aggregateRating property values for this WPSideBar object.
   *
   * @return A list of aggregateRating property values.
   */
  public List<AggregateRating> getAggregateRatings() {
    return creativeWork.getAggregateRatings();
  }
  
  /**
   * Get all the alternateName property values for this WPSideBar object.
   *
   * @return A list of alternateName property values.
   */
  public List<String> getAlternateNames() {
    return thing.getAlternateNames();
  }
  
  /**
   * Get all the alternativeHeadline property values for this WPSideBar object.
   *
   * @return A list of alternativeHeadline property values.
   */
  public List<String> getAlternativeHeadlines() {
    return creativeWork.getAlternativeHeadlines();
  }
  
  /**
   * Get all the associatedMedia property values for this WPSideBar object.
   *
   * @return A list of associatedMedia property values.
   */
  public List<MediaObject> getAssociatedMedias() {
    return creativeWork.getAssociatedMedias();
  }
  
  /**
   * Get all the audience property values for this WPSideBar object.
   *
   * @return A list of audience property values.
   */
  public List<Audience> getAudiences() {
    return creativeWork.getAudiences();
  }
  
  /**
   * Get all the audio property values for this WPSideBar object.
   *
   * @return A list of audio property values.
   */
  public List<AudioObject> getAudios() {
    return creativeWork.getAudios();
  }
  
  /**
   * Get all the author property values for this WPSideBar object.
   *
   * @return A list of author property values.
   */
  public List<Thing> getAuthors() {
    return creativeWork.getAuthors();
  }
  
  /**
   * Get all the award property values for this WPSideBar object.
   *
   * @return A list of award property values.
   */
  public List<String> getAwards() {
    return creativeWork.getAwards();
  }
  
  /**
   * Get all the citation property values for this WPSideBar object.
   *
   * @return A list of citation property values.
   */
  public List<Thing> getCitations() {
    return creativeWork.getCitations();
  }
  
  /**
   * Get all the comment property values for this WPSideBar object.
   *
   * @return A list of comment property values.
   */
  public List<Thing> getComments() {
    return creativeWork.getComments();
  }
  
  /**
   * Get all the commentCount property values for this WPSideBar object.
   *
   * @return A list of commentCount property values.
   */
  public List<Long> getCommentCounts() {
    return creativeWork.getCommentCounts();
  }
  
  /**
   * Get all the contentLocation property values for this WPSideBar object.
   *
   * @return A list of contentLocation property values.
   */
  public List<Place> getContentLocations() {
    return creativeWork.getContentLocations();
  }
  
  /**
   * Get all the contentRating property values for this WPSideBar object.
   *
   * @return A list of contentRating property values.
   */
  public List<String> getContentRatings() {
    return creativeWork.getContentRatings();
  }
  
  /**
   * Get all the contributor property values for this WPSideBar object.
   *
   * @return A list of contributor property values.
   */
  public List<Thing> getContributors() {
    return creativeWork.getContributors();
  }
  
  /**
   * Get all the copyrightHolder property values for this WPSideBar object.
   *
   * @return A list of copyrightHolder property values.
   */
  public List<Thing> getCopyrightHolders() {
    return creativeWork.getCopyrightHolders();
  }
  
  /**
   * Get all the copyrightYear property values for this WPSideBar object.
   *
   * @return A list of copyrightYear property values.
   */
  public List<Number> getCopyrightYears() {
    return creativeWork.getCopyrightYears();
  }
  
  /**
   * Get all the creator property values for this WPSideBar object.
   *
   * @return A list of creator property values.
   */
  public List<Thing> getCreators() {
    return creativeWork.getCreators();
  }
  
  /**
   * Get all the dateCreated property values for this WPSideBar object.
   *
   * @return A list of dateCreated property values.
   */
  public List<Date> getDateCreateds() {
    return creativeWork.getDateCreateds();
  }
  
  /**
   * Get all the dateModified property values for this WPSideBar object.
   *
   * @return A list of dateModified property values.
   */
  public List<Date> getDateModifieds() {
    return creativeWork.getDateModifieds();
  }
  
  /**
   * Get all the datePublished property values for this WPSideBar object.
   *
   * @return A list of datePublished property values.
   */
  public List<Date> getDatePublisheds() {
    return creativeWork.getDatePublisheds();
  }
  
  /**
   * Get all the description property values for this WPSideBar object.
   *
   * @return A list of description property values.
   */
  public List<String> getDescriptions() {
    return thing.getDescriptions();
  }
  
  /**
   * Get all the discussionUrl property values for this WPSideBar object.
   *
   * @return A list of discussionUrl property values.
   */
  public List<URL> getDiscussionUrls() {
    return creativeWork.getDiscussionUrls();
  }
  
  /**
   * Get all the editor property values for this WPSideBar object.
   *
   * @return A list of editor property values.
   */
  public List<Person> getEditors() {
    return creativeWork.getEditors();
  }
  
  /**
   * Get all the educationalAlignment property values for this WPSideBar object.
   *
   * @return A list of educationalAlignment property values.
   */
  public List<AlignmentObject> getEducationalAlignments() {
    return creativeWork.getEducationalAlignments();
  }
  
  /**
   * Get all the educationalUse property values for this WPSideBar object.
   *
   * @return A list of educationalUse property values.
   */
  public List<String> getEducationalUses() {
    return creativeWork.getEducationalUses();
  }
  
  /**
   * Get all the encoding property values for this WPSideBar object.
   *
   * @return A list of encoding property values.
   */
  public List<MediaObject> getEncodings() {
    return creativeWork.getEncodings();
  }
  
  /**
   * Get all the genre property values for this WPSideBar object.
   *
   * @return A list of genre property values.
   */
  public List<String> getGenres() {
    return creativeWork.getGenres();
  }
  
  /**
   * Get all the headline property values for this WPSideBar object.
   *
   * @return A list of headline property values.
   */
  public List<String> getHeadlines() {
    return creativeWork.getHeadlines();
  }
  
  /**
   * Get all the image property values for this WPSideBar object.
   *
   * @return A list of image property values.
   */
  public List<URL> getImages() {
    return thing.getImages();
  }
  
  /**
   * Get all the inLanguage property values for this WPSideBar object.
   *
   * @return A list of inLanguage property values.
   */
  public List<String> getInLanguages() {
    return creativeWork.getInLanguages();
  }
  
  /**
   * Get all the interactionCount property values for this WPSideBar object.
   *
   * @return A list of interactionCount property values.
   */
  public List<String> getInteractionCounts() {
    return creativeWork.getInteractionCounts();
  }
  
  /**
   * Get all the interactivityType property values for this WPSideBar object.
   *
   * @return A list of interactivityType property values.
   */
  public List<String> getInteractivityTypes() {
    return creativeWork.getInteractivityTypes();
  }
  
  /**
   * Get all the isBasedOnUrl property values for this WPSideBar object.
   *
   * @return A list of isBasedOnUrl property values.
   */
  public List<URL> getIsBasedOnUrls() {
    return creativeWork.getIsBasedOnUrls();
  }
  
  /**
   * Get all the isFamilyFriendly property values for this WPSideBar object.
   *
   * @return A list of isFamilyFriendly property values.
   */
  public List<Boolean> getIsFamilyFriendlies() {
    return creativeWork.getIsFamilyFriendlies();
  }
  
  /**
   * Get all the keywords property values for this WPSideBar object.
   *
   * @return A list of keywords property values.
   */
  public List<String> getKeywordss() {
    return creativeWork.getKeywordss();
  }
  
  /**
   * Get all the learningResourceType property values for this WPSideBar object.
   *
   * @return A list of learningResourceType property values.
   */
  public List<String> getLearningResourceTypes() {
    return creativeWork.getLearningResourceTypes();
  }
  
  /**
   * Get all the mentions property values for this WPSideBar object.
   *
   * @return A list of mentions property values.
   */
  public List<Thing> getMentionss() {
    return creativeWork.getMentionss();
  }
  
  /**
   * Get all the name property values for this WPSideBar object.
   *
   * @return A list of name property values.
   */
  public List<String> getNames() {
    return thing.getNames();
  }
  
  /**
   * Get all the offers property values for this WPSideBar object.
   *
   * @return A list of offers property values.
   */
  public List<Offer> getOfferss() {
    return creativeWork.getOfferss();
  }
  
  /**
   * Get all the provider property values for this WPSideBar object.
   *
   * @return A list of provider property values.
   */
  public List<Thing> getProviders() {
    return creativeWork.getProviders();
  }
  
  /**
   * Get all the publisher property values for this WPSideBar object.
   *
   * @return A list of publisher property values.
   */
  public List<Organization> getPublishers() {
    return creativeWork.getPublishers();
  }
  
  /**
   * Get all the publishingPrinciples property values for this WPSideBar object.
   *
   * @return A list of publishingPrinciples property values.
   */
  public List<URL> getPublishingPrincipless() {
    return creativeWork.getPublishingPrincipless();
  }
  
  /**
   * Get all the review property values for this WPSideBar object.
   *
   * @return A list of review property values.
   */
  public List<Review> getReviews() {
    return creativeWork.getReviews();
  }
  
  /**
   * Get all the sameAs property values for this WPSideBar object.
   *
   * @return A list of sameAs property values.
   */
  public List<URL> getSameAss() {
    return thing.getSameAss();
  }
  
  /**
   * Get all the sourceOrganization property values for this WPSideBar object.
   *
   * @return A list of sourceOrganization property values.
   */
  public List<Organization> getSourceOrganizations() {
    return creativeWork.getSourceOrganizations();
  }
  
  /**
   * Get all the text property values for this WPSideBar object.
   *
   * @return A list of text property values.
   */
  public List<String> getTexts() {
    return creativeWork.getTexts();
  }
  
  /**
   * Get all the thumbnailUrl property values for this WPSideBar object.
   *
   * @return A list of thumbnailUrl property values.
   */
  public List<URL> getThumbnailUrls() {
    return creativeWork.getThumbnailUrls();
  }
  
  /**
   * Get all the timeRequired property values for this WPSideBar object.
   *
   * @return A list of timeRequired property values.
   */
  public List<Duration> getTimeRequireds() {
    return creativeWork.getTimeRequireds();
  }
  
  /**
   * Get all the typicalAgeRange property values for this WPSideBar object.
   *
   * @return A list of typicalAgeRange property values.
   */
  public List<String> getTypicalAgeRanges() {
    return creativeWork.getTypicalAgeRanges();
  }
  
  /**
   * Get all the url property values for this WPSideBar object.
   *
   * @return A list of url property values.
   */
  public List<URL> getUrls() {
    return thing.getUrls();
  }
  
  /**
   * Get all the version property values for this WPSideBar object.
   *
   * @return A list of version property values.
   */
  public List<Number> getVersions() {
    return creativeWork.getVersions();
  }
  
  /**
   * Get all the video property values for this WPSideBar object.
   *
   * @return A list of video property values.
   */
  public List<VideoObject> getVideos() {
    return creativeWork.getVideos();
  }
  
  /**
   * Set the about property value for this WPSideBar object; overwriting any existing values.
   *
   * @param about The value to set.
   */
  public void setAbout(Thing about) {
    creativeWork.setAbout(about);
  }
  
  /**
   * Set the accessibilityAPI property value for this WPSideBar object; overwriting any existing values.
   *
   * @param accessibilityAPI The value to set.
   */
  public void setAccessibilityAPI(String accessibilityAPI) {
    creativeWork.setAccessibilityAPI(accessibilityAPI);
  }
  
  /**
   * Set the accessibilityControl property value for this WPSideBar object; overwriting any existing values.
   *
   * @param accessibilityControl The value to set.
   */
  public void setAccessibilityControl(String accessibilityControl) {
    creativeWork.setAccessibilityControl(accessibilityControl);
  }
  
  /**
   * Set the accessibilityFeature property value for this WPSideBar object; overwriting any existing values.
   *
   * @param accessibilityFeature The value to set.
   */
  public void setAccessibilityFeature(String accessibilityFeature) {
    creativeWork.setAccessibilityFeature(accessibilityFeature);
  }
  
  /**
   * Set the accessibilityHazard property value for this WPSideBar object; overwriting any existing values.
   *
   * @param accessibilityHazard The value to set.
   */
  public void setAccessibilityHazard(String accessibilityHazard) {
    creativeWork.setAccessibilityHazard(accessibilityHazard);
  }
  
  /**
   * Set the accountablePerson property value for this WPSideBar object; overwriting any existing values.
   *
   * @param accountablePerson The value to set.
   */
  public void setAccountablePerson(Person accountablePerson) {
    creativeWork.setAccountablePerson(accountablePerson);
  }
  
  /**
   * Set the additionalType property value for this WPSideBar object; overwriting any existing values.
   *
   * @param additionalType The value to set.
   */
  public void setAdditionalType(URL additionalType) {
    thing.setAdditionalType(additionalType);
  }
  
  /**
   * Set the aggregateRating property value for this WPSideBar object; overwriting any existing values.
   *
   * @param aggregateRating The value to set.
   */
  public void setAggregateRating(AggregateRating aggregateRating) {
    creativeWork.setAggregateRating(aggregateRating);
  }
  
  /**
   * Set the alternateName property value for this WPSideBar object; overwriting any existing values.
   *
   * @param alternateName The value to set.
   */
  public void setAlternateName(String alternateName) {
    thing.setAlternateName(alternateName);
  }
  
  /**
   * Set the alternativeHeadline property value for this WPSideBar object; overwriting any existing values.
   *
   * @param alternativeHeadline The value to set.
   */
  public void setAlternativeHeadline(String alternativeHeadline) {
    creativeWork.setAlternativeHeadline(alternativeHeadline);
  }
  
  /**
   * Set the associatedMedia property value for this WPSideBar object; overwriting any existing values.
   *
   * @param associatedMedia The value to set.
   */
  public void setAssociatedMedia(MediaObject associatedMedia) {
    creativeWork.setAssociatedMedia(associatedMedia);
  }
  
  /**
   * Set the audience property value for this WPSideBar object; overwriting any existing values.
   *
   * @param audience The value to set.
   */
  public void setAudience(Audience audience) {
    creativeWork.setAudience(audience);
  }
  
  /**
   * Set the audio property value for this WPSideBar object; overwriting any existing values.
   *
   * @param audio The value to set.
   */
  public void setAudio(AudioObject audio) {
    creativeWork.setAudio(audio);
  }
  
  /**
   * Set the author property value for this WPSideBar object; overwriting any existing values.
   *
   * @param author The value to set.
   */
  public void setAuthor(Thing author) {
    creativeWork.setAuthor(author);
  }
  
  /**
   * Set the award property value for this WPSideBar object; overwriting any existing values.
   *
   * @param award The value to set.
   */
  public void setAward(String award) {
    creativeWork.setAward(award);
  }
  
  /**
   * Set the citation property value for this WPSideBar object; overwriting any existing values.
   *
   * @param citation The value to set.
   */
  public void setCitation(Thing citation) {
    creativeWork.setCitation(citation);
  }
  
  /**
   * Set the comment property value for this WPSideBar object; overwriting any existing values.
   *
   * @param comment The value to set.
   */
  public void setComment(Thing comment) {
    creativeWork.setComment(comment);
  }
  
  /**
   * Set the commentCount property value for this WPSideBar object; overwriting any existing values.
   *
   * @param commentCount The value to set.
   */
  public void setCommentCount(Long commentCount) {
    creativeWork.setCommentCount(commentCount);
  }
  
  /**
   * Set the contentLocation property value for this WPSideBar object; overwriting any existing values.
   *
   * @param contentLocation The value to set.
   */
  public void setContentLocation(Place contentLocation) {
    creativeWork.setContentLocation(contentLocation);
  }
  
  /**
   * Set the contentRating property value for this WPSideBar object; overwriting any existing values.
   *
   * @param contentRating The value to set.
   */
  public void setContentRating(String contentRating) {
    creativeWork.setContentRating(contentRating);
  }
  
  /**
   * Set the contributor property value for this WPSideBar object; overwriting any existing values.
   *
   * @param contributor The value to set.
   */
  public void setContributor(Thing contributor) {
    creativeWork.setContributor(contributor);
  }
  
  /**
   * Set the copyrightHolder property value for this WPSideBar object; overwriting any existing values.
   *
   * @param copyrightHolder The value to set.
   */
  public void setCopyrightHolder(Thing copyrightHolder) {
    creativeWork.setCopyrightHolder(copyrightHolder);
  }
  
  /**
   * Set the copyrightYear property value for this WPSideBar object; overwriting any existing values.
   *
   * @param copyrightYear The value to set.
   */
  public void setCopyrightYear(Number copyrightYear) {
    creativeWork.setCopyrightYear(copyrightYear);
  }
  
  /**
   * Set the creator property value for this WPSideBar object; overwriting any existing values.
   *
   * @param creator The value to set.
   */
  public void setCreator(Thing creator) {
    creativeWork.setCreator(creator);
  }
  
  /**
   * Set the dateCreated property value for this WPSideBar object; overwriting any existing values.
   *
   * @param dateCreated The value to set.
   */
  public void setDateCreated(Date dateCreated) {
    creativeWork.setDateCreated(dateCreated);
  }
  
  /**
   * Set the dateModified property value for this WPSideBar object; overwriting any existing values.
   *
   * @param dateModified The value to set.
   */
  public void setDateModified(Date dateModified) {
    creativeWork.setDateModified(dateModified);
  }
  
  /**
   * Set the datePublished property value for this WPSideBar object; overwriting any existing values.
   *
   * @param datePublished The value to set.
   */
  public void setDatePublished(Date datePublished) {
    creativeWork.setDatePublished(datePublished);
  }
  
  /**
   * Set the description property value for this WPSideBar object; overwriting any existing values.
   *
   * @param description The value to set.
   */
  public void setDescription(String description) {
    thing.setDescription(description);
  }
  
  /**
   * Set the discussionUrl property value for this WPSideBar object; overwriting any existing values.
   *
   * @param discussionUrl The value to set.
   */
  public void setDiscussionUrl(URL discussionUrl) {
    creativeWork.setDiscussionUrl(discussionUrl);
  }
  
  /**
   * Set the editor property value for this WPSideBar object; overwriting any existing values.
   *
   * @param editor The value to set.
   */
  public void setEditor(Person editor) {
    creativeWork.setEditor(editor);
  }
  
  /**
   * Set the educationalAlignment property value for this WPSideBar object; overwriting any existing values.
   *
   * @param educationalAlignment The value to set.
   */
  public void setEducationalAlignment(AlignmentObject educationalAlignment) {
    creativeWork.setEducationalAlignment(educationalAlignment);
  }
  
  /**
   * Set the educationalUse property value for this WPSideBar object; overwriting any existing values.
   *
   * @param educationalUse The value to set.
   */
  public void setEducationalUse(String educationalUse) {
    creativeWork.setEducationalUse(educationalUse);
  }
  
  /**
   * Set the encoding property value for this WPSideBar object; overwriting any existing values.
   *
   * @param encoding The value to set.
   */
  public void setEncoding(MediaObject encoding) {
    creativeWork.setEncoding(encoding);
  }
  
  /**
   * Set the genre property value for this WPSideBar object; overwriting any existing values.
   *
   * @param genre The value to set.
   */
  public void setGenre(String genre) {
    creativeWork.setGenre(genre);
  }
  
  /**
   * Set the headline property value for this WPSideBar object; overwriting any existing values.
   *
   * @param headline The value to set.
   */
  public void setHeadline(String headline) {
    creativeWork.setHeadline(headline);
  }
  
  /**
   * Set the image property value for this WPSideBar object; overwriting any existing values.
   *
   * @param image The value to set.
   */
  public void setImage(URL image) {
    thing.setImage(image);
  }
  
  /**
   * Set the inLanguage property value for this WPSideBar object; overwriting any existing values.
   *
   * @param inLanguage The value to set.
   */
  public void setInLanguage(String inLanguage) {
    creativeWork.setInLanguage(inLanguage);
  }
  
  /**
   * Set the interactionCount property value for this WPSideBar object; overwriting any existing values.
   *
   * @param interactionCount The value to set.
   */
  public void setInteractionCount(String interactionCount) {
    creativeWork.setInteractionCount(interactionCount);
  }
  
  /**
   * Set the interactivityType property value for this WPSideBar object; overwriting any existing values.
   *
   * @param interactivityType The value to set.
   */
  public void setInteractivityType(String interactivityType) {
    creativeWork.setInteractivityType(interactivityType);
  }
  
  /**
   * Set the isBasedOnUrl property value for this WPSideBar object; overwriting any existing values.
   *
   * @param isBasedOnUrl The value to set.
   */
  public void setIsBasedOnUrl(URL isBasedOnUrl) {
    creativeWork.setIsBasedOnUrl(isBasedOnUrl);
  }
  
  /**
   * Set the isFamilyFriendly property value for this WPSideBar object; overwriting any existing values.
   *
   * @param isFamilyFriendly The value to set.
   */
  public void setIsFamilyFriendly(Boolean isFamilyFriendly) {
    creativeWork.setIsFamilyFriendly(isFamilyFriendly);
  }
  
  /**
   * Set the keywords property value for this WPSideBar object; overwriting any existing values.
   *
   * @param keywords The value to set.
   */
  public void setKeywords(String keywords) {
    creativeWork.setKeywords(keywords);
  }
  
  /**
   * Set the learningResourceType property value for this WPSideBar object; overwriting any existing values.
   *
   * @param learningResourceType The value to set.
   */
  public void setLearningResourceType(String learningResourceType) {
    creativeWork.setLearningResourceType(learningResourceType);
  }
  
  /**
   * Set the mentions property value for this WPSideBar object; overwriting any existing values.
   *
   * @param mentions The value to set.
   */
  public void setMentions(Thing mentions) {
    creativeWork.setMentions(mentions);
  }
  
  /**
   * Set the name property value for this WPSideBar object; overwriting any existing values.
   *
   * @param name The value to set.
   */
  public void setName(String name) {
    thing.setName(name);
  }
  
  /**
   * Set the offers property value for this WPSideBar object; overwriting any existing values.
   *
   * @param offers The value to set.
   */
  public void setOffers(Offer offers) {
    creativeWork.setOffers(offers);
  }
  
  /**
   * Set the provider property value for this WPSideBar object; overwriting any existing values.
   *
   * @param provider The value to set.
   */
  public void setProvider(Thing provider) {
    creativeWork.setProvider(provider);
  }
  
  /**
   * Set the publisher property value for this WPSideBar object; overwriting any existing values.
   *
   * @param publisher The value to set.
   */
  public void setPublisher(Organization publisher) {
    creativeWork.setPublisher(publisher);
  }
  
  /**
   * Set the publishingPrinciples property value for this WPSideBar object; overwriting any existing values.
   *
   * @param publishingPrinciples The value to set.
   */
  public void setPublishingPrinciples(URL publishingPrinciples) {
    creativeWork.setPublishingPrinciples(publishingPrinciples);
  }
  
  /**
   * Set the review property value for this WPSideBar object; overwriting any existing values.
   *
   * @param review The value to set.
   */
  public void setReview(Review review) {
    creativeWork.setReview(review);
  }
  
  /**
   * Set the sameAs property value for this WPSideBar object; overwriting any existing values.
   *
   * @param sameAs The value to set.
   */
  public void setSameAs(URL sameAs) {
    thing.setSameAs(sameAs);
  }
  
  /**
   * Set the sourceOrganization property value for this WPSideBar object; overwriting any existing values.
   *
   * @param sourceOrganization The value to set.
   */
  public void setSourceOrganization(Organization sourceOrganization) {
    creativeWork.setSourceOrganization(sourceOrganization);
  }
  
  /**
   * Set the text property value for this WPSideBar object; overwriting any existing values.
   *
   * @param text The value to set.
   */
  public void setText(String text) {
    creativeWork.setText(text);
  }
  
  /**
   * Set the thumbnailUrl property value for this WPSideBar object; overwriting any existing values.
   *
   * @param thumbnailUrl The value to set.
   */
  public void setThumbnailUrl(URL thumbnailUrl) {
    creativeWork.setThumbnailUrl(thumbnailUrl);
  }
  
  /**
   * Set the timeRequired property value for this WPSideBar object; overwriting any existing values.
   *
   * @param timeRequired The value to set.
   */
  public void setTimeRequired(Duration timeRequired) {
    creativeWork.setTimeRequired(timeRequired);
  }
  
  /**
   * Set the typicalAgeRange property value for this WPSideBar object; overwriting any existing values.
   *
   * @param typicalAgeRange The value to set.
   */
  public void setTypicalAgeRange(String typicalAgeRange) {
    creativeWork.setTypicalAgeRange(typicalAgeRange);
  }
  
  /**
   * Set the url property value for this WPSideBar object; overwriting any existing values.
   *
   * @param url The value to set.
   */
  public void setUrl(URL url) {
    thing.setUrl(url);
  }
  
  /**
   * Set the version property value for this WPSideBar object; overwriting any existing values.
   *
   * @param version The value to set.
   */
  public void setVersion(Number version) {
    creativeWork.setVersion(version);
  }
  
  /**
   * Set the video property value for this WPSideBar object; overwriting any existing values.
   *
   * @param video The value to set.
   */
  public void setVideo(VideoObject video) {
    creativeWork.setVideo(video);
  }
  
  /**
   * Set the about property values for this WPSideBar object; overwriting any existing values.
   *
   * @param abouts The list of values to set.
   */
  public void setAbouts(List<Thing> abouts) {
    creativeWork.setAbouts(abouts);
  }
  
  /**
   * Set the accessibilityAPI property values for this WPSideBar object; overwriting any existing values.
   *
   * @param accessibilityAPIs The list of values to set.
   */
  public void setAccessibilityAPIs(List<String> accessibilityAPIs) {
    creativeWork.setAccessibilityAPIs(accessibilityAPIs);
  }
  
  /**
   * Set the accessibilityControl property values for this WPSideBar object; overwriting any existing values.
   *
   * @param accessibilityControls The list of values to set.
   */
  public void setAccessibilityControls(List<String> accessibilityControls) {
    creativeWork.setAccessibilityControls(accessibilityControls);
  }
  
  /**
   * Set the accessibilityFeature property values for this WPSideBar object; overwriting any existing values.
   *
   * @param accessibilityFeatures The list of values to set.
   */
  public void setAccessibilityFeatures(List<String> accessibilityFeatures) {
    creativeWork.setAccessibilityFeatures(accessibilityFeatures);
  }
  
  /**
   * Set the accessibilityHazard property values for this WPSideBar object; overwriting any existing values.
   *
   * @param accessibilityHazards The list of values to set.
   */
  public void setAccessibilityHazards(List<String> accessibilityHazards) {
    creativeWork.setAccessibilityHazards(accessibilityHazards);
  }
  
  /**
   * Set the accountablePerson property values for this WPSideBar object; overwriting any existing values.
   *
   * @param accountablePersons The list of values to set.
   */
  public void setAccountablePersons(List<Person> accountablePersons) {
    creativeWork.setAccountablePersons(accountablePersons);
  }
  
  /**
   * Set the additionalType property values for this WPSideBar object; overwriting any existing values.
   *
   * @param additionalTypes The list of values to set.
   */
  public void setAdditionalTypes(List<URL> additionalTypes) {
    thing.setAdditionalTypes(additionalTypes);
  }
  
  /**
   * Set the aggregateRating property values for this WPSideBar object; overwriting any existing values.
   *
   * @param aggregateRatings The list of values to set.
   */
  public void setAggregateRatings(List<AggregateRating> aggregateRatings) {
    creativeWork.setAggregateRatings(aggregateRatings);
  }
  
  /**
   * Set the alternateName property values for this WPSideBar object; overwriting any existing values.
   *
   * @param alternateNames The list of values to set.
   */
  public void setAlternateNames(List<String> alternateNames) {
    thing.setAlternateNames(alternateNames);
  }
  
  /**
   * Set the alternativeHeadline property values for this WPSideBar object; overwriting any existing values.
   *
   * @param alternativeHeadlines The list of values to set.
   */
  public void setAlternativeHeadlines(List<String> alternativeHeadlines) {
    creativeWork.setAlternativeHeadlines(alternativeHeadlines);
  }
  
  /**
   * Set the associatedMedia property values for this WPSideBar object; overwriting any existing values.
   *
   * @param associatedMedias The list of values to set.
   */
  public void setAssociatedMedias(List<MediaObject> associatedMedias) {
    creativeWork.setAssociatedMedias(associatedMedias);
  }
  
  /**
   * Set the audience property values for this WPSideBar object; overwriting any existing values.
   *
   * @param audiences The list of values to set.
   */
  public void setAudiences(List<Audience> audiences) {
    creativeWork.setAudiences(audiences);
  }
  
  /**
   * Set the audio property values for this WPSideBar object; overwriting any existing values.
   *
   * @param audios The list of values to set.
   */
  public void setAudios(List<AudioObject> audios) {
    creativeWork.setAudios(audios);
  }
  
  /**
   * Set the author property values for this WPSideBar object; overwriting any existing values.
   *
   * @param authors The list of values to set.
   */
  public void setAuthors(List<Thing> authors) {
    creativeWork.setAuthors(authors);
  }
  
  /**
   * Set the award property values for this WPSideBar object; overwriting any existing values.
   *
   * @param awards The list of values to set.
   */
  public void setAwards(List<String> awards) {
    creativeWork.setAwards(awards);
  }
  
  /**
   * Set the citation property values for this WPSideBar object; overwriting any existing values.
   *
   * @param citations The list of values to set.
   */
  public void setCitations(List<Thing> citations) {
    creativeWork.setCitations(citations);
  }
  
  /**
   * Set the comment property values for this WPSideBar object; overwriting any existing values.
   *
   * @param comments The list of values to set.
   */
  public void setComments(List<Thing> comments) {
    creativeWork.setComments(comments);
  }
  
  /**
   * Set the commentCount property values for this WPSideBar object; overwriting any existing values.
   *
   * @param commentCounts The list of values to set.
   */
  public void setCommentCounts(List<Long> commentCounts) {
    creativeWork.setCommentCounts(commentCounts);
  }
  
  /**
   * Set the contentLocation property values for this WPSideBar object; overwriting any existing values.
   *
   * @param contentLocations The list of values to set.
   */
  public void setContentLocations(List<Place> contentLocations) {
    creativeWork.setContentLocations(contentLocations);
  }
  
  /**
   * Set the contentRating property values for this WPSideBar object; overwriting any existing values.
   *
   * @param contentRatings The list of values to set.
   */
  public void setContentRatings(List<String> contentRatings) {
    creativeWork.setContentRatings(contentRatings);
  }
  
  /**
   * Set the contributor property values for this WPSideBar object; overwriting any existing values.
   *
   * @param contributors The list of values to set.
   */
  public void setContributors(List<Thing> contributors) {
    creativeWork.setContributors(contributors);
  }
  
  /**
   * Set the copyrightHolder property values for this WPSideBar object; overwriting any existing values.
   *
   * @param copyrightHolders The list of values to set.
   */
  public void setCopyrightHolders(List<Thing> copyrightHolders) {
    creativeWork.setCopyrightHolders(copyrightHolders);
  }
  
  /**
   * Set the copyrightYear property values for this WPSideBar object; overwriting any existing values.
   *
   * @param copyrightYears The list of values to set.
   */
  public void setCopyrightYears(List<Number> copyrightYears) {
    creativeWork.setCopyrightYears(copyrightYears);
  }
  
  /**
   * Set the creator property values for this WPSideBar object; overwriting any existing values.
   *
   * @param creators The list of values to set.
   */
  public void setCreators(List<Thing> creators) {
    creativeWork.setCreators(creators);
  }
  
  /**
   * Set the dateCreated property values for this WPSideBar object; overwriting any existing values.
   *
   * @param dateCreateds The list of values to set.
   */
  public void setDateCreateds(List<Date> dateCreateds) {
    creativeWork.setDateCreateds(dateCreateds);
  }
  
  /**
   * Set the dateModified property values for this WPSideBar object; overwriting any existing values.
   *
   * @param dateModifieds The list of values to set.
   */
  public void setDateModifieds(List<Date> dateModifieds) {
    creativeWork.setDateModifieds(dateModifieds);
  }
  
  /**
   * Set the datePublished property values for this WPSideBar object; overwriting any existing values.
   *
   * @param datePublisheds The list of values to set.
   */
  public void setDatePublisheds(List<Date> datePublisheds) {
    creativeWork.setDatePublisheds(datePublisheds);
  }
  
  /**
   * Set the description property values for this WPSideBar object; overwriting any existing values.
   *
   * @param descriptions The list of values to set.
   */
  public void setDescriptions(List<String> descriptions) {
    thing.setDescriptions(descriptions);
  }
  
  /**
   * Set the discussionUrl property values for this WPSideBar object; overwriting any existing values.
   *
   * @param discussionUrls The list of values to set.
   */
  public void setDiscussionUrls(List<URL> discussionUrls) {
    creativeWork.setDiscussionUrls(discussionUrls);
  }
  
  /**
   * Set the editor property values for this WPSideBar object; overwriting any existing values.
   *
   * @param editors The list of values to set.
   */
  public void setEditors(List<Person> editors) {
    creativeWork.setEditors(editors);
  }
  
  /**
   * Set the educationalAlignment property values for this WPSideBar object; overwriting any existing values.
   *
   * @param educationalAlignments The list of values to set.
   */
  public void setEducationalAlignments(List<AlignmentObject> educationalAlignments) {
    creativeWork.setEducationalAlignments(educationalAlignments);
  }
  
  /**
   * Set the educationalUse property values for this WPSideBar object; overwriting any existing values.
   *
   * @param educationalUses The list of values to set.
   */
  public void setEducationalUses(List<String> educationalUses) {
    creativeWork.setEducationalUses(educationalUses);
  }
  
  /**
   * Set the encoding property values for this WPSideBar object; overwriting any existing values.
   *
   * @param encodings The list of values to set.
   */
  public void setEncodings(List<MediaObject> encodings) {
    creativeWork.setEncodings(encodings);
  }
  
  /**
   * Set the genre property values for this WPSideBar object; overwriting any existing values.
   *
   * @param genres The list of values to set.
   */
  public void setGenres(List<String> genres) {
    creativeWork.setGenres(genres);
  }
  
  /**
   * Set the headline property values for this WPSideBar object; overwriting any existing values.
   *
   * @param headlines The list of values to set.
   */
  public void setHeadlines(List<String> headlines) {
    creativeWork.setHeadlines(headlines);
  }
  
  /**
   * Set the image property values for this WPSideBar object; overwriting any existing values.
   *
   * @param images The list of values to set.
   */
  public void setImages(List<URL> images) {
    thing.setImages(images);
  }
  
  /**
   * Set the inLanguage property values for this WPSideBar object; overwriting any existing values.
   *
   * @param inLanguages The list of values to set.
   */
  public void setInLanguages(List<String> inLanguages) {
    creativeWork.setInLanguages(inLanguages);
  }
  
  /**
   * Set the interactionCount property values for this WPSideBar object; overwriting any existing values.
   *
   * @param interactionCounts The list of values to set.
   */
  public void setInteractionCounts(List<String> interactionCounts) {
    creativeWork.setInteractionCounts(interactionCounts);
  }
  
  /**
   * Set the interactivityType property values for this WPSideBar object; overwriting any existing values.
   *
   * @param interactivityTypes The list of values to set.
   */
  public void setInteractivityTypes(List<String> interactivityTypes) {
    creativeWork.setInteractivityTypes(interactivityTypes);
  }
  
  /**
   * Set the isBasedOnUrl property values for this WPSideBar object; overwriting any existing values.
   *
   * @param isBasedOnUrls The list of values to set.
   */
  public void setIsBasedOnUrls(List<URL> isBasedOnUrls) {
    creativeWork.setIsBasedOnUrls(isBasedOnUrls);
  }
  
  /**
   * Set the isFamilyFriendly property values for this WPSideBar object; overwriting any existing values.
   *
   * @param isFamilyFriendlies The list of values to set.
   */
  public void setIsFamilyFriendlies(List<Boolean> isFamilyFriendlies) {
    creativeWork.setIsFamilyFriendlies(isFamilyFriendlies);
  }
  
  /**
   * Set the keywords property values for this WPSideBar object; overwriting any existing values.
   *
   * @param keywordss The list of values to set.
   */
  public void setKeywordss(List<String> keywordss) {
    creativeWork.setKeywordss(keywordss);
  }
  
  /**
   * Set the learningResourceType property values for this WPSideBar object; overwriting any existing values.
   *
   * @param learningResourceTypes The list of values to set.
   */
  public void setLearningResourceTypes(List<String> learningResourceTypes) {
    creativeWork.setLearningResourceTypes(learningResourceTypes);
  }
  
  /**
   * Set the mentions property values for this WPSideBar object; overwriting any existing values.
   *
   * @param mentionss The list of values to set.
   */
  public void setMentionss(List<Thing> mentionss) {
    creativeWork.setMentionss(mentionss);
  }
  
  /**
   * Set the name property values for this WPSideBar object; overwriting any existing values.
   *
   * @param names The list of values to set.
   */
  public void setNames(List<String> names) {
    thing.setNames(names);
  }
  
  /**
   * Set the offers property values for this WPSideBar object; overwriting any existing values.
   *
   * @param offerss The list of values to set.
   */
  public void setOfferss(List<Offer> offerss) {
    creativeWork.setOfferss(offerss);
  }
  
  /**
   * Set the provider property values for this WPSideBar object; overwriting any existing values.
   *
   * @param providers The list of values to set.
   */
  public void setProviders(List<Thing> providers) {
    creativeWork.setProviders(providers);
  }
  
  /**
   * Set the publisher property values for this WPSideBar object; overwriting any existing values.
   *
   * @param publishers The list of values to set.
   */
  public void setPublishers(List<Organization> publishers) {
    creativeWork.setPublishers(publishers);
  }
  
  /**
   * Set the publishingPrinciples property values for this WPSideBar object; overwriting any existing values.
   *
   * @param publishingPrincipless The list of values to set.
   */
  public void setPublishingPrincipless(List<URL> publishingPrincipless) {
    creativeWork.setPublishingPrincipless(publishingPrincipless);
  }
  
  /**
   * Set the review property values for this WPSideBar object; overwriting any existing values.
   *
   * @param reviews The list of values to set.
   */
  public void setReviews(List<Review> reviews) {
    creativeWork.setReviews(reviews);
  }
  
  /**
   * Set the sameAs property values for this WPSideBar object; overwriting any existing values.
   *
   * @param sameAss The list of values to set.
   */
  public void setSameAss(List<URL> sameAss) {
    thing.setSameAss(sameAss);
  }
  
  /**
   * Set the sourceOrganization property values for this WPSideBar object; overwriting any existing values.
   *
   * @param sourceOrganizations The list of values to set.
   */
  public void setSourceOrganizations(List<Organization> sourceOrganizations) {
    creativeWork.setSourceOrganizations(sourceOrganizations);
  }
  
  /**
   * Set the text property values for this WPSideBar object; overwriting any existing values.
   *
   * @param texts The list of values to set.
   */
  public void setTexts(List<String> texts) {
    creativeWork.setTexts(texts);
  }
  
  /**
   * Set the thumbnailUrl property values for this WPSideBar object; overwriting any existing values.
   *
   * @param thumbnailUrls The list of values to set.
   */
  public void setThumbnailUrls(List<URL> thumbnailUrls) {
    creativeWork.setThumbnailUrls(thumbnailUrls);
  }
  
  /**
   * Set the timeRequired property values for this WPSideBar object; overwriting any existing values.
   *
   * @param timeRequireds The list of values to set.
   */
  public void setTimeRequireds(List<Duration> timeRequireds) {
    creativeWork.setTimeRequireds(timeRequireds);
  }
  
  /**
   * Set the typicalAgeRange property values for this WPSideBar object; overwriting any existing values.
   *
   * @param typicalAgeRanges The list of values to set.
   */
  public void setTypicalAgeRanges(List<String> typicalAgeRanges) {
    creativeWork.setTypicalAgeRanges(typicalAgeRanges);
  }
  
  /**
   * Set the url property values for this WPSideBar object; overwriting any existing values.
   *
   * @param urls The list of values to set.
   */
  public void setUrls(List<URL> urls) {
    thing.setUrls(urls);
  }
  
  /**
   * Set the version property values for this WPSideBar object; overwriting any existing values.
   *
   * @param versions The list of values to set.
   */
  public void setVersions(List<Number> versions) {
    creativeWork.setVersions(versions);
  }
  
  /**
   * Set the video property values for this WPSideBar object; overwriting any existing values.
   *
   * @param videos The list of values to set.
   */
  public void setVideos(List<VideoObject> videos) {
    creativeWork.setVideos(videos);
  }
  
  /**
   * Adds a about property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param about The value to add.
   */
  public void addAbout(Thing about) {
    creativeWork.addAbout(about);
  }
  
  /**
   * Adds a accessibilityAPI property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param accessibilityAPI The value to add.
   */
  public void addAccessibilityAPI(String accessibilityAPI) {
    creativeWork.addAccessibilityAPI(accessibilityAPI);
  }
  
  /**
   * Adds a accessibilityControl property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param accessibilityControl The value to add.
   */
  public void addAccessibilityControl(String accessibilityControl) {
    creativeWork.addAccessibilityControl(accessibilityControl);
  }
  
  /**
   * Adds a accessibilityFeature property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param accessibilityFeature The value to add.
   */
  public void addAccessibilityFeature(String accessibilityFeature) {
    creativeWork.addAccessibilityFeature(accessibilityFeature);
  }
  
  /**
   * Adds a accessibilityHazard property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param accessibilityHazard The value to add.
   */
  public void addAccessibilityHazard(String accessibilityHazard) {
    creativeWork.addAccessibilityHazard(accessibilityHazard);
  }
  
  /**
   * Adds a accountablePerson property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param accountablePerson The value to add.
   */
  public void addAccountablePerson(Person accountablePerson) {
    creativeWork.addAccountablePerson(accountablePerson);
  }
  
  /**
   * Adds a additionalType property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param additionalType The value to add.
   */
  public void addAdditionalType(URL additionalType) {
    thing.addAdditionalType(additionalType);
  }
  
  /**
   * Adds a aggregateRating property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param aggregateRating The value to add.
   */
  public void addAggregateRating(AggregateRating aggregateRating) {
    creativeWork.addAggregateRating(aggregateRating);
  }
  
  /**
   * Adds a alternateName property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param alternateName The value to add.
   */
  public void addAlternateName(String alternateName) {
    thing.addAlternateName(alternateName);
  }
  
  /**
   * Adds a alternativeHeadline property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param alternativeHeadline The value to add.
   */
  public void addAlternativeHeadline(String alternativeHeadline) {
    creativeWork.addAlternativeHeadline(alternativeHeadline);
  }
  
  /**
   * Adds a associatedMedia property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param associatedMedia The value to add.
   */
  public void addAssociatedMedia(MediaObject associatedMedia) {
    creativeWork.addAssociatedMedia(associatedMedia);
  }
  
  /**
   * Adds a audience property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param audience The value to add.
   */
  public void addAudience(Audience audience) {
    creativeWork.addAudience(audience);
  }
  
  /**
   * Adds a audio property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param audio The value to add.
   */
  public void addAudio(AudioObject audio) {
    creativeWork.addAudio(audio);
  }
  
  /**
   * Adds a author property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param author The value to add.
   */
  public void addAuthor(Thing author) {
    creativeWork.addAuthor(author);
  }
  
  /**
   * Adds a award property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param award The value to add.
   */
  public void addAward(String award) {
    creativeWork.addAward(award);
  }
  
  /**
   * Adds a citation property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param citation The value to add.
   */
  public void addCitation(Thing citation) {
    creativeWork.addCitation(citation);
  }
  
  /**
   * Adds a comment property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param comment The value to add.
   */
  public void addComment(Thing comment) {
    creativeWork.addComment(comment);
  }
  
  /**
   * Adds a commentCount property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param commentCount The value to add.
   */
  public void addCommentCount(Long commentCount) {
    creativeWork.addCommentCount(commentCount);
  }
  
  /**
   * Adds a contentLocation property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param contentLocation The value to add.
   */
  public void addContentLocation(Place contentLocation) {
    creativeWork.addContentLocation(contentLocation);
  }
  
  /**
   * Adds a contentRating property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param contentRating The value to add.
   */
  public void addContentRating(String contentRating) {
    creativeWork.addContentRating(contentRating);
  }
  
  /**
   * Adds a contributor property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param contributor The value to add.
   */
  public void addContributor(Thing contributor) {
    creativeWork.addContributor(contributor);
  }
  
  /**
   * Adds a copyrightHolder property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param copyrightHolder The value to add.
   */
  public void addCopyrightHolder(Thing copyrightHolder) {
    creativeWork.addCopyrightHolder(copyrightHolder);
  }
  
  /**
   * Adds a copyrightYear property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param copyrightYear The value to add.
   */
  public void addCopyrightYear(Number copyrightYear) {
    creativeWork.addCopyrightYear(copyrightYear);
  }
  
  /**
   * Adds a creator property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param creator The value to add.
   */
  public void addCreator(Thing creator) {
    creativeWork.addCreator(creator);
  }
  
  /**
   * Adds a dateCreated property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param dateCreated The value to add.
   */
  public void addDateCreated(Date dateCreated) {
    creativeWork.addDateCreated(dateCreated);
  }
  
  /**
   * Adds a dateModified property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param dateModified The value to add.
   */
  public void addDateModified(Date dateModified) {
    creativeWork.addDateModified(dateModified);
  }
  
  /**
   * Adds a datePublished property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param datePublished The value to add.
   */
  public void addDatePublished(Date datePublished) {
    creativeWork.addDatePublished(datePublished);
  }
  
  /**
   * Adds a description property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param description The value to add.
   */
  public void addDescription(String description) {
    thing.addDescription(description);
  }
  
  /**
   * Adds a discussionUrl property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param discussionUrl The value to add.
   */
  public void addDiscussionUrl(URL discussionUrl) {
    creativeWork.addDiscussionUrl(discussionUrl);
  }
  
  /**
   * Adds a editor property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param editor The value to add.
   */
  public void addEditor(Person editor) {
    creativeWork.addEditor(editor);
  }
  
  /**
   * Adds a educationalAlignment property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param educationalAlignment The value to add.
   */
  public void addEducationalAlignment(AlignmentObject educationalAlignment) {
    creativeWork.addEducationalAlignment(educationalAlignment);
  }
  
  /**
   * Adds a educationalUse property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param educationalUse The value to add.
   */
  public void addEducationalUse(String educationalUse) {
    creativeWork.addEducationalUse(educationalUse);
  }
  
  /**
   * Adds a encoding property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param encoding The value to add.
   */
  public void addEncoding(MediaObject encoding) {
    creativeWork.addEncoding(encoding);
  }
  
  /**
   * Adds a genre property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param genre The value to add.
   */
  public void addGenre(String genre) {
    creativeWork.addGenre(genre);
  }
  
  /**
   * Adds a headline property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param headline The value to add.
   */
  public void addHeadline(String headline) {
    creativeWork.addHeadline(headline);
  }
  
  /**
   * Adds a image property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param image The value to add.
   */
  public void addImage(URL image) {
    thing.addImage(image);
  }
  
  /**
   * Adds a inLanguage property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param inLanguage The value to add.
   */
  public void addInLanguage(String inLanguage) {
    creativeWork.addInLanguage(inLanguage);
  }
  
  /**
   * Adds a interactionCount property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param interactionCount The value to add.
   */
  public void addInteractionCount(String interactionCount) {
    creativeWork.addInteractionCount(interactionCount);
  }
  
  /**
   * Adds a interactivityType property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param interactivityType The value to add.
   */
  public void addInteractivityType(String interactivityType) {
    creativeWork.addInteractivityType(interactivityType);
  }
  
  /**
   * Adds a isBasedOnUrl property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param isBasedOnUrl The value to add.
   */
  public void addIsBasedOnUrl(URL isBasedOnUrl) {
    creativeWork.addIsBasedOnUrl(isBasedOnUrl);
  }
  
  /**
   * Adds a isFamilyFriendly property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param isFamilyFriendly The value to add.
   */
  public void addIsFamilyFriendly(Boolean isFamilyFriendly) {
    creativeWork.addIsFamilyFriendly(isFamilyFriendly);
  }
  
  /**
   * Adds a keywords property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param keywords The value to add.
   */
  public void addKeywords(String keywords) {
    creativeWork.addKeywords(keywords);
  }
  
  /**
   * Adds a learningResourceType property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param learningResourceType The value to add.
   */
  public void addLearningResourceType(String learningResourceType) {
    creativeWork.addLearningResourceType(learningResourceType);
  }
  
  /**
   * Adds a mentions property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param mentions The value to add.
   */
  public void addMentions(Thing mentions) {
    creativeWork.addMentions(mentions);
  }
  
  /**
   * Adds a name property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param name The value to add.
   */
  public void addName(String name) {
    thing.addName(name);
  }
  
  /**
   * Adds a offers property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param offers The value to add.
   */
  public void addOffers(Offer offers) {
    creativeWork.addOffers(offers);
  }
  
  /**
   * Adds a provider property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param provider The value to add.
   */
  public void addProvider(Thing provider) {
    creativeWork.addProvider(provider);
  }
  
  /**
   * Adds a publisher property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param publisher The value to add.
   */
  public void addPublisher(Organization publisher) {
    creativeWork.addPublisher(publisher);
  }
  
  /**
   * Adds a publishingPrinciples property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param publishingPrinciples The value to add.
   */
  public void addPublishingPrinciples(URL publishingPrinciples) {
    creativeWork.addPublishingPrinciples(publishingPrinciples);
  }
  
  /**
   * Adds a review property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param review The value to add.
   */
  public void addReview(Review review) {
    creativeWork.addReview(review);
  }
  
  /**
   * Adds a sameAs property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param sameAs The value to add.
   */
  public void addSameAs(URL sameAs) {
    thing.addSameAs(sameAs);
  }
  
  /**
   * Adds a sourceOrganization property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param sourceOrganization The value to add.
   */
  public void addSourceOrganization(Organization sourceOrganization) {
    creativeWork.addSourceOrganization(sourceOrganization);
  }
  
  /**
   * Adds a text property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param text The value to add.
   */
  public void addText(String text) {
    creativeWork.addText(text);
  }
  
  /**
   * Adds a thumbnailUrl property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param thumbnailUrl The value to add.
   */
  public void addThumbnailUrl(URL thumbnailUrl) {
    creativeWork.addThumbnailUrl(thumbnailUrl);
  }
  
  /**
   * Adds a timeRequired property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param timeRequired The value to add.
   */
  public void addTimeRequired(Duration timeRequired) {
    creativeWork.addTimeRequired(timeRequired);
  }
  
  /**
   * Adds a typicalAgeRange property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param typicalAgeRange The value to add.
   */
  public void addTypicalAgeRange(String typicalAgeRange) {
    creativeWork.addTypicalAgeRange(typicalAgeRange);
  }
  
  /**
   * Adds a url property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param url The value to add.
   */
  public void addUrl(URL url) {
    thing.addUrl(url);
  }
  
  /**
   * Adds a version property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param version The value to add.
   */
  public void addVersion(Number version) {
    creativeWork.addVersion(version);
  }
  
  /**
   * Adds a video property value for this WPSideBar object; appending it to the list of existing values.
   *
   * @param video The value to add.
   */
  public void addVideo(VideoObject video) {
    creativeWork.addVideo(video);
  }
  
}