package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.CivicStructure;
import org.schema.SchemaObject;

/**
 * An airport.
 */
public interface Airport extends CivicStructure, SchemaObject {

  /**
   * Get a single iataCode property value for this Airport object.
   *
   * @return The first iataCode property value.
   */
  public String getIataCode();
  
  /**
   * Get all the iataCode property values for this Airport object.
   *
   * @return A list of iataCode property values.
   */
  public List<String> getIataCodes();
  
  /**
   * Set the iataCode property value for this Airport object; overwriting any existing values.
   *
   * @param iataCode The value to set.
   */
  public void setIataCode(String iataCode);
  
  /**
   * Set the iataCode property values for this Airport object; overwriting any existing values.
   *
   * @param iataCodes The list of values to set.
   */
  public void setIataCodes(List<String> iataCodes);
  
  /**
   * Adds a iataCode property value for this Airport object; appending it to the list of existing values.
   *
   * @param iataCode The value to add.
   */
  public void addIataCode(String iataCode);
  
}