package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.AdministrativeArea;
import org.schema.Intangible;
import org.schema.SchemaObject;

/**
 * Intended audience for an item, i.e. the group for whom the item was created.
 */
public interface Audience extends Intangible, SchemaObject {

  /**
   * Get a single audienceType property value for this Audience object.
   *
   * @return The first audienceType property value.
   */
  public String getAudienceType();
  
  /**
   * Get a single geographicArea property value for this Audience object.
   *
   * @return The first geographicArea property value.
   */
  public AdministrativeArea getGeographicArea();
  
  /**
   * Get all the audienceType property values for this Audience object.
   *
   * @return A list of audienceType property values.
   */
  public List<String> getAudienceTypes();
  
  /**
   * Get all the geographicArea property values for this Audience object.
   *
   * @return A list of geographicArea property values.
   */
  public List<AdministrativeArea> getGeographicAreas();
  
  /**
   * Set the audienceType property value for this Audience object; overwriting any existing values.
   *
   * @param audienceType The value to set.
   */
  public void setAudienceType(String audienceType);
  
  /**
   * Set the geographicArea property value for this Audience object; overwriting any existing values.
   *
   * @param geographicArea The value to set.
   */
  public void setGeographicArea(AdministrativeArea geographicArea);
  
  /**
   * Set the audienceType property values for this Audience object; overwriting any existing values.
   *
   * @param audienceTypes The list of values to set.
   */
  public void setAudienceTypes(List<String> audienceTypes);
  
  /**
   * Set the geographicArea property values for this Audience object; overwriting any existing values.
   *
   * @param geographicAreas The list of values to set.
   */
  public void setGeographicAreas(List<AdministrativeArea> geographicAreas);
  
  /**
   * Adds a audienceType property value for this Audience object; appending it to the list of existing values.
   *
   * @param audienceType The value to add.
   */
  public void addAudienceType(String audienceType);
  
  /**
   * Adds a geographicArea property value for this Audience object; appending it to the list of existing values.
   *
   * @param geographicArea The value to add.
   */
  public void addGeographicArea(AdministrativeArea geographicArea);
  
}