package org.schema;

import java.util.List;
import org.schema.BlogPosting;
import org.schema.CreativeWork;
import org.schema.SchemaObject;

/**
 * A blog
 */
public interface Blog extends CreativeWork, SchemaObject {

  /**
   * Get a single blogPost property value for this Blog object.
   *
   * @return The first blogPost property value.
   */
  public BlogPosting getBlogPost();
  
  /**
   * Get all the blogPost property values for this Blog object.
   *
   * @return A list of blogPost property values.
   */
  public List<BlogPosting> getBlogPosts();
  
  /**
   * Set the blogPost property value for this Blog object; overwriting any existing values.
   *
   * @param blogPost The value to set.
   */
  public void setBlogPost(BlogPosting blogPost);
  
  /**
   * Set the blogPost property values for this Blog object; overwriting any existing values.
   *
   * @param blogPosts The list of values to set.
   */
  public void setBlogPosts(List<BlogPosting> blogPosts);
  
  /**
   * Adds a blogPost property value for this Blog object; appending it to the list of existing values.
   *
   * @param blogPost The value to add.
   */
  public void addBlogPost(BlogPosting blogPost);
  
}