package org.schema;

/**
 * The publication format of the book.
 */
public enum BookFormatType {

  EBook("http://schema.org/EBook"),
  Hardcover("http://schema.org/Hardcover"),
  Paperback("http://schema.org/Paperback");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of BookFormatType.
   *
   * @param uri The URI for this instance.
   */
  private BookFormatType(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}