package org.schema;

import java.lang.String;
import java.util.Date;
import java.util.List;
import org.schema.Intangible;
import org.schema.SchemaObject;
import org.schema.Thing;

/**
 * A trip on a commercial bus line.
 */
public interface BusTrip extends Intangible, SchemaObject {

  /**
   * Get a single arrivalBusStop property value for this BusTrip object.
   *
   * @return The first arrivalBusStop property value.
   */
  public Thing getArrivalBusStop();
  
  /**
   * Get a single arrivalTime property value for this BusTrip object.
   *
   * @return The first arrivalTime property value.
   */
  public Date getArrivalTime();
  
  /**
   * Get a single busName property value for this BusTrip object.
   *
   * @return The first busName property value.
   */
  public String getBusName();
  
  /**
   * Get a single busNumber property value for this BusTrip object.
   *
   * @return The first busNumber property value.
   */
  public String getBusNumber();
  
  /**
   * Get a single departureBusStop property value for this BusTrip object.
   *
   * @return The first departureBusStop property value.
   */
  public Thing getDepartureBusStop();
  
  /**
   * Get a single departureTime property value for this BusTrip object.
   *
   * @return The first departureTime property value.
   */
  public Date getDepartureTime();
  
  /**
   * Get a single provider property value for this BusTrip object.
   *
   * @return The first provider property value.
   */
  public Thing getProvider();
  
  /**
   * Get all the arrivalBusStop property values for this BusTrip object.
   *
   * @return A list of arrivalBusStop property values.
   */
  public List<Thing> getArrivalBusStops();
  
  /**
   * Get all the arrivalTime property values for this BusTrip object.
   *
   * @return A list of arrivalTime property values.
   */
  public List<Date> getArrivalTimes();
  
  /**
   * Get all the busName property values for this BusTrip object.
   *
   * @return A list of busName property values.
   */
  public List<String> getBusNames();
  
  /**
   * Get all the busNumber property values for this BusTrip object.
   *
   * @return A list of busNumber property values.
   */
  public List<String> getBusNumbers();
  
  /**
   * Get all the departureBusStop property values for this BusTrip object.
   *
   * @return A list of departureBusStop property values.
   */
  public List<Thing> getDepartureBusStops();
  
  /**
   * Get all the departureTime property values for this BusTrip object.
   *
   * @return A list of departureTime property values.
   */
  public List<Date> getDepartureTimes();
  
  /**
   * Get all the provider property values for this BusTrip object.
   *
   * @return A list of provider property values.
   */
  public List<Thing> getProviders();
  
  /**
   * Set the arrivalBusStop property value for this BusTrip object; overwriting any existing values.
   *
   * @param arrivalBusStop The value to set.
   */
  public void setArrivalBusStop(Thing arrivalBusStop);
  
  /**
   * Set the arrivalTime property value for this BusTrip object; overwriting any existing values.
   *
   * @param arrivalTime The value to set.
   */
  public void setArrivalTime(Date arrivalTime);
  
  /**
   * Set the busName property value for this BusTrip object; overwriting any existing values.
   *
   * @param busName The value to set.
   */
  public void setBusName(String busName);
  
  /**
   * Set the busNumber property value for this BusTrip object; overwriting any existing values.
   *
   * @param busNumber The value to set.
   */
  public void setBusNumber(String busNumber);
  
  /**
   * Set the departureBusStop property value for this BusTrip object; overwriting any existing values.
   *
   * @param departureBusStop The value to set.
   */
  public void setDepartureBusStop(Thing departureBusStop);
  
  /**
   * Set the departureTime property value for this BusTrip object; overwriting any existing values.
   *
   * @param departureTime The value to set.
   */
  public void setDepartureTime(Date departureTime);
  
  /**
   * Set the provider property value for this BusTrip object; overwriting any existing values.
   *
   * @param provider The value to set.
   */
  public void setProvider(Thing provider);
  
  /**
   * Set the arrivalBusStop property values for this BusTrip object; overwriting any existing values.
   *
   * @param arrivalBusStops The list of values to set.
   */
  public void setArrivalBusStops(List<Thing> arrivalBusStops);
  
  /**
   * Set the arrivalTime property values for this BusTrip object; overwriting any existing values.
   *
   * @param arrivalTimes The list of values to set.
   */
  public void setArrivalTimes(List<Date> arrivalTimes);
  
  /**
   * Set the busName property values for this BusTrip object; overwriting any existing values.
   *
   * @param busNames The list of values to set.
   */
  public void setBusNames(List<String> busNames);
  
  /**
   * Set the busNumber property values for this BusTrip object; overwriting any existing values.
   *
   * @param busNumbers The list of values to set.
   */
  public void setBusNumbers(List<String> busNumbers);
  
  /**
   * Set the departureBusStop property values for this BusTrip object; overwriting any existing values.
   *
   * @param departureBusStops The list of values to set.
   */
  public void setDepartureBusStops(List<Thing> departureBusStops);
  
  /**
   * Set the departureTime property values for this BusTrip object; overwriting any existing values.
   *
   * @param departureTimes The list of values to set.
   */
  public void setDepartureTimes(List<Date> departureTimes);
  
  /**
   * Set the provider property values for this BusTrip object; overwriting any existing values.
   *
   * @param providers The list of values to set.
   */
  public void setProviders(List<Thing> providers);
  
  /**
   * Adds a arrivalBusStop property value for this BusTrip object; appending it to the list of existing values.
   *
   * @param arrivalBusStop The value to add.
   */
  public void addArrivalBusStop(Thing arrivalBusStop);
  
  /**
   * Adds a arrivalTime property value for this BusTrip object; appending it to the list of existing values.
   *
   * @param arrivalTime The value to add.
   */
  public void addArrivalTime(Date arrivalTime);
  
  /**
   * Adds a busName property value for this BusTrip object; appending it to the list of existing values.
   *
   * @param busName The value to add.
   */
  public void addBusName(String busName);
  
  /**
   * Adds a busNumber property value for this BusTrip object; appending it to the list of existing values.
   *
   * @param busNumber The value to add.
   */
  public void addBusNumber(String busNumber);
  
  /**
   * Adds a departureBusStop property value for this BusTrip object; appending it to the list of existing values.
   *
   * @param departureBusStop The value to add.
   */
  public void addDepartureBusStop(Thing departureBusStop);
  
  /**
   * Adds a departureTime property value for this BusTrip object; appending it to the list of existing values.
   *
   * @param departureTime The value to add.
   */
  public void addDepartureTime(Date departureTime);
  
  /**
   * Adds a provider property value for this BusTrip object; appending it to the list of existing values.
   *
   * @param provider The value to add.
   */
  public void addProvider(Thing provider);
  
}