package org.schema;

import java.util.List;
import org.schema.Audience;
import org.schema.QuantitativeValue;
import org.schema.SchemaObject;

/**
 * A set of characteristics belonging to businesses, e.g. who compose an item's target audience.
 */
public interface BusinessAudience extends Audience, SchemaObject {

  /**
   * Get a single numberofEmployees property value for this BusinessAudience object.
   *
   * @return The first numberofEmployees property value.
   */
  public QuantitativeValue getNumberofEmployees();
  
  /**
   * Get a single yearlyRevenue property value for this BusinessAudience object.
   *
   * @return The first yearlyRevenue property value.
   */
  public QuantitativeValue getYearlyRevenue();
  
  /**
   * Get a single yearsInOperation property value for this BusinessAudience object.
   *
   * @return The first yearsInOperation property value.
   */
  public QuantitativeValue getYearsInOperation();
  
  /**
   * Get all the numberofEmployees property values for this BusinessAudience object.
   *
   * @return A list of numberofEmployees property values.
   */
  public List<QuantitativeValue> getNumberofEmployeess();
  
  /**
   * Get all the yearlyRevenue property values for this BusinessAudience object.
   *
   * @return A list of yearlyRevenue property values.
   */
  public List<QuantitativeValue> getYearlyRevenues();
  
  /**
   * Get all the yearsInOperation property values for this BusinessAudience object.
   *
   * @return A list of yearsInOperation property values.
   */
  public List<QuantitativeValue> getYearsInOperations();
  
  /**
   * Set the numberofEmployees property value for this BusinessAudience object; overwriting any existing values.
   *
   * @param numberofEmployees The value to set.
   */
  public void setNumberofEmployees(QuantitativeValue numberofEmployees);
  
  /**
   * Set the yearlyRevenue property value for this BusinessAudience object; overwriting any existing values.
   *
   * @param yearlyRevenue The value to set.
   */
  public void setYearlyRevenue(QuantitativeValue yearlyRevenue);
  
  /**
   * Set the yearsInOperation property value for this BusinessAudience object; overwriting any existing values.
   *
   * @param yearsInOperation The value to set.
   */
  public void setYearsInOperation(QuantitativeValue yearsInOperation);
  
  /**
   * Set the numberofEmployees property values for this BusinessAudience object; overwriting any existing values.
   *
   * @param numberofEmployeess The list of values to set.
   */
  public void setNumberofEmployeess(List<QuantitativeValue> numberofEmployeess);
  
  /**
   * Set the yearlyRevenue property values for this BusinessAudience object; overwriting any existing values.
   *
   * @param yearlyRevenues The list of values to set.
   */
  public void setYearlyRevenues(List<QuantitativeValue> yearlyRevenues);
  
  /**
   * Set the yearsInOperation property values for this BusinessAudience object; overwriting any existing values.
   *
   * @param yearsInOperations The list of values to set.
   */
  public void setYearsInOperations(List<QuantitativeValue> yearsInOperations);
  
  /**
   * Adds a numberofEmployees property value for this BusinessAudience object; appending it to the list of existing values.
   *
   * @param numberofEmployees The value to add.
   */
  public void addNumberofEmployees(QuantitativeValue numberofEmployees);
  
  /**
   * Adds a yearlyRevenue property value for this BusinessAudience object; appending it to the list of existing values.
   *
   * @param yearlyRevenue The value to add.
   */
  public void addYearlyRevenue(QuantitativeValue yearlyRevenue);
  
  /**
   * Adds a yearsInOperation property value for this BusinessAudience object; appending it to the list of existing values.
   *
   * @param yearsInOperation The value to add.
   */
  public void addYearsInOperation(QuantitativeValue yearsInOperation);
  
}