package org.schema;

import java.util.List;
import org.schema.Duration;
import org.schema.Place;
import org.schema.SchemaObject;

/**
 * A public structure, such as a town hall or concert hall.
 */
public interface CivicStructure extends Place, SchemaObject {

  /**
   * Get a single openingHours property value for this CivicStructure object.
   *
   * @return The first openingHours property value.
   */
  public Duration getOpeningHours();
  
  /**
   * Get all the openingHours property values for this CivicStructure object.
   *
   * @return A list of openingHours property values.
   */
  public List<Duration> getOpeningHourss();
  
  /**
   * Set the openingHours property value for this CivicStructure object; overwriting any existing values.
   *
   * @param openingHours The value to set.
   */
  public void setOpeningHours(Duration openingHours);
  
  /**
   * Set the openingHours property values for this CivicStructure object; overwriting any existing values.
   *
   * @param openingHourss The list of values to set.
   */
  public void setOpeningHourss(List<Duration> openingHourss);
  
  /**
   * Adds a openingHours property value for this CivicStructure object; appending it to the list of existing values.
   *
   * @param openingHours The value to add.
   */
  public void addOpeningHours(Duration openingHours);
  
}