package org.schema;

/**
 * Enumerated options related to a ContactPoint
 */
public enum ContactPointOption {

  HearingImpairedSupported("http://schema.org/HearingImpairedSupported"),
  TollFree("http://schema.org/TollFree");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of ContactPointOption.
   *
   * @param uri The URI for this instance.
   */
  private ContactPointOption(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}