package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.Organization;
import org.schema.SchemaObject;

/**
 * Organization: A business corporation.
 */
public interface Corporation extends Organization, SchemaObject {

  /**
   * Get a single tickerSymbol property value for this Corporation object.
   *
   * @return The first tickerSymbol property value.
   */
  public String getTickerSymbol();
  
  /**
   * Get all the tickerSymbol property values for this Corporation object.
   *
   * @return A list of tickerSymbol property values.
   */
  public List<String> getTickerSymbols();
  
  /**
   * Set the tickerSymbol property value for this Corporation object; overwriting any existing values.
   *
   * @param tickerSymbol The value to set.
   */
  public void setTickerSymbol(String tickerSymbol);
  
  /**
   * Set the tickerSymbol property values for this Corporation object; overwriting any existing values.
   *
   * @param tickerSymbols The list of values to set.
   */
  public void setTickerSymbols(List<String> tickerSymbols);
  
  /**
   * Adds a tickerSymbol property value for this Corporation object; appending it to the list of existing values.
   *
   * @param tickerSymbol The value to add.
   */
  public void addTickerSymbol(String tickerSymbol);
  
}