package org.schema;

import java.util.List;
import org.schema.CreativeWork;
import org.schema.Dataset;
import org.schema.SchemaObject;

/**
 * A collection of datasets.
 */
public interface DataCatalog extends CreativeWork, SchemaObject {

  /**
   * Get a single dataset property value for this DataCatalog object.
   *
   * @return The first dataset property value.
   */
  public Dataset getDataset();
  
  /**
   * Get all the dataset property values for this DataCatalog object.
   *
   * @return A list of dataset property values.
   */
  public List<Dataset> getDatasets();
  
  /**
   * Set the dataset property value for this DataCatalog object; overwriting any existing values.
   *
   * @param dataset The value to set.
   */
  public void setDataset(Dataset dataset);
  
  /**
   * Set the dataset property values for this DataCatalog object; overwriting any existing values.
   *
   * @param datasets The list of values to set.
   */
  public void setDatasets(List<Dataset> datasets);
  
  /**
   * Adds a dataset property value for this DataCatalog object; appending it to the list of existing values.
   *
   * @param dataset The value to add.
   */
  public void addDataset(Dataset dataset);
  
}