package org.schema;

import java.util.List;
import org.schema.MedicalOrganization;
import org.schema.MedicalTest;
import org.schema.SchemaObject;

/**
 * A medical laboratory that offers on-site or off-site diagnostic services.
 */
public interface DiagnosticLab extends MedicalOrganization, SchemaObject {

  /**
   * Get a single availableTest property value for this DiagnosticLab object.
   *
   * @return The first availableTest property value.
   */
  public MedicalTest getAvailableTest();
  
  /**
   * Get all the availableTest property values for this DiagnosticLab object.
   *
   * @return A list of availableTest property values.
   */
  public List<MedicalTest> getAvailableTests();
  
  /**
   * Set the availableTest property value for this DiagnosticLab object; overwriting any existing values.
   *
   * @param availableTest The value to set.
   */
  public void setAvailableTest(MedicalTest availableTest);
  
  /**
   * Set the availableTest property values for this DiagnosticLab object; overwriting any existing values.
   *
   * @param availableTests The list of values to set.
   */
  public void setAvailableTests(List<MedicalTest> availableTests);
  
  /**
   * Adds a availableTest property value for this DiagnosticLab object; appending it to the list of existing values.
   *
   * @param availableTest The value to add.
   */
  public void addAvailableTest(MedicalTest availableTest);
  
}