package org.schema;

/**
 * Enumerated categories of medical drug costs.
 */
public enum DrugCostCategory {

  ReimbursementCap("http://schema.org/ReimbursementCap"),
  Retail("http://schema.org/Retail"),
  Wholesale("http://schema.org/Wholesale");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of DrugCostCategory.
   *
   * @param uri The URI for this instance.
   */
  private DrugCostCategory(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}