package org.schema;

import java.util.List;
import org.schema.AdministrativeArea;
import org.schema.MedicalIntangible;
import org.schema.SchemaObject;

/**
 * The legal availability status of a medical drug.
 */
public interface DrugLegalStatus extends MedicalIntangible, SchemaObject {

  /**
   * Get a single applicableLocation property value for this DrugLegalStatus object.
   *
   * @return The first applicableLocation property value.
   */
  public AdministrativeArea getApplicableLocation();
  
  /**
   * Get all the applicableLocation property values for this DrugLegalStatus object.
   *
   * @return A list of applicableLocation property values.
   */
  public List<AdministrativeArea> getApplicableLocations();
  
  /**
   * Set the applicableLocation property value for this DrugLegalStatus object; overwriting any existing values.
   *
   * @param applicableLocation The value to set.
   */
  public void setApplicableLocation(AdministrativeArea applicableLocation);
  
  /**
   * Set the applicableLocation property values for this DrugLegalStatus object; overwriting any existing values.
   *
   * @param applicableLocations The list of values to set.
   */
  public void setApplicableLocations(List<AdministrativeArea> applicableLocations);
  
  /**
   * Adds a applicableLocation property value for this DrugLegalStatus object; appending it to the list of existing values.
   *
   * @param applicableLocation The value to add.
   */
  public void addApplicableLocation(AdministrativeArea applicableLocation);
  
}