package org.schema;

/**
 * Categories that represent an assessment of the risk of fetal injury due to a drug or pharmaceutical used as directed by the mother during pregnancy.
 */
public enum DrugPregnancyCategory {

  FDAcategoryA("http://schema.org/FDAcategoryA"),
  FDAcategoryB("http://schema.org/FDAcategoryB"),
  FDAcategoryC("http://schema.org/FDAcategoryC"),
  FDAcategoryD("http://schema.org/FDAcategoryD"),
  FDAcategoryX("http://schema.org/FDAcategoryX"),
  FDAnotEvaluated("http://schema.org/FDAnotEvaluated");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of DrugPregnancyCategory.
   *
   * @param uri The URI for this instance.
   */
  private DrugPregnancyCategory(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}