package org.schema;

/**
 * Indicates whether this drug is available by prescription or over-the-counter.
 */
public enum DrugPrescriptionStatus {

  OTC("http://schema.org/OTC"),
  PrescriptionOnly("http://schema.org/PrescriptionOnly");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of DrugPrescriptionStatus.
   *
   * @param uri The URI for this instance.
   */
  private DrugPrescriptionStatus(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}