package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.Audience;
import org.schema.SchemaObject;

/**
 * An EducationalAudience
 */
public interface EducationalAudience extends Audience, SchemaObject {

  /**
   * Get a single educationalRole property value for this EducationalAudience object.
   *
   * @return The first educationalRole property value.
   */
  public String getEducationalRole();
  
  /**
   * Get all the educationalRole property values for this EducationalAudience object.
   *
   * @return A list of educationalRole property values.
   */
  public List<String> getEducationalRoles();
  
  /**
   * Set the educationalRole property value for this EducationalAudience object; overwriting any existing values.
   *
   * @param educationalRole The value to set.
   */
  public void setEducationalRole(String educationalRole);
  
  /**
   * Set the educationalRole property values for this EducationalAudience object; overwriting any existing values.
   *
   * @param educationalRoles The list of values to set.
   */
  public void setEducationalRoles(List<String> educationalRoles);
  
  /**
   * Adds a educationalRole property value for this EducationalAudience object; appending it to the list of existing values.
   *
   * @param educationalRole The value to add.
   */
  public void addEducationalRole(String educationalRole);
  
}