package org.schema;

/**
 * EventStatusType is an enumeration type whose instances represent several states that an Event may be in.
 */
public enum EventStatusType {

  EventCancelled("http://schema.org/EventCancelled"),
  EventPostponed("http://schema.org/EventPostponed"),
  EventRescheduled("http://schema.org/EventRescheduled"),
  EventScheduled("http://schema.org/EventScheduled");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of EventStatusType.
   *
   * @param uri The URI for this instance.
   */
  private EventStatusType(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}