package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.Reservation;
import org.schema.SchemaObject;

/**
 * A reservation for air travel.Note: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use http://schema.org/Offer.
 */
public interface FlightReservation extends Reservation, SchemaObject {

  /**
   * Get a single boardingGroup property value for this FlightReservation object.
   *
   * @return The first boardingGroup property value.
   */
  public String getBoardingGroup();
  
  /**
   * Get all the boardingGroup property values for this FlightReservation object.
   *
   * @return A list of boardingGroup property values.
   */
  public List<String> getBoardingGroups();
  
  /**
   * Set the boardingGroup property value for this FlightReservation object; overwriting any existing values.
   *
   * @param boardingGroup The value to set.
   */
  public void setBoardingGroup(String boardingGroup);
  
  /**
   * Set the boardingGroup property values for this FlightReservation object; overwriting any existing values.
   *
   * @param boardingGroups The list of values to set.
   */
  public void setBoardingGroups(List<String> boardingGroups);
  
  /**
   * Adds a boardingGroup property value for this FlightReservation object; appending it to the list of existing values.
   *
   * @param boardingGroup The value to add.
   */
  public void addBoardingGroup(String boardingGroup);
  
}