package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.LocalBusiness;
import org.schema.SchemaObject;
import org.schema.Thing;

/**
 * A food-related business.
 */
public interface FoodEstablishment extends LocalBusiness, SchemaObject {

  /**
   * Get a single acceptsReservations property value for this FoodEstablishment object.
   *
   * @return The first acceptsReservations property value.
   */
  public Thing getAcceptsReservations();
  
  /**
   * Get a single menu property value for this FoodEstablishment object.
   *
   * @return The first menu property value.
   */
  public Thing getMenu();
  
  /**
   * Get a single servesCuisine property value for this FoodEstablishment object.
   *
   * @return The first servesCuisine property value.
   */
  public String getServesCuisine();
  
  /**
   * Get all the acceptsReservations property values for this FoodEstablishment object.
   *
   * @return A list of acceptsReservations property values.
   */
  public List<Thing> getAcceptsReservationss();
  
  /**
   * Get all the menu property values for this FoodEstablishment object.
   *
   * @return A list of menu property values.
   */
  public List<Thing> getMenus();
  
  /**
   * Get all the servesCuisine property values for this FoodEstablishment object.
   *
   * @return A list of servesCuisine property values.
   */
  public List<String> getServesCuisines();
  
  /**
   * Set the acceptsReservations property value for this FoodEstablishment object; overwriting any existing values.
   *
   * @param acceptsReservations The value to set.
   */
  public void setAcceptsReservations(Thing acceptsReservations);
  
  /**
   * Set the menu property value for this FoodEstablishment object; overwriting any existing values.
   *
   * @param menu The value to set.
   */
  public void setMenu(Thing menu);
  
  /**
   * Set the servesCuisine property value for this FoodEstablishment object; overwriting any existing values.
   *
   * @param servesCuisine The value to set.
   */
  public void setServesCuisine(String servesCuisine);
  
  /**
   * Set the acceptsReservations property values for this FoodEstablishment object; overwriting any existing values.
   *
   * @param acceptsReservationss The list of values to set.
   */
  public void setAcceptsReservationss(List<Thing> acceptsReservationss);
  
  /**
   * Set the menu property values for this FoodEstablishment object; overwriting any existing values.
   *
   * @param menus The list of values to set.
   */
  public void setMenus(List<Thing> menus);
  
  /**
   * Set the servesCuisine property values for this FoodEstablishment object; overwriting any existing values.
   *
   * @param servesCuisines The list of values to set.
   */
  public void setServesCuisines(List<String> servesCuisines);
  
  /**
   * Adds a acceptsReservations property value for this FoodEstablishment object; appending it to the list of existing values.
   *
   * @param acceptsReservations The value to add.
   */
  public void addAcceptsReservations(Thing acceptsReservations);
  
  /**
   * Adds a menu property value for this FoodEstablishment object; appending it to the list of existing values.
   *
   * @param menu The value to add.
   */
  public void addMenu(Thing menu);
  
  /**
   * Adds a servesCuisine property value for this FoodEstablishment object; appending it to the list of existing values.
   *
   * @param servesCuisine The value to add.
   */
  public void addServesCuisine(String servesCuisine);
  
}