package org.schema;

import java.util.Date;
import java.util.List;
import org.schema.Reservation;
import org.schema.SchemaObject;
import org.schema.Thing;

/**
 * A reservation to dine at a food-related business.Note: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.
 */
public interface FoodEstablishmentReservation extends Reservation, SchemaObject {

  /**
   * Get a single partySize property value for this FoodEstablishmentReservation object.
   *
   * @return The first partySize property value.
   */
  public Thing getPartySize();
  
  /**
   * Get a single startTime property value for this FoodEstablishmentReservation object.
   *
   * @return The first startTime property value.
   */
  public Date getStartTime();
  
  /**
   * Get all the partySize property values for this FoodEstablishmentReservation object.
   *
   * @return A list of partySize property values.
   */
  public List<Thing> getPartySizes();
  
  /**
   * Get all the startTime property values for this FoodEstablishmentReservation object.
   *
   * @return A list of startTime property values.
   */
  public List<Date> getStartTimes();
  
  /**
   * Set the partySize property value for this FoodEstablishmentReservation object; overwriting any existing values.
   *
   * @param partySize The value to set.
   */
  public void setPartySize(Thing partySize);
  
  /**
   * Set the startTime property value for this FoodEstablishmentReservation object; overwriting any existing values.
   *
   * @param startTime The value to set.
   */
  public void setStartTime(Date startTime);
  
  /**
   * Set the partySize property values for this FoodEstablishmentReservation object; overwriting any existing values.
   *
   * @param partySizes The list of values to set.
   */
  public void setPartySizes(List<Thing> partySizes);
  
  /**
   * Set the startTime property values for this FoodEstablishmentReservation object; overwriting any existing values.
   *
   * @param startTimes The list of values to set.
   */
  public void setStartTimes(List<Date> startTimes);
  
  /**
   * Adds a partySize property value for this FoodEstablishmentReservation object; appending it to the list of existing values.
   *
   * @param partySize The value to add.
   */
  public void addPartySize(Thing partySize);
  
  /**
   * Adds a startTime property value for this FoodEstablishmentReservation object; appending it to the list of existing values.
   *
   * @param startTime The value to add.
   */
  public void addStartTime(Date startTime);
  
}