package org.schema;

import java.util.List;
import org.schema.Organization;
import org.schema.SchemaObject;
import org.schema.Service;

/**
 * A service provided by a government organization, e.g. food stamps, veterans benefits, etc.
 */
public interface GovernmentService extends Service, SchemaObject {

  /**
   * Get a single serviceOperator property value for this GovernmentService object.
   *
   * @return The first serviceOperator property value.
   */
  public Organization getServiceOperator();
  
  /**
   * Get all the serviceOperator property values for this GovernmentService object.
   *
   * @return A list of serviceOperator property values.
   */
  public List<Organization> getServiceOperators();
  
  /**
   * Set the serviceOperator property value for this GovernmentService object; overwriting any existing values.
   *
   * @param serviceOperator The value to set.
   */
  public void setServiceOperator(Organization serviceOperator);
  
  /**
   * Set the serviceOperator property values for this GovernmentService object; overwriting any existing values.
   *
   * @param serviceOperators The list of values to set.
   */
  public void setServiceOperators(List<Organization> serviceOperators);
  
  /**
   * Adds a serviceOperator property value for this GovernmentService object; appending it to the list of existing values.
   *
   * @param serviceOperator The value to add.
   */
  public void addServiceOperator(Organization serviceOperator);
  
}