package org.schema;

import java.util.List;
import org.schema.CivicStructure;
import org.schema.EmergencyService;
import org.schema.MedicalOrganization;
import org.schema.MedicalSpecialty;
import org.schema.SchemaObject;
import org.schema.Thing;

/**
 * A hospital.
 */
public interface Hospital extends CivicStructure, EmergencyService, MedicalOrganization, SchemaObject {

  /**
   * Get a single availableService property value for this Hospital object.
   *
   * @return The first availableService property value.
   */
  public Thing getAvailableService();
  
  /**
   * Get a single medicalSpecialty property value for this Hospital object.
   *
   * @return The first medicalSpecialty property value.
   */
  public MedicalSpecialty getMedicalSpecialty();
  
  /**
   * Get all the availableService property values for this Hospital object.
   *
   * @return A list of availableService property values.
   */
  public List<Thing> getAvailableServices();
  
  /**
   * Get all the medicalSpecialty property values for this Hospital object.
   *
   * @return A list of medicalSpecialty property values.
   */
  public List<MedicalSpecialty> getMedicalSpecialties();
  
  /**
   * Set the availableService property value for this Hospital object; overwriting any existing values.
   *
   * @param availableService The value to set.
   */
  public void setAvailableService(Thing availableService);
  
  /**
   * Set the medicalSpecialty property value for this Hospital object; overwriting any existing values.
   *
   * @param medicalSpecialty The value to set.
   */
  public void setMedicalSpecialty(MedicalSpecialty medicalSpecialty);
  
  /**
   * Set the availableService property values for this Hospital object; overwriting any existing values.
   *
   * @param availableServices The list of values to set.
   */
  public void setAvailableServices(List<Thing> availableServices);
  
  /**
   * Set the medicalSpecialty property values for this Hospital object; overwriting any existing values.
   *
   * @param medicalSpecialties The list of values to set.
   */
  public void setMedicalSpecialties(List<MedicalSpecialty> medicalSpecialties);
  
  /**
   * Adds a availableService property value for this Hospital object; appending it to the list of existing values.
   *
   * @param availableService The value to add.
   */
  public void addAvailableService(Thing availableService);
  
  /**
   * Adds a medicalSpecialty property value for this Hospital object; appending it to the list of existing values.
   *
   * @param medicalSpecialty The value to add.
   */
  public void addMedicalSpecialty(MedicalSpecialty medicalSpecialty);
  
}