package org.schema;

import java.util.List;
import org.schema.MedicalImagingTechnique;
import org.schema.MedicalTest;
import org.schema.SchemaObject;

/**
 * Any medical imaging modality typically used for diagnostic purposes.
 */
public interface ImagingTest extends MedicalTest, SchemaObject {

  /**
   * Get a single imagingTechnique property value for this ImagingTest object.
   *
   * @return The first imagingTechnique property value.
   */
  public MedicalImagingTechnique getImagingTechnique();
  
  /**
   * Get all the imagingTechnique property values for this ImagingTest object.
   *
   * @return A list of imagingTechnique property values.
   */
  public List<MedicalImagingTechnique> getImagingTechniques();
  
  /**
   * Set the imagingTechnique property value for this ImagingTest object; overwriting any existing values.
   *
   * @param imagingTechnique The value to set.
   */
  public void setImagingTechnique(MedicalImagingTechnique imagingTechnique);
  
  /**
   * Set the imagingTechnique property values for this ImagingTest object; overwriting any existing values.
   *
   * @param imagingTechniques The list of values to set.
   */
  public void setImagingTechniques(List<MedicalImagingTechnique> imagingTechniques);
  
  /**
   * Adds a imagingTechnique property value for this ImagingTest object; appending it to the list of existing values.
   *
   * @param imagingTechnique The value to add.
   */
  public void addImagingTechnique(MedicalImagingTechnique imagingTechnique);
  
}