package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.Product;
import org.schema.SchemaObject;

/**
 * A single, identifiable product instance (e.g. a laptop with a particular serial number).
 */
public interface IndividualProduct extends Product, SchemaObject {

  /**
   * Get a single serialNumber property value for this IndividualProduct object.
   *
   * @return The first serialNumber property value.
   */
  public String getSerialNumber();
  
  /**
   * Get all the serialNumber property values for this IndividualProduct object.
   *
   * @return A list of serialNumber property values.
   */
  public List<String> getSerialNumbers();
  
  /**
   * Set the serialNumber property value for this IndividualProduct object; overwriting any existing values.
   *
   * @param serialNumber The value to set.
   */
  public void setSerialNumber(String serialNumber);
  
  /**
   * Set the serialNumber property values for this IndividualProduct object; overwriting any existing values.
   *
   * @param serialNumbers The list of values to set.
   */
  public void setSerialNumbers(List<String> serialNumbers);
  
  /**
   * Adds a serialNumber property value for this IndividualProduct object; appending it to the list of existing values.
   *
   * @param serialNumber The value to add.
   */
  public void addSerialNumber(String serialNumber);
  
}