package org.schema;

/**
 * Classes of agents or pathogens that transmit infectious diseases. Enumerated type.
 */
public enum InfectiousAgentClass {

  Bacteria("http://schema.org/Bacteria"),
  Fungus("http://schema.org/Fungus"),
  MulticellularParasite("http://schema.org/MulticellularParasite"),
  Prion("http://schema.org/Prion"),
  Protozoa("http://schema.org/Protozoa"),
  Virus("http://schema.org/Virus");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of InfectiousAgentClass.
   *
   * @param uri The URI for this instance.
   */
  private InfectiousAgentClass(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}