package org.schema;

import java.util.List;
import org.schema.AddAction;
import org.schema.SchemaObject;
import org.schema.Thing;

/**
 * The act of adding at a specific location in an ordered collection.
 */
public interface InsertAction extends AddAction, SchemaObject {

  /**
   * Get a single toLocation property value for this InsertAction object.
   *
   * @return The first toLocation property value.
   */
  public Thing getToLocation();
  
  /**
   * Get all the toLocation property values for this InsertAction object.
   *
   * @return A list of toLocation property values.
   */
  public List<Thing> getToLocations();
  
  /**
   * Set the toLocation property value for this InsertAction object; overwriting any existing values.
   *
   * @param toLocation The value to set.
   */
  public void setToLocation(Thing toLocation);
  
  /**
   * Set the toLocation property values for this InsertAction object; overwriting any existing values.
   *
   * @param toLocations The list of values to set.
   */
  public void setToLocations(List<Thing> toLocations);
  
  /**
   * Adds a toLocation property value for this InsertAction object; appending it to the list of existing values.
   *
   * @param toLocation The value to add.
   */
  public void addToLocation(Thing toLocation);
  
}