package org.schema;

/**
 * A list of possible product availability options.
 */
public enum ItemAvailability {

  Discontinued("http://schema.org/Discontinued"),
  InStock("http://schema.org/InStock"),
  InStoreOnly("http://schema.org/InStoreOnly"),
  LimitedAvailability("http://schema.org/LimitedAvailability"),
  OnlineOnly("http://schema.org/OnlineOnly"),
  OutOfStock("http://schema.org/OutOfStock"),
  PreOrder("http://schema.org/PreOrder"),
  SoldOut("http://schema.org/SoldOut");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of ItemAvailability.
   *
   * @param uri The URI for this instance.
   */
  private ItemAvailability(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}