package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.CreativeWork;
import org.schema.SchemaObject;

/**
 * A list of items of any sort&#x2014;for example, Top 10 Movies About Weathermen, or Top 100 Party Songs. Not to be confused with HTML lists, which are often used only for formatting.
 */
public interface ItemList extends CreativeWork, SchemaObject {

  /**
   * Get a single itemListElement property value for this ItemList object.
   *
   * @return The first itemListElement property value.
   */
  public String getItemListElement();
  
  /**
   * Get a single itemListOrder property value for this ItemList object.
   *
   * @return The first itemListOrder property value.
   */
  public String getItemListOrder();
  
  /**
   * Get all the itemListElement property values for this ItemList object.
   *
   * @return A list of itemListElement property values.
   */
  public List<String> getItemListElements();
  
  /**
   * Get all the itemListOrder property values for this ItemList object.
   *
   * @return A list of itemListOrder property values.
   */
  public List<String> getItemListOrders();
  
  /**
   * Set the itemListElement property value for this ItemList object; overwriting any existing values.
   *
   * @param itemListElement The value to set.
   */
  public void setItemListElement(String itemListElement);
  
  /**
   * Set the itemListOrder property value for this ItemList object; overwriting any existing values.
   *
   * @param itemListOrder The value to set.
   */
  public void setItemListOrder(String itemListOrder);
  
  /**
   * Set the itemListElement property values for this ItemList object; overwriting any existing values.
   *
   * @param itemListElements The list of values to set.
   */
  public void setItemListElements(List<String> itemListElements);
  
  /**
   * Set the itemListOrder property values for this ItemList object; overwriting any existing values.
   *
   * @param itemListOrders The list of values to set.
   */
  public void setItemListOrders(List<String> itemListOrders);
  
  /**
   * Adds a itemListElement property value for this ItemList object; appending it to the list of existing values.
   *
   * @param itemListElement The value to add.
   */
  public void addItemListElement(String itemListElement);
  
  /**
   * Adds a itemListOrder property value for this ItemList object; appending it to the list of existing values.
   *
   * @param itemListOrder The value to add.
   */
  public void addItemListOrder(String itemListOrder);
  
}