package org.schema;

import java.lang.String;
import java.util.Date;
import java.util.List;
import org.schema.Intangible;
import org.schema.Number;
import org.schema.Organization;
import org.schema.Place;
import org.schema.SchemaObject;

/**
 * A listing that describes a job opening in a certain organization.
 */
public interface JobPosting extends Intangible, SchemaObject {

  /**
   * Get a single baseSalary property value for this JobPosting object.
   *
   * @return The first baseSalary property value.
   */
  public Number getBaseSalary();
  
  /**
   * Get a single benefits property value for this JobPosting object.
   *
   * @return The first benefits property value.
   */
  public String getBenefits();
  
  /**
   * Get a single datePosted property value for this JobPosting object.
   *
   * @return The first datePosted property value.
   */
  public Date getDatePosted();
  
  /**
   * Get a single educationRequirements property value for this JobPosting object.
   *
   * @return The first educationRequirements property value.
   */
  public String getEducationRequirements();
  
  /**
   * Get a single employmentType property value for this JobPosting object.
   *
   * @return The first employmentType property value.
   */
  public String getEmploymentType();
  
  /**
   * Get a single experienceRequirements property value for this JobPosting object.
   *
   * @return The first experienceRequirements property value.
   */
  public String getExperienceRequirements();
  
  /**
   * Get a single hiringOrganization property value for this JobPosting object.
   *
   * @return The first hiringOrganization property value.
   */
  public Organization getHiringOrganization();
  
  /**
   * Get a single incentives property value for this JobPosting object.
   *
   * @return The first incentives property value.
   */
  public String getIncentives();
  
  /**
   * Get a single industry property value for this JobPosting object.
   *
   * @return The first industry property value.
   */
  public String getIndustry();
  
  /**
   * Get a single jobLocation property value for this JobPosting object.
   *
   * @return The first jobLocation property value.
   */
  public Place getJobLocation();
  
  /**
   * Get a single occupationalCategory property value for this JobPosting object.
   *
   * @return The first occupationalCategory property value.
   */
  public String getOccupationalCategory();
  
  /**
   * Get a single qualifications property value for this JobPosting object.
   *
   * @return The first qualifications property value.
   */
  public String getQualifications();
  
  /**
   * Get a single responsibilities property value for this JobPosting object.
   *
   * @return The first responsibilities property value.
   */
  public String getResponsibilities();
  
  /**
   * Get a single salaryCurrency property value for this JobPosting object.
   *
   * @return The first salaryCurrency property value.
   */
  public String getSalaryCurrency();
  
  /**
   * Get a single skills property value for this JobPosting object.
   *
   * @return The first skills property value.
   */
  public String getSkills();
  
  /**
   * Get a single specialCommitments property value for this JobPosting object.
   *
   * @return The first specialCommitments property value.
   */
  public String getSpecialCommitments();
  
  /**
   * Get a single title property value for this JobPosting object.
   *
   * @return The first title property value.
   */
  public String getTitle();
  
  /**
   * Get a single workHours property value for this JobPosting object.
   *
   * @return The first workHours property value.
   */
  public String getWorkHours();
  
  /**
   * Get all the baseSalary property values for this JobPosting object.
   *
   * @return A list of baseSalary property values.
   */
  public List<Number> getBaseSalaries();
  
  /**
   * Get all the benefits property values for this JobPosting object.
   *
   * @return A list of benefits property values.
   */
  public List<String> getBenefitss();
  
  /**
   * Get all the datePosted property values for this JobPosting object.
   *
   * @return A list of datePosted property values.
   */
  public List<Date> getDatePosteds();
  
  /**
   * Get all the educationRequirements property values for this JobPosting object.
   *
   * @return A list of educationRequirements property values.
   */
  public List<String> getEducationRequirementss();
  
  /**
   * Get all the employmentType property values for this JobPosting object.
   *
   * @return A list of employmentType property values.
   */
  public List<String> getEmploymentTypes();
  
  /**
   * Get all the experienceRequirements property values for this JobPosting object.
   *
   * @return A list of experienceRequirements property values.
   */
  public List<String> getExperienceRequirementss();
  
  /**
   * Get all the hiringOrganization property values for this JobPosting object.
   *
   * @return A list of hiringOrganization property values.
   */
  public List<Organization> getHiringOrganizations();
  
  /**
   * Get all the incentives property values for this JobPosting object.
   *
   * @return A list of incentives property values.
   */
  public List<String> getIncentivess();
  
  /**
   * Get all the industry property values for this JobPosting object.
   *
   * @return A list of industry property values.
   */
  public List<String> getIndustries();
  
  /**
   * Get all the jobLocation property values for this JobPosting object.
   *
   * @return A list of jobLocation property values.
   */
  public List<Place> getJobLocations();
  
  /**
   * Get all the occupationalCategory property values for this JobPosting object.
   *
   * @return A list of occupationalCategory property values.
   */
  public List<String> getOccupationalCategories();
  
  /**
   * Get all the qualifications property values for this JobPosting object.
   *
   * @return A list of qualifications property values.
   */
  public List<String> getQualificationss();
  
  /**
   * Get all the responsibilities property values for this JobPosting object.
   *
   * @return A list of responsibilities property values.
   */
  public List<String> getResponsibilitiess();
  
  /**
   * Get all the salaryCurrency property values for this JobPosting object.
   *
   * @return A list of salaryCurrency property values.
   */
  public List<String> getSalaryCurrencies();
  
  /**
   * Get all the skills property values for this JobPosting object.
   *
   * @return A list of skills property values.
   */
  public List<String> getSkillss();
  
  /**
   * Get all the specialCommitments property values for this JobPosting object.
   *
   * @return A list of specialCommitments property values.
   */
  public List<String> getSpecialCommitmentss();
  
  /**
   * Get all the title property values for this JobPosting object.
   *
   * @return A list of title property values.
   */
  public List<String> getTitles();
  
  /**
   * Get all the workHours property values for this JobPosting object.
   *
   * @return A list of workHours property values.
   */
  public List<String> getWorkHourss();
  
  /**
   * Set the baseSalary property value for this JobPosting object; overwriting any existing values.
   *
   * @param baseSalary The value to set.
   */
  public void setBaseSalary(Number baseSalary);
  
  /**
   * Set the benefits property value for this JobPosting object; overwriting any existing values.
   *
   * @param benefits The value to set.
   */
  public void setBenefits(String benefits);
  
  /**
   * Set the datePosted property value for this JobPosting object; overwriting any existing values.
   *
   * @param datePosted The value to set.
   */
  public void setDatePosted(Date datePosted);
  
  /**
   * Set the educationRequirements property value for this JobPosting object; overwriting any existing values.
   *
   * @param educationRequirements The value to set.
   */
  public void setEducationRequirements(String educationRequirements);
  
  /**
   * Set the employmentType property value for this JobPosting object; overwriting any existing values.
   *
   * @param employmentType The value to set.
   */
  public void setEmploymentType(String employmentType);
  
  /**
   * Set the experienceRequirements property value for this JobPosting object; overwriting any existing values.
   *
   * @param experienceRequirements The value to set.
   */
  public void setExperienceRequirements(String experienceRequirements);
  
  /**
   * Set the hiringOrganization property value for this JobPosting object; overwriting any existing values.
   *
   * @param hiringOrganization The value to set.
   */
  public void setHiringOrganization(Organization hiringOrganization);
  
  /**
   * Set the incentives property value for this JobPosting object; overwriting any existing values.
   *
   * @param incentives The value to set.
   */
  public void setIncentives(String incentives);
  
  /**
   * Set the industry property value for this JobPosting object; overwriting any existing values.
   *
   * @param industry The value to set.
   */
  public void setIndustry(String industry);
  
  /**
   * Set the jobLocation property value for this JobPosting object; overwriting any existing values.
   *
   * @param jobLocation The value to set.
   */
  public void setJobLocation(Place jobLocation);
  
  /**
   * Set the occupationalCategory property value for this JobPosting object; overwriting any existing values.
   *
   * @param occupationalCategory The value to set.
   */
  public void setOccupationalCategory(String occupationalCategory);
  
  /**
   * Set the qualifications property value for this JobPosting object; overwriting any existing values.
   *
   * @param qualifications The value to set.
   */
  public void setQualifications(String qualifications);
  
  /**
   * Set the responsibilities property value for this JobPosting object; overwriting any existing values.
   *
   * @param responsibilities The value to set.
   */
  public void setResponsibilities(String responsibilities);
  
  /**
   * Set the salaryCurrency property value for this JobPosting object; overwriting any existing values.
   *
   * @param salaryCurrency The value to set.
   */
  public void setSalaryCurrency(String salaryCurrency);
  
  /**
   * Set the skills property value for this JobPosting object; overwriting any existing values.
   *
   * @param skills The value to set.
   */
  public void setSkills(String skills);
  
  /**
   * Set the specialCommitments property value for this JobPosting object; overwriting any existing values.
   *
   * @param specialCommitments The value to set.
   */
  public void setSpecialCommitments(String specialCommitments);
  
  /**
   * Set the title property value for this JobPosting object; overwriting any existing values.
   *
   * @param title The value to set.
   */
  public void setTitle(String title);
  
  /**
   * Set the workHours property value for this JobPosting object; overwriting any existing values.
   *
   * @param workHours The value to set.
   */
  public void setWorkHours(String workHours);
  
  /**
   * Set the baseSalary property values for this JobPosting object; overwriting any existing values.
   *
   * @param baseSalaries The list of values to set.
   */
  public void setBaseSalaries(List<Number> baseSalaries);
  
  /**
   * Set the benefits property values for this JobPosting object; overwriting any existing values.
   *
   * @param benefitss The list of values to set.
   */
  public void setBenefitss(List<String> benefitss);
  
  /**
   * Set the datePosted property values for this JobPosting object; overwriting any existing values.
   *
   * @param datePosteds The list of values to set.
   */
  public void setDatePosteds(List<Date> datePosteds);
  
  /**
   * Set the educationRequirements property values for this JobPosting object; overwriting any existing values.
   *
   * @param educationRequirementss The list of values to set.
   */
  public void setEducationRequirementss(List<String> educationRequirementss);
  
  /**
   * Set the employmentType property values for this JobPosting object; overwriting any existing values.
   *
   * @param employmentTypes The list of values to set.
   */
  public void setEmploymentTypes(List<String> employmentTypes);
  
  /**
   * Set the experienceRequirements property values for this JobPosting object; overwriting any existing values.
   *
   * @param experienceRequirementss The list of values to set.
   */
  public void setExperienceRequirementss(List<String> experienceRequirementss);
  
  /**
   * Set the hiringOrganization property values for this JobPosting object; overwriting any existing values.
   *
   * @param hiringOrganizations The list of values to set.
   */
  public void setHiringOrganizations(List<Organization> hiringOrganizations);
  
  /**
   * Set the incentives property values for this JobPosting object; overwriting any existing values.
   *
   * @param incentivess The list of values to set.
   */
  public void setIncentivess(List<String> incentivess);
  
  /**
   * Set the industry property values for this JobPosting object; overwriting any existing values.
   *
   * @param industries The list of values to set.
   */
  public void setIndustries(List<String> industries);
  
  /**
   * Set the jobLocation property values for this JobPosting object; overwriting any existing values.
   *
   * @param jobLocations The list of values to set.
   */
  public void setJobLocations(List<Place> jobLocations);
  
  /**
   * Set the occupationalCategory property values for this JobPosting object; overwriting any existing values.
   *
   * @param occupationalCategories The list of values to set.
   */
  public void setOccupationalCategories(List<String> occupationalCategories);
  
  /**
   * Set the qualifications property values for this JobPosting object; overwriting any existing values.
   *
   * @param qualificationss The list of values to set.
   */
  public void setQualificationss(List<String> qualificationss);
  
  /**
   * Set the responsibilities property values for this JobPosting object; overwriting any existing values.
   *
   * @param responsibilitiess The list of values to set.
   */
  public void setResponsibilitiess(List<String> responsibilitiess);
  
  /**
   * Set the salaryCurrency property values for this JobPosting object; overwriting any existing values.
   *
   * @param salaryCurrencies The list of values to set.
   */
  public void setSalaryCurrencies(List<String> salaryCurrencies);
  
  /**
   * Set the skills property values for this JobPosting object; overwriting any existing values.
   *
   * @param skillss The list of values to set.
   */
  public void setSkillss(List<String> skillss);
  
  /**
   * Set the specialCommitments property values for this JobPosting object; overwriting any existing values.
   *
   * @param specialCommitmentss The list of values to set.
   */
  public void setSpecialCommitmentss(List<String> specialCommitmentss);
  
  /**
   * Set the title property values for this JobPosting object; overwriting any existing values.
   *
   * @param titles The list of values to set.
   */
  public void setTitles(List<String> titles);
  
  /**
   * Set the workHours property values for this JobPosting object; overwriting any existing values.
   *
   * @param workHourss The list of values to set.
   */
  public void setWorkHourss(List<String> workHourss);
  
  /**
   * Adds a baseSalary property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param baseSalary The value to add.
   */
  public void addBaseSalary(Number baseSalary);
  
  /**
   * Adds a benefits property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param benefits The value to add.
   */
  public void addBenefits(String benefits);
  
  /**
   * Adds a datePosted property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param datePosted The value to add.
   */
  public void addDatePosted(Date datePosted);
  
  /**
   * Adds a educationRequirements property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param educationRequirements The value to add.
   */
  public void addEducationRequirements(String educationRequirements);
  
  /**
   * Adds a employmentType property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param employmentType The value to add.
   */
  public void addEmploymentType(String employmentType);
  
  /**
   * Adds a experienceRequirements property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param experienceRequirements The value to add.
   */
  public void addExperienceRequirements(String experienceRequirements);
  
  /**
   * Adds a hiringOrganization property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param hiringOrganization The value to add.
   */
  public void addHiringOrganization(Organization hiringOrganization);
  
  /**
   * Adds a incentives property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param incentives The value to add.
   */
  public void addIncentives(String incentives);
  
  /**
   * Adds a industry property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param industry The value to add.
   */
  public void addIndustry(String industry);
  
  /**
   * Adds a jobLocation property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param jobLocation The value to add.
   */
  public void addJobLocation(Place jobLocation);
  
  /**
   * Adds a occupationalCategory property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param occupationalCategory The value to add.
   */
  public void addOccupationalCategory(String occupationalCategory);
  
  /**
   * Adds a qualifications property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param qualifications The value to add.
   */
  public void addQualifications(String qualifications);
  
  /**
   * Adds a responsibilities property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param responsibilities The value to add.
   */
  public void addResponsibilities(String responsibilities);
  
  /**
   * Adds a salaryCurrency property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param salaryCurrency The value to add.
   */
  public void addSalaryCurrency(String salaryCurrency);
  
  /**
   * Adds a skills property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param skills The value to add.
   */
  public void addSkills(String skills);
  
  /**
   * Adds a specialCommitments property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param specialCommitments The value to add.
   */
  public void addSpecialCommitments(String specialCommitments);
  
  /**
   * Adds a title property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param title The value to add.
   */
  public void addTitle(String title);
  
  /**
   * Adds a workHours property value for this JobPosting object; appending it to the list of existing values.
   *
   * @param workHours The value to add.
   */
  public void addWorkHours(String workHours);
  
}