package org.schema;

/**
 * Target audiences for medical web pages. Enumerated type.
 */
public enum MedicalAudience {

  Clinician("http://schema.org/Clinician"),
  MedicalResearcher("http://schema.org/MedicalResearcher"),
  Patient("http://schema.org/Patient");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of MedicalAudience.
   *
   * @param uri The URI for this instance.
   */
  private MedicalAudience(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}