package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.MedicalIntangible;
import org.schema.Number;
import org.schema.SchemaObject;

/**
 * A stage of a medical condition, such as 'Stage IIIa'.
 */
public interface MedicalConditionStage extends MedicalIntangible, SchemaObject {

  /**
   * Get a single stageAsNumber property value for this MedicalConditionStage object.
   *
   * @return The first stageAsNumber property value.
   */
  public Number getStageAsNumber();
  
  /**
   * Get a single subStageSuffix property value for this MedicalConditionStage object.
   *
   * @return The first subStageSuffix property value.
   */
  public String getSubStageSuffix();
  
  /**
   * Get all the stageAsNumber property values for this MedicalConditionStage object.
   *
   * @return A list of stageAsNumber property values.
   */
  public List<Number> getStageAsNumbers();
  
  /**
   * Get all the subStageSuffix property values for this MedicalConditionStage object.
   *
   * @return A list of subStageSuffix property values.
   */
  public List<String> getSubStageSuffixes();
  
  /**
   * Set the stageAsNumber property value for this MedicalConditionStage object; overwriting any existing values.
   *
   * @param stageAsNumber The value to set.
   */
  public void setStageAsNumber(Number stageAsNumber);
  
  /**
   * Set the subStageSuffix property value for this MedicalConditionStage object; overwriting any existing values.
   *
   * @param subStageSuffix The value to set.
   */
  public void setSubStageSuffix(String subStageSuffix);
  
  /**
   * Set the stageAsNumber property values for this MedicalConditionStage object; overwriting any existing values.
   *
   * @param stageAsNumbers The list of values to set.
   */
  public void setStageAsNumbers(List<Number> stageAsNumbers);
  
  /**
   * Set the subStageSuffix property values for this MedicalConditionStage object; overwriting any existing values.
   *
   * @param subStageSuffixes The list of values to set.
   */
  public void setSubStageSuffixes(List<String> subStageSuffixes);
  
  /**
   * Adds a stageAsNumber property value for this MedicalConditionStage object; appending it to the list of existing values.
   *
   * @param stageAsNumber The value to add.
   */
  public void addStageAsNumber(Number stageAsNumber);
  
  /**
   * Adds a subStageSuffix property value for this MedicalConditionStage object; appending it to the list of existing values.
   *
   * @param subStageSuffix The value to add.
   */
  public void addSubStageSuffix(String subStageSuffix);
  
}