package org.schema;

import org.schema.MedicalEntity;
import org.schema.SchemaObject;

/**
 * A condition or factor that serves as a reason to withhold a certain medical therapy. Contraindications can be absolute (there are no reasonable circumstances for undertaking a course of action) or relative (the patient is at higher risk of complications, but that these risks may be outweighed by other considerations or mitigated by other measures).
 */
public interface MedicalContraindication extends MedicalEntity, SchemaObject {

}