package org.schema;

/**
 * Categories of medical devices, organized by the purpose or intended use of the device.
 */
public enum MedicalDevicePurpose {

  Diagnostic("http://schema.org/Diagnostic"),
  Therapeutic("http://schema.org/Therapeutic");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of MedicalDevicePurpose.
   *
   * @param uri The URI for this instance.
   */
  private MedicalDevicePurpose(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}