package org.schema;

/**
 * Level of evidence for a medical guideline. Enumerated type.
 */
public enum MedicalEvidenceLevel {

  EvidenceLevelA("http://schema.org/EvidenceLevelA"),
  EvidenceLevelB("http://schema.org/EvidenceLevelB"),
  EvidenceLevelC("http://schema.org/EvidenceLevelC");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of MedicalEvidenceLevel.
   *
   * @param uri The URI for this instance.
   */
  private MedicalEvidenceLevel(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}