package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.MedicalGuideline;
import org.schema.SchemaObject;

/**
 * A guideline recommendation that is regarded as efficacious and where quality of the data supporting the recommendation is sound.
 */
public interface MedicalGuidelineRecommendation extends MedicalGuideline, SchemaObject {

  /**
   * Get a single recommendationStrength property value for this MedicalGuidelineRecommendation object.
   *
   * @return The first recommendationStrength property value.
   */
  public String getRecommendationStrength();
  
  /**
   * Get all the recommendationStrength property values for this MedicalGuidelineRecommendation object.
   *
   * @return A list of recommendationStrength property values.
   */
  public List<String> getRecommendationStrengths();
  
  /**
   * Set the recommendationStrength property value for this MedicalGuidelineRecommendation object; overwriting any existing values.
   *
   * @param recommendationStrength The value to set.
   */
  public void setRecommendationStrength(String recommendationStrength);
  
  /**
   * Set the recommendationStrength property values for this MedicalGuidelineRecommendation object; overwriting any existing values.
   *
   * @param recommendationStrengths The list of values to set.
   */
  public void setRecommendationStrengths(List<String> recommendationStrengths);
  
  /**
   * Adds a recommendationStrength property value for this MedicalGuidelineRecommendation object; appending it to the list of existing values.
   *
   * @param recommendationStrength The value to add.
   */
  public void addRecommendationStrength(String recommendationStrength);
  
}