package org.schema;

/**
 * Any medical imaging modality typically used for diagnostic purposes. Enumerated type.
 */
public enum MedicalImagingTechnique {

  CT("http://schema.org/CT"),
  MRI("http://schema.org/MRI"),
  PET("http://schema.org/PET"),
  Ultrasound("http://schema.org/Ultrasound"),
  XRay("http://schema.org/XRay");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of MedicalImagingTechnique.
   *
   * @param uri The URI for this instance.
   */
  private MedicalImagingTechnique(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}