package org.schema;

import java.util.List;
import org.schema.MedicalObservationalStudyDesign;
import org.schema.MedicalStudy;
import org.schema.SchemaObject;

/**
 * An observational study is a type of medical study that attempts to infer the possible effect of a treatment through observation of a cohort of subjects over a period of time. In an observational study, the assignment of subjects into treatment groups versus control groups is outside the control of the investigator. This is in contrast with controlled studies, such as the randomized controlled trials represented by MedicalTrial, where each subject is randomly assigned to a treatment group or a control group before the start of the treatment.
 */
public interface MedicalObservationalStudy extends MedicalStudy, SchemaObject {

  /**
   * Get a single studyDesign property value for this MedicalObservationalStudy object.
   *
   * @return The first studyDesign property value.
   */
  public MedicalObservationalStudyDesign getStudyDesign();
  
  /**
   * Get all the studyDesign property values for this MedicalObservationalStudy object.
   *
   * @return A list of studyDesign property values.
   */
  public List<MedicalObservationalStudyDesign> getStudyDesigns();
  
  /**
   * Set the studyDesign property value for this MedicalObservationalStudy object; overwriting any existing values.
   *
   * @param studyDesign The value to set.
   */
  public void setStudyDesign(MedicalObservationalStudyDesign studyDesign);
  
  /**
   * Set the studyDesign property values for this MedicalObservationalStudy object; overwriting any existing values.
   *
   * @param studyDesigns The list of values to set.
   */
  public void setStudyDesigns(List<MedicalObservationalStudyDesign> studyDesigns);
  
  /**
   * Adds a studyDesign property value for this MedicalObservationalStudy object; appending it to the list of existing values.
   *
   * @param studyDesign The value to add.
   */
  public void addStudyDesign(MedicalObservationalStudyDesign studyDesign);
  
}