package org.schema;

/**
 * Design models for observational medical studies. Enumerated type.
 */
public enum MedicalObservationalStudyDesign {

  CaseSeries("http://schema.org/CaseSeries"),
  CohortStudy("http://schema.org/CohortStudy"),
  CrossSectional("http://schema.org/CrossSectional"),
  Longitudinal("http://schema.org/Longitudinal"),
  Observational("http://schema.org/Observational"),
  Registry("http://schema.org/Registry");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of MedicalObservationalStudyDesign.
   *
   * @param uri The URI for this instance.
   */
  private MedicalObservationalStudyDesign(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}