package org.schema;

/**
 * An enumeration that describes different types of medical procedures.
 */
public enum MedicalProcedureType {

  NoninvasiveProcedure("http://schema.org/NoninvasiveProcedure"),
  PercutaneousProcedure("http://schema.org/PercutaneousProcedure"),
  SurgicalProcedure("http://schema.org/SurgicalProcedure");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of MedicalProcedureType.
   *
   * @param uri The URI for this instance.
   */
  private MedicalProcedureType(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}