package org.schema;

import java.util.List;
import org.schema.MedicalEntity;
import org.schema.SchemaObject;

/**
 * A risk factor is anything that increases a person's likelihood of developing or contracting a disease, medical condition, or complication.
 */
public interface MedicalRiskFactor extends MedicalEntity, SchemaObject {

  /**
   * Get a single increasesRiskOf property value for this MedicalRiskFactor object.
   *
   * @return The first increasesRiskOf property value.
   */
  public MedicalEntity getIncreasesRiskOf();
  
  /**
   * Get all the increasesRiskOf property values for this MedicalRiskFactor object.
   *
   * @return A list of increasesRiskOf property values.
   */
  public List<MedicalEntity> getIncreasesRisksOf();
  
  /**
   * Set the increasesRiskOf property value for this MedicalRiskFactor object; overwriting any existing values.
   *
   * @param increasesRiskOf The value to set.
   */
  public void setIncreasesRiskOf(MedicalEntity increasesRiskOf);
  
  /**
   * Set the increasesRiskOf property values for this MedicalRiskFactor object; overwriting any existing values.
   *
   * @param increasesRisksOf The list of values to set.
   */
  public void setIncreasesRisksOf(List<MedicalEntity> increasesRisksOf);
  
  /**
   * Adds a increasesRiskOf property value for this MedicalRiskFactor object; appending it to the list of existing values.
   *
   * @param increasesRiskOf The value to add.
   */
  public void addIncreasesRiskOf(MedicalEntity increasesRiskOf);
  
}