package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.SchemaObject;
import org.schema.ScholarlyArticle;

/**
 * A scholarly article in the medical domain.
 */
public interface MedicalScholarlyArticle extends ScholarlyArticle, SchemaObject {

  /**
   * Get a single publicationType property value for this MedicalScholarlyArticle object.
   *
   * @return The first publicationType property value.
   */
  public String getPublicationType();
  
  /**
   * Get all the publicationType property values for this MedicalScholarlyArticle object.
   *
   * @return A list of publicationType property values.
   */
  public List<String> getPublicationTypes();
  
  /**
   * Set the publicationType property value for this MedicalScholarlyArticle object; overwriting any existing values.
   *
   * @param publicationType The value to set.
   */
  public void setPublicationType(String publicationType);
  
  /**
   * Set the publicationType property values for this MedicalScholarlyArticle object; overwriting any existing values.
   *
   * @param publicationTypes The list of values to set.
   */
  public void setPublicationTypes(List<String> publicationTypes);
  
  /**
   * Adds a publicationType property value for this MedicalScholarlyArticle object; appending it to the list of existing values.
   *
   * @param publicationType The value to add.
   */
  public void addPublicationType(String publicationType);
  
}