package org.schema;

import java.util.List;
import org.schema.MedicalSignOrSymptom;
import org.schema.MedicalTest;
import org.schema.PhysicalExam;
import org.schema.SchemaObject;

/**
 * Any physical manifestation of a person's medical condition discoverable by objective diagnostic tests or physical examination.
 */
public interface MedicalSign extends MedicalSignOrSymptom, SchemaObject {

  /**
   * Get a single identifyingExam property value for this MedicalSign object.
   *
   * @return The first identifyingExam property value.
   */
  public PhysicalExam getIdentifyingExam();
  
  /**
   * Get a single identifyingTest property value for this MedicalSign object.
   *
   * @return The first identifyingTest property value.
   */
  public MedicalTest getIdentifyingTest();
  
  /**
   * Get all the identifyingExam property values for this MedicalSign object.
   *
   * @return A list of identifyingExam property values.
   */
  public List<PhysicalExam> getIdentifyingExams();
  
  /**
   * Get all the identifyingTest property values for this MedicalSign object.
   *
   * @return A list of identifyingTest property values.
   */
  public List<MedicalTest> getIdentifyingTests();
  
  /**
   * Set the identifyingExam property value for this MedicalSign object; overwriting any existing values.
   *
   * @param identifyingExam The value to set.
   */
  public void setIdentifyingExam(PhysicalExam identifyingExam);
  
  /**
   * Set the identifyingTest property value for this MedicalSign object; overwriting any existing values.
   *
   * @param identifyingTest The value to set.
   */
  public void setIdentifyingTest(MedicalTest identifyingTest);
  
  /**
   * Set the identifyingExam property values for this MedicalSign object; overwriting any existing values.
   *
   * @param identifyingExams The list of values to set.
   */
  public void setIdentifyingExams(List<PhysicalExam> identifyingExams);
  
  /**
   * Set the identifyingTest property values for this MedicalSign object; overwriting any existing values.
   *
   * @param identifyingTests The list of values to set.
   */
  public void setIdentifyingTests(List<MedicalTest> identifyingTests);
  
  /**
   * Adds a identifyingExam property value for this MedicalSign object; appending it to the list of existing values.
   *
   * @param identifyingExam The value to add.
   */
  public void addIdentifyingExam(PhysicalExam identifyingExam);
  
  /**
   * Adds a identifyingTest property value for this MedicalSign object; appending it to the list of existing values.
   *
   * @param identifyingTest The value to add.
   */
  public void addIdentifyingTest(MedicalTest identifyingTest);
  
}