package org.schema;

/**
 * Any specific branch of medical science or practice. Medical specialities include clinical specialties that pertain to particular organ systems and their respective disease states, as well as allied health specialties. Enumerated type.
 */
public enum MedicalSpecialty {

  Anesthesia("http://schema.org/Anesthesia"),
  Cardiovascular("http://schema.org/Cardiovascular"),
  CommunityHealth("http://schema.org/CommunityHealth"),
  Dentistry("http://schema.org/Dentistry"),
  Dermatologic("http://schema.org/Dermatologic"),
  DietNutrition("http://schema.org/DietNutrition"),
  Emergency("http://schema.org/Emergency"),
  Endocrine("http://schema.org/Endocrine"),
  Gastroenterologic("http://schema.org/Gastroenterologic"),
  Genetic("http://schema.org/Genetic"),
  Geriatric("http://schema.org/Geriatric"),
  Gynecologic("http://schema.org/Gynecologic"),
  Hematologic("http://schema.org/Hematologic"),
  Infectious("http://schema.org/Infectious"),
  LaboratoryScience("http://schema.org/LaboratoryScience"),
  Midwifery("http://schema.org/Midwifery"),
  Musculoskeletal("http://schema.org/Musculoskeletal"),
  Neurologic("http://schema.org/Neurologic"),
  Nursing("http://schema.org/Nursing"),
  Obstetric("http://schema.org/Obstetric"),
  OccupationalTherapy("http://schema.org/OccupationalTherapy"),
  Oncologic("http://schema.org/Oncologic"),
  Optometic("http://schema.org/Optometic"),
  Otolaryngologic("http://schema.org/Otolaryngologic"),
  Pathology("http://schema.org/Pathology"),
  Pediatric("http://schema.org/Pediatric"),
  PharmacySpecialty("http://schema.org/PharmacySpecialty"),
  Physiotherapy("http://schema.org/Physiotherapy"),
  PlasticSurgery("http://schema.org/PlasticSurgery"),
  Podiatric("http://schema.org/Podiatric"),
  PrimaryCare("http://schema.org/PrimaryCare"),
  Psychiatric("http://schema.org/Psychiatric"),
  PublicHealth("http://schema.org/PublicHealth"),
  Pulmonary("http://schema.org/Pulmonary"),
  Radiograpy("http://schema.org/Radiograpy"),
  Renal("http://schema.org/Renal"),
  RespiratoryTherapy("http://schema.org/RespiratoryTherapy"),
  Rheumatologic("http://schema.org/Rheumatologic"),
  SpeechPathology("http://schema.org/SpeechPathology"),
  Surgical("http://schema.org/Surgical"),
  Toxicologic("http://schema.org/Toxicologic"),
  Urologic("http://schema.org/Urologic");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of MedicalSpecialty.
   *
   * @param uri The URI for this instance.
   */
  private MedicalSpecialty(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}