package org.schema;

/**
 * The status of a medical study. Enumerated type.
 */
public enum MedicalStudyStatus {

  ActiveNotRecruiting("http://schema.org/ActiveNotRecruiting"),
  Completed("http://schema.org/Completed"),
  EnrollingByInvitation("http://schema.org/EnrollingByInvitation"),
  NotYetRecruiting("http://schema.org/NotYetRecruiting"),
  Recruiting("http://schema.org/Recruiting"),
  ResultsAvailable("http://schema.org/ResultsAvailable"),
  ResultsNotAvailable("http://schema.org/ResultsNotAvailable"),
  Suspended("http://schema.org/Suspended"),
  Terminated("http://schema.org/Terminated"),
  Withdrawn("http://schema.org/Withdrawn");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of MedicalStudyStatus.
   *
   * @param uri The URI for this instance.
   */
  private MedicalStudyStatus(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}