package org.schema;

import java.util.List;
import org.schema.MedicalTest;
import org.schema.SchemaObject;

/**
 * Any collection of tests commonly ordered together.
 */
public interface MedicalTestPanel extends MedicalTest, SchemaObject {

  /**
   * Get a single subTest property value for this MedicalTestPanel object.
   *
   * @return The first subTest property value.
   */
  public MedicalTest getSubTest();
  
  /**
   * Get all the subTest property values for this MedicalTestPanel object.
   *
   * @return A list of subTest property values.
   */
  public List<MedicalTest> getSubTests();
  
  /**
   * Set the subTest property value for this MedicalTestPanel object; overwriting any existing values.
   *
   * @param subTest The value to set.
   */
  public void setSubTest(MedicalTest subTest);
  
  /**
   * Set the subTest property values for this MedicalTestPanel object; overwriting any existing values.
   *
   * @param subTests The list of values to set.
   */
  public void setSubTests(List<MedicalTest> subTests);
  
  /**
   * Adds a subTest property value for this MedicalTestPanel object; appending it to the list of existing values.
   *
   * @param subTest The value to add.
   */
  public void addSubTest(MedicalTest subTest);
  
}