package org.schema;

/**
 * Design models for medical trials. Enumerated type.
 */
public enum MedicalTrialDesign {

  DoubleBlindedTrial("http://schema.org/DoubleBlindedTrial"),
  InternationalTrial("http://schema.org/InternationalTrial"),
  MultiCenterTrial("http://schema.org/MultiCenterTrial"),
  OpenTrial("http://schema.org/OpenTrial"),
  PlaceboControlledTrial("http://schema.org/PlaceboControlledTrial"),
  RandomizedTrial("http://schema.org/RandomizedTrial"),
  SingleBlindedTrial("http://schema.org/SingleBlindedTrial"),
  SingleCenterTrial("http://schema.org/SingleCenterTrial"),
  TripleBlindedTrial("http://schema.org/TripleBlindedTrial");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of MedicalTrialDesign.
   *
   * @param uri The URI for this instance.
   */
  private MedicalTrialDesign(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}