package org.schema;

/**
 * Systems of medical practice.
 */
public enum MedicineSystem {

  Ayurvedic("http://schema.org/Ayurvedic"),
  Chiropractic("http://schema.org/Chiropractic"),
  Homeopathic("http://schema.org/Homeopathic"),
  Osteopathic("http://schema.org/Osteopathic"),
  TraditionalChinese("http://schema.org/TraditionalChinese"),
  WesternConventional("http://schema.org/WesternConventional");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of MedicineSystem.
   *
   * @param uri The URI for this instance.
   */
  private MedicineSystem(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}