package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.SchemaObject;
import org.schema.SoftwareApplication;

/**
 * A mobile software application.
 */
public interface MobileApplication extends SoftwareApplication, SchemaObject {

  /**
   * Get a single carrierRequirements property value for this MobileApplication object.
   *
   * @return The first carrierRequirements property value.
   */
  public String getCarrierRequirements();
  
  /**
   * Get all the carrierRequirements property values for this MobileApplication object.
   *
   * @return A list of carrierRequirements property values.
   */
  public List<String> getCarrierRequirementss();
  
  /**
   * Set the carrierRequirements property value for this MobileApplication object; overwriting any existing values.
   *
   * @param carrierRequirements The value to set.
   */
  public void setCarrierRequirements(String carrierRequirements);
  
  /**
   * Set the carrierRequirements property values for this MobileApplication object; overwriting any existing values.
   *
   * @param carrierRequirementss The list of values to set.
   */
  public void setCarrierRequirementss(List<String> carrierRequirementss);
  
  /**
   * Adds a carrierRequirements property value for this MobileApplication object; appending it to the list of existing values.
   *
   * @param carrierRequirements The value to add.
   */
  public void addCarrierRequirements(String carrierRequirements);
  
}