package org.schema;

import java.util.List;
import org.schema.MusicGroup;
import org.schema.MusicPlaylist;
import org.schema.SchemaObject;

/**
 * A collection of music tracks.
 */
public interface MusicAlbum extends MusicPlaylist, SchemaObject {

  /**
   * Get a single byArtist property value for this MusicAlbum object.
   *
   * @return The first byArtist property value.
   */
  public MusicGroup getByArtist();
  
  /**
   * Get all the byArtist property values for this MusicAlbum object.
   *
   * @return A list of byArtist property values.
   */
  public List<MusicGroup> getByArtists();
  
  /**
   * Set the byArtist property value for this MusicAlbum object; overwriting any existing values.
   *
   * @param byArtist The value to set.
   */
  public void setByArtist(MusicGroup byArtist);
  
  /**
   * Set the byArtist property values for this MusicAlbum object; overwriting any existing values.
   *
   * @param byArtists The list of values to set.
   */
  public void setByArtists(List<MusicGroup> byArtists);
  
  /**
   * Adds a byArtist property value for this MusicAlbum object; appending it to the list of existing values.
   *
   * @param byArtist The value to add.
   */
  public void addByArtist(MusicGroup byArtist);
  
}