package org.schema;

import java.lang.Long;
import java.util.List;
import org.schema.CreativeWork;
import org.schema.MusicRecording;
import org.schema.SchemaObject;

/**
 * A collection of music tracks in playlist form.
 */
public interface MusicPlaylist extends CreativeWork, SchemaObject {

  /**
   * Get a single numTracks property value for this MusicPlaylist object.
   *
   * @return The first numTracks property value.
   */
  public Long getNumTracks();
  
  /**
   * Get a single track property value for this MusicPlaylist object.
   *
   * @return The first track property value.
   */
  public MusicRecording getTrack();
  
  /**
   * Get all the numTracks property values for this MusicPlaylist object.
   *
   * @return A list of numTracks property values.
   */
  public List<Long> getNumTrackss();
  
  /**
   * Get all the track property values for this MusicPlaylist object.
   *
   * @return A list of track property values.
   */
  public List<MusicRecording> getTracks();
  
  /**
   * Set the numTracks property value for this MusicPlaylist object; overwriting any existing values.
   *
   * @param numTracks The value to set.
   */
  public void setNumTracks(Long numTracks);
  
  /**
   * Set the track property value for this MusicPlaylist object; overwriting any existing values.
   *
   * @param track The value to set.
   */
  public void setTrack(MusicRecording track);
  
  /**
   * Set the numTracks property values for this MusicPlaylist object; overwriting any existing values.
   *
   * @param numTrackss The list of values to set.
   */
  public void setNumTrackss(List<Long> numTrackss);
  
  /**
   * Set the track property values for this MusicPlaylist object; overwriting any existing values.
   *
   * @param tracks The list of values to set.
   */
  public void setTracks(List<MusicRecording> tracks);
  
  /**
   * Adds a numTracks property value for this MusicPlaylist object; appending it to the list of existing values.
   *
   * @param numTracks The value to add.
   */
  public void addNumTracks(Long numTracks);
  
  /**
   * Adds a track property value for this MusicPlaylist object; appending it to the list of existing values.
   *
   * @param track The value to add.
   */
  public void addTrack(MusicRecording track);
  
}