package org.schema;

/**
 * A list of possible conditions for the item.
 */
public enum OfferItemCondition {

  DamagedCondition("http://schema.org/DamagedCondition"),
  NewCondition("http://schema.org/NewCondition"),
  RefurbishedCondition("http://schema.org/RefurbishedCondition"),
  UsedCondition("http://schema.org/UsedCondition");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of OfferItemCondition.
   *
   * @param uri The URI for this instance.
   */
  private OfferItemCondition(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}