package org.schema;

/**
 * Enumerated status values for Order.
 */
public enum OrderStatus {

  OrderCancelled("http://schema.org/OrderCancelled"),
  OrderDelivered("http://schema.org/OrderDelivered"),
  OrderInTransit("http://schema.org/OrderInTransit"),
  OrderPaymentDue("http://schema.org/OrderPaymentDue"),
  OrderPickupAvailable("http://schema.org/OrderPickupAvailable"),
  OrderProblem("http://schema.org/OrderProblem"),
  OrderProcessing("http://schema.org/OrderProcessing"),
  OrderReturned("http://schema.org/OrderReturned");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of OrderStatus.
   *
   * @param uri The URI for this instance.
   */
  private OrderStatus(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}