package org.schema;

import java.util.List;
import org.schema.Number;
import org.schema.PeopleAudience;
import org.schema.SchemaObject;

/**
 * A set of characteristics describing parents, who can be interested in viewing some content
 */
public interface ParentAudience extends PeopleAudience, SchemaObject {

  /**
   * Get a single childMaxAge property value for this ParentAudience object.
   *
   * @return The first childMaxAge property value.
   */
  public Number getChildMaxAge();
  
  /**
   * Get a single childMinAge property value for this ParentAudience object.
   *
   * @return The first childMinAge property value.
   */
  public Number getChildMinAge();
  
  /**
   * Get all the childMaxAge property values for this ParentAudience object.
   *
   * @return A list of childMaxAge property values.
   */
  public List<Number> getChildMaxAges();
  
  /**
   * Get all the childMinAge property values for this ParentAudience object.
   *
   * @return A list of childMinAge property values.
   */
  public List<Number> getChildMinAges();
  
  /**
   * Set the childMaxAge property value for this ParentAudience object; overwriting any existing values.
   *
   * @param childMaxAge The value to set.
   */
  public void setChildMaxAge(Number childMaxAge);
  
  /**
   * Set the childMinAge property value for this ParentAudience object; overwriting any existing values.
   *
   * @param childMinAge The value to set.
   */
  public void setChildMinAge(Number childMinAge);
  
  /**
   * Set the childMaxAge property values for this ParentAudience object; overwriting any existing values.
   *
   * @param childMaxAges The list of values to set.
   */
  public void setChildMaxAges(List<Number> childMaxAges);
  
  /**
   * Set the childMinAge property values for this ParentAudience object; overwriting any existing values.
   *
   * @param childMinAges The list of values to set.
   */
  public void setChildMinAges(List<Number> childMinAges);
  
  /**
   * Adds a childMaxAge property value for this ParentAudience object; appending it to the list of existing values.
   *
   * @param childMaxAge The value to add.
   */
  public void addChildMaxAge(Number childMaxAge);
  
  /**
   * Adds a childMinAge property value for this ParentAudience object; appending it to the list of existing values.
   *
   * @param childMinAge The value to add.
   */
  public void addChildMinAge(Number childMinAge);
  
}