package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.MedicalTest;
import org.schema.SchemaObject;

/**
 * A medical test performed by a laboratory that typically involves examination of a tissue sample by a pathologist.
 */
public interface PathologyTest extends MedicalTest, SchemaObject {

  /**
   * Get a single tissueSample property value for this PathologyTest object.
   *
   * @return The first tissueSample property value.
   */
  public String getTissueSample();
  
  /**
   * Get all the tissueSample property values for this PathologyTest object.
   *
   * @return A list of tissueSample property values.
   */
  public List<String> getTissueSamples();
  
  /**
   * Set the tissueSample property value for this PathologyTest object; overwriting any existing values.
   *
   * @param tissueSample The value to set.
   */
  public void setTissueSample(String tissueSample);
  
  /**
   * Set the tissueSample property values for this PathologyTest object; overwriting any existing values.
   *
   * @param tissueSamples The list of values to set.
   */
  public void setTissueSamples(List<String> tissueSamples);
  
  /**
   * Adds a tissueSample property value for this PathologyTest object; appending it to the list of existing values.
   *
   * @param tissueSample The value to add.
   */
  public void addTissueSample(String tissueSample);
  
}