package org.schema;

import java.util.List;
import org.schema.DeliveryMethod;
import org.schema.PaymentMethod;
import org.schema.PriceSpecification;
import org.schema.SchemaObject;

/**
 * The costs of settling the payment using a particular payment method.
 */
public interface PaymentChargeSpecification extends PriceSpecification, SchemaObject {

  /**
   * Get a single appliesToDeliveryMethod property value for this PaymentChargeSpecification object.
   *
   * @return The first appliesToDeliveryMethod property value.
   */
  public DeliveryMethod getAppliesToDeliveryMethod();
  
  /**
   * Get a single appliesToPaymentMethod property value for this PaymentChargeSpecification object.
   *
   * @return The first appliesToPaymentMethod property value.
   */
  public PaymentMethod getAppliesToPaymentMethod();
  
  /**
   * Get all the appliesToDeliveryMethod property values for this PaymentChargeSpecification object.
   *
   * @return A list of appliesToDeliveryMethod property values.
   */
  public List<DeliveryMethod> getAppliesToDeliveryMethods();
  
  /**
   * Get all the appliesToPaymentMethod property values for this PaymentChargeSpecification object.
   *
   * @return A list of appliesToPaymentMethod property values.
   */
  public List<PaymentMethod> getAppliesToPaymentMethods();
  
  /**
   * Set the appliesToDeliveryMethod property value for this PaymentChargeSpecification object; overwriting any existing values.
   *
   * @param appliesToDeliveryMethod The value to set.
   */
  public void setAppliesToDeliveryMethod(DeliveryMethod appliesToDeliveryMethod);
  
  /**
   * Set the appliesToPaymentMethod property value for this PaymentChargeSpecification object; overwriting any existing values.
   *
   * @param appliesToPaymentMethod The value to set.
   */
  public void setAppliesToPaymentMethod(PaymentMethod appliesToPaymentMethod);
  
  /**
   * Set the appliesToDeliveryMethod property values for this PaymentChargeSpecification object; overwriting any existing values.
   *
   * @param appliesToDeliveryMethods The list of values to set.
   */
  public void setAppliesToDeliveryMethods(List<DeliveryMethod> appliesToDeliveryMethods);
  
  /**
   * Set the appliesToPaymentMethod property values for this PaymentChargeSpecification object; overwriting any existing values.
   *
   * @param appliesToPaymentMethods The list of values to set.
   */
  public void setAppliesToPaymentMethods(List<PaymentMethod> appliesToPaymentMethods);
  
  /**
   * Adds a appliesToDeliveryMethod property value for this PaymentChargeSpecification object; appending it to the list of existing values.
   *
   * @param appliesToDeliveryMethod The value to add.
   */
  public void addAppliesToDeliveryMethod(DeliveryMethod appliesToDeliveryMethod);
  
  /**
   * Adds a appliesToPaymentMethod property value for this PaymentChargeSpecification object; appending it to the list of existing values.
   *
   * @param appliesToPaymentMethod The value to add.
   */
  public void addAppliesToPaymentMethod(PaymentMethod appliesToPaymentMethod);
  
}