package org.schema;

import java.util.List;
import org.schema.EntertainmentBusiness;
import org.schema.PlayAction;
import org.schema.SchemaObject;

/**
 * The act of participating in performance arts.
 */
public interface PerformAction extends PlayAction, SchemaObject {

  /**
   * Get a single entertainmentBusiness property value for this PerformAction object.
   *
   * @return The first entertainmentBusiness property value.
   */
  public EntertainmentBusiness getEntertainmentBusiness();
  
  /**
   * Get all the entertainmentBusiness property values for this PerformAction object.
   *
   * @return A list of entertainmentBusiness property values.
   */
  public List<EntertainmentBusiness> getEntertainmentBusinesses();
  
  /**
   * Set the entertainmentBusiness property value for this PerformAction object; overwriting any existing values.
   *
   * @param entertainmentBusiness The value to set.
   */
  public void setEntertainmentBusiness(EntertainmentBusiness entertainmentBusiness);
  
  /**
   * Set the entertainmentBusiness property values for this PerformAction object; overwriting any existing values.
   *
   * @param entertainmentBusinesses The list of values to set.
   */
  public void setEntertainmentBusinesses(List<EntertainmentBusiness> entertainmentBusinesses);
  
  /**
   * Adds a entertainmentBusiness property value for this PerformAction object; appending it to the list of existing values.
   *
   * @param entertainmentBusiness The value to add.
   */
  public void addEntertainmentBusiness(EntertainmentBusiness entertainmentBusiness);
  
}