package org.schema;

/**
 * Categories of physical activity, organized by physiologic classification.
 */
public enum PhysicalActivityCategory {

  AerobicActivity("http://schema.org/AerobicActivity"),
  AnaerobicActivity("http://schema.org/AnaerobicActivity"),
  Balance("http://schema.org/Balance"),
  Flexibility("http://schema.org/Flexibility"),
  LeisureTimeActivity("http://schema.org/LeisureTimeActivity"),
  OccupationalActivity("http://schema.org/OccupationalActivity"),
  StrengthTraining("http://schema.org/StrengthTraining");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of PhysicalActivityCategory.
   *
   * @param uri The URI for this instance.
   */
  private PhysicalActivityCategory(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}