package org.schema;

/**
 * A type of physical examination of a patient performed by a physician. Enumerated type.
 */
public enum PhysicalExam {

  Abdomen("http://schema.org/Abdomen"),
  Appearance("http://schema.org/Appearance"),
  CardiovascularExam("http://schema.org/CardiovascularExam"),
  Ear("http://schema.org/Ear"),
  Eye("http://schema.org/Eye"),
  Genitourinary("http://schema.org/Genitourinary"),
  Head("http://schema.org/Head"),
  Lung("http://schema.org/Lung"),
  MusculoskeletalExam("http://schema.org/MusculoskeletalExam"),
  Neck("http://schema.org/Neck"),
  Neuro("http://schema.org/Neuro"),
  Nose("http://schema.org/Nose"),
  Skin("http://schema.org/Skin"),
  Throat("http://schema.org/Throat"),
  VitalSign("http://schema.org/VitalSign");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of PhysicalExam.
   *
   * @param uri The URI for this instance.
   */
  private PhysicalExam(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}