package org.schema;

import java.util.Date;
import java.util.List;
import org.schema.OrganizeAction;
import org.schema.SchemaObject;

/**
 * The act of planning the execution of an event/task/action/reservation/plan to a future date.
 */
public interface PlanAction extends OrganizeAction, SchemaObject {

  /**
   * Get a single scheduledTime property value for this PlanAction object.
   *
   * @return The first scheduledTime property value.
   */
  public Date getScheduledTime();
  
  /**
   * Get all the scheduledTime property values for this PlanAction object.
   *
   * @return A list of scheduledTime property values.
   */
  public List<Date> getScheduledTimes();
  
  /**
   * Set the scheduledTime property value for this PlanAction object; overwriting any existing values.
   *
   * @param scheduledTime The value to set.
   */
  public void setScheduledTime(Date scheduledTime);
  
  /**
   * Set the scheduledTime property values for this PlanAction object; overwriting any existing values.
   *
   * @param scheduledTimes The list of values to set.
   */
  public void setScheduledTimes(List<Date> scheduledTimes);
  
  /**
   * Adds a scheduledTime property value for this PlanAction object; appending it to the list of existing values.
   *
   * @param scheduledTime The value to add.
   */
  public void addScheduledTime(Date scheduledTime);
  
}