package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.Intangible;
import org.schema.SchemaObject;
import org.schema.Thing;

/**
 * The rating of the video.
 */
public interface Rating extends Intangible, SchemaObject {

  /**
   * Get a single bestRating property value for this Rating object.
   *
   * @return The first bestRating property value.
   */
  public Thing getBestRating();
  
  /**
   * Get a single ratingValue property value for this Rating object.
   *
   * @return The first ratingValue property value.
   */
  public String getRatingValue();
  
  /**
   * Get a single worstRating property value for this Rating object.
   *
   * @return The first worstRating property value.
   */
  public Thing getWorstRating();
  
  /**
   * Get all the bestRating property values for this Rating object.
   *
   * @return A list of bestRating property values.
   */
  public List<Thing> getBestRatings();
  
  /**
   * Get all the ratingValue property values for this Rating object.
   *
   * @return A list of ratingValue property values.
   */
  public List<String> getRatingValues();
  
  /**
   * Get all the worstRating property values for this Rating object.
   *
   * @return A list of worstRating property values.
   */
  public List<Thing> getWorstRatings();
  
  /**
   * Set the bestRating property value for this Rating object; overwriting any existing values.
   *
   * @param bestRating The value to set.
   */
  public void setBestRating(Thing bestRating);
  
  /**
   * Set the ratingValue property value for this Rating object; overwriting any existing values.
   *
   * @param ratingValue The value to set.
   */
  public void setRatingValue(String ratingValue);
  
  /**
   * Set the worstRating property value for this Rating object; overwriting any existing values.
   *
   * @param worstRating The value to set.
   */
  public void setWorstRating(Thing worstRating);
  
  /**
   * Set the bestRating property values for this Rating object; overwriting any existing values.
   *
   * @param bestRatings The list of values to set.
   */
  public void setBestRatings(List<Thing> bestRatings);
  
  /**
   * Set the ratingValue property values for this Rating object; overwriting any existing values.
   *
   * @param ratingValues The list of values to set.
   */
  public void setRatingValues(List<String> ratingValues);
  
  /**
   * Set the worstRating property values for this Rating object; overwriting any existing values.
   *
   * @param worstRatings The list of values to set.
   */
  public void setWorstRatings(List<Thing> worstRatings);
  
  /**
   * Adds a bestRating property value for this Rating object; appending it to the list of existing values.
   *
   * @param bestRating The value to add.
   */
  public void addBestRating(Thing bestRating);
  
  /**
   * Adds a ratingValue property value for this Rating object; appending it to the list of existing values.
   *
   * @param ratingValue The value to add.
   */
  public void addRatingValue(String ratingValue);
  
  /**
   * Adds a worstRating property value for this Rating object; appending it to the list of existing values.
   *
   * @param worstRating The value to add.
   */
  public void addWorstRating(Thing worstRating);
  
}