package org.schema;

import java.util.Date;
import java.util.List;
import org.schema.Place;
import org.schema.Reservation;
import org.schema.SchemaObject;

/**
 * A reservation for a rental car.Note: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.
 */
public interface RentalCarReservation extends Reservation, SchemaObject {

  /**
   * Get a single dropoffLocation property value for this RentalCarReservation object.
   *
   * @return The first dropoffLocation property value.
   */
  public Place getDropoffLocation();
  
  /**
   * Get a single dropoffTime property value for this RentalCarReservation object.
   *
   * @return The first dropoffTime property value.
   */
  public Date getDropoffTime();
  
  /**
   * Get a single pickupLocation property value for this RentalCarReservation object.
   *
   * @return The first pickupLocation property value.
   */
  public Place getPickupLocation();
  
  /**
   * Get a single pickupTime property value for this RentalCarReservation object.
   *
   * @return The first pickupTime property value.
   */
  public Date getPickupTime();
  
  /**
   * Get all the dropoffLocation property values for this RentalCarReservation object.
   *
   * @return A list of dropoffLocation property values.
   */
  public List<Place> getDropoffLocations();
  
  /**
   * Get all the dropoffTime property values for this RentalCarReservation object.
   *
   * @return A list of dropoffTime property values.
   */
  public List<Date> getDropoffTimes();
  
  /**
   * Get all the pickupLocation property values for this RentalCarReservation object.
   *
   * @return A list of pickupLocation property values.
   */
  public List<Place> getPickupLocations();
  
  /**
   * Get all the pickupTime property values for this RentalCarReservation object.
   *
   * @return A list of pickupTime property values.
   */
  public List<Date> getPickupTimes();
  
  /**
   * Set the dropoffLocation property value for this RentalCarReservation object; overwriting any existing values.
   *
   * @param dropoffLocation The value to set.
   */
  public void setDropoffLocation(Place dropoffLocation);
  
  /**
   * Set the dropoffTime property value for this RentalCarReservation object; overwriting any existing values.
   *
   * @param dropoffTime The value to set.
   */
  public void setDropoffTime(Date dropoffTime);
  
  /**
   * Set the pickupLocation property value for this RentalCarReservation object; overwriting any existing values.
   *
   * @param pickupLocation The value to set.
   */
  public void setPickupLocation(Place pickupLocation);
  
  /**
   * Set the pickupTime property value for this RentalCarReservation object; overwriting any existing values.
   *
   * @param pickupTime The value to set.
   */
  public void setPickupTime(Date pickupTime);
  
  /**
   * Set the dropoffLocation property values for this RentalCarReservation object; overwriting any existing values.
   *
   * @param dropoffLocations The list of values to set.
   */
  public void setDropoffLocations(List<Place> dropoffLocations);
  
  /**
   * Set the dropoffTime property values for this RentalCarReservation object; overwriting any existing values.
   *
   * @param dropoffTimes The list of values to set.
   */
  public void setDropoffTimes(List<Date> dropoffTimes);
  
  /**
   * Set the pickupLocation property values for this RentalCarReservation object; overwriting any existing values.
   *
   * @param pickupLocations The list of values to set.
   */
  public void setPickupLocations(List<Place> pickupLocations);
  
  /**
   * Set the pickupTime property values for this RentalCarReservation object; overwriting any existing values.
   *
   * @param pickupTimes The list of values to set.
   */
  public void setPickupTimes(List<Date> pickupTimes);
  
  /**
   * Adds a dropoffLocation property value for this RentalCarReservation object; appending it to the list of existing values.
   *
   * @param dropoffLocation The value to add.
   */
  public void addDropoffLocation(Place dropoffLocation);
  
  /**
   * Adds a dropoffTime property value for this RentalCarReservation object; appending it to the list of existing values.
   *
   * @param dropoffTime The value to add.
   */
  public void addDropoffTime(Date dropoffTime);
  
  /**
   * Adds a pickupLocation property value for this RentalCarReservation object; appending it to the list of existing values.
   *
   * @param pickupLocation The value to add.
   */
  public void addPickupLocation(Place pickupLocation);
  
  /**
   * Adds a pickupTime property value for this RentalCarReservation object; appending it to the list of existing values.
   *
   * @param pickupTime The value to add.
   */
  public void addPickupTime(Date pickupTime);
  
}