package org.schema;

import java.util.List;
import org.schema.Reservation;
import org.schema.SchemaObject;

/**
 * A group of multiple reservations with common values for all sub-reservations.
 */
public interface ReservationPackage extends Reservation, SchemaObject {

  /**
   * Get a single subReservation property value for this ReservationPackage object.
   *
   * @return The first subReservation property value.
   */
  public Reservation getSubReservation();
  
  /**
   * Get all the subReservation property values for this ReservationPackage object.
   *
   * @return A list of subReservation property values.
   */
  public List<Reservation> getSubReservations();
  
  /**
   * Set the subReservation property value for this ReservationPackage object; overwriting any existing values.
   *
   * @param subReservation The value to set.
   */
  public void setSubReservation(Reservation subReservation);
  
  /**
   * Set the subReservation property values for this ReservationPackage object; overwriting any existing values.
   *
   * @param subReservations The list of values to set.
   */
  public void setSubReservations(List<Reservation> subReservations);
  
  /**
   * Adds a subReservation property value for this ReservationPackage object; appending it to the list of existing values.
   *
   * @param subReservation The value to add.
   */
  public void addSubReservation(Reservation subReservation);
  
}