package org.schema;

/**
 * Enumerated status values for Reservation.
 */
public enum ReservationStatusType {

  ReservationCancelled("http://schema.org/ReservationCancelled"),
  ReservationConfirmed("http://schema.org/ReservationConfirmed"),
  ReservationHold("http://schema.org/ReservationHold"),
  ReservationPending("http://schema.org/ReservationPending");
  
  /**
   * The URI for this instance.
   */
  private String uri;
  
  /**
   * Default constructor for an instance of ReservationStatusType.
   *
   * @param uri The URI for this instance.
   */
  private ReservationStatusType(String uri) {
    this.uri = uri;
  }
  
  /**
    * Get the URI for this instance.
    *
    * @return A URI for this instance. 
    */
  public String getUri() {
  	return this.uri;
  }

}