package org.schema;

import java.util.List;
import org.schema.AssessAction;
import org.schema.Review;
import org.schema.SchemaObject;

/**
 * The act of producing a balanced opinion about the object for an audience. An agent reviews an object with participants resulting in a review.
 */
public interface ReviewAction extends AssessAction, SchemaObject {

  /**
   * Get a single resultReview property value for this ReviewAction object.
   *
   * @return The first resultReview property value.
   */
  public Review getResultReview();
  
  /**
   * Get all the resultReview property values for this ReviewAction object.
   *
   * @return A list of resultReview property values.
   */
  public List<Review> getResultReviews();
  
  /**
   * Set the resultReview property value for this ReviewAction object; overwriting any existing values.
   *
   * @param resultReview The value to set.
   */
  public void setResultReview(Review resultReview);
  
  /**
   * Set the resultReview property values for this ReviewAction object; overwriting any existing values.
   *
   * @param resultReviews The list of values to set.
   */
  public void setResultReviews(List<Review> resultReviews);
  
  /**
   * Adds a resultReview property value for this ReviewAction object; appending it to the list of existing values.
   *
   * @param resultReview The value to add.
   */
  public void addResultReview(Review resultReview);
  
}