package org.schema;

import java.lang.Long;
import java.lang.String;
import java.net.URL;
import java.util.List;
import org.schema.CreativeWork;
import org.schema.SchemaObject;
import org.schema.Thing;

/**
 * A software application.
 */
public interface SoftwareApplication extends CreativeWork, SchemaObject {

  /**
   * Get a single applicationCategory property value for this SoftwareApplication object.
   *
   * @return The first applicationCategory property value.
   */
  public Thing getApplicationCategory();
  
  /**
   * Get a single applicationSubCategory property value for this SoftwareApplication object.
   *
   * @return The first applicationSubCategory property value.
   */
  public Thing getApplicationSubCategory();
  
  /**
   * Get a single applicationSuite property value for this SoftwareApplication object.
   *
   * @return The first applicationSuite property value.
   */
  public String getApplicationSuite();
  
  /**
   * Get a single countriesNotSupported property value for this SoftwareApplication object.
   *
   * @return The first countriesNotSupported property value.
   */
  public String getCountriesNotSupported();
  
  /**
   * Get a single countriesSupported property value for this SoftwareApplication object.
   *
   * @return The first countriesSupported property value.
   */
  public String getCountriesSupported();
  
  /**
   * Get a single device property value for this SoftwareApplication object.
   *
   * @return The first device property value.
   */
  public String getDevice();
  
  /**
   * Get a single downloadUrl property value for this SoftwareApplication object.
   *
   * @return The first downloadUrl property value.
   */
  public URL getDownloadUrl();
  
  /**
   * Get a single featureList property value for this SoftwareApplication object.
   *
   * @return The first featureList property value.
   */
  public Thing getFeatureList();
  
  /**
   * Get a single fileFormat property value for this SoftwareApplication object.
   *
   * @return The first fileFormat property value.
   */
  public String getFileFormat();
  
  /**
   * Get a single fileSize property value for this SoftwareApplication object.
   *
   * @return The first fileSize property value.
   */
  public Long getFileSize();
  
  /**
   * Get a single installUrl property value for this SoftwareApplication object.
   *
   * @return The first installUrl property value.
   */
  public URL getInstallUrl();
  
  /**
   * Get a single memoryRequirements property value for this SoftwareApplication object.
   *
   * @return The first memoryRequirements property value.
   */
  public Thing getMemoryRequirements();
  
  /**
   * Get a single operatingSystem property value for this SoftwareApplication object.
   *
   * @return The first operatingSystem property value.
   */
  public String getOperatingSystem();
  
  /**
   * Get a single permissions property value for this SoftwareApplication object.
   *
   * @return The first permissions property value.
   */
  public String getPermissions();
  
  /**
   * Get a single processorRequirements property value for this SoftwareApplication object.
   *
   * @return The first processorRequirements property value.
   */
  public String getProcessorRequirements();
  
  /**
   * Get a single releaseNotes property value for this SoftwareApplication object.
   *
   * @return The first releaseNotes property value.
   */
  public Thing getReleaseNotes();
  
  /**
   * Get a single requirements property value for this SoftwareApplication object.
   *
   * @return The first requirements property value.
   */
  public Thing getRequirements();
  
  /**
   * Get a single screenshot property value for this SoftwareApplication object.
   *
   * @return The first screenshot property value.
   */
  public Thing getScreenshot();
  
  /**
   * Get a single softwareVersion property value for this SoftwareApplication object.
   *
   * @return The first softwareVersion property value.
   */
  public String getSoftwareVersion();
  
  /**
   * Get a single storageRequirements property value for this SoftwareApplication object.
   *
   * @return The first storageRequirements property value.
   */
  public Thing getStorageRequirements();
  
  /**
   * Get all the applicationCategory property values for this SoftwareApplication object.
   *
   * @return A list of applicationCategory property values.
   */
  public List<Thing> getApplicationCategories();
  
  /**
   * Get all the applicationSubCategory property values for this SoftwareApplication object.
   *
   * @return A list of applicationSubCategory property values.
   */
  public List<Thing> getApplicationSubCategories();
  
  /**
   * Get all the applicationSuite property values for this SoftwareApplication object.
   *
   * @return A list of applicationSuite property values.
   */
  public List<String> getApplicationSuites();
  
  /**
   * Get all the countriesNotSupported property values for this SoftwareApplication object.
   *
   * @return A list of countriesNotSupported property values.
   */
  public List<String> getCountriesNotSupporteds();
  
  /**
   * Get all the countriesSupported property values for this SoftwareApplication object.
   *
   * @return A list of countriesSupported property values.
   */
  public List<String> getCountriesSupporteds();
  
  /**
   * Get all the device property values for this SoftwareApplication object.
   *
   * @return A list of device property values.
   */
  public List<String> getDevices();
  
  /**
   * Get all the downloadUrl property values for this SoftwareApplication object.
   *
   * @return A list of downloadUrl property values.
   */
  public List<URL> getDownloadUrls();
  
  /**
   * Get all the featureList property values for this SoftwareApplication object.
   *
   * @return A list of featureList property values.
   */
  public List<Thing> getFeatureLists();
  
  /**
   * Get all the fileFormat property values for this SoftwareApplication object.
   *
   * @return A list of fileFormat property values.
   */
  public List<String> getFileFormats();
  
  /**
   * Get all the fileSize property values for this SoftwareApplication object.
   *
   * @return A list of fileSize property values.
   */
  public List<Long> getFileSizes();
  
  /**
   * Get all the installUrl property values for this SoftwareApplication object.
   *
   * @return A list of installUrl property values.
   */
  public List<URL> getInstallUrls();
  
  /**
   * Get all the memoryRequirements property values for this SoftwareApplication object.
   *
   * @return A list of memoryRequirements property values.
   */
  public List<Thing> getMemoryRequirementss();
  
  /**
   * Get all the operatingSystem property values for this SoftwareApplication object.
   *
   * @return A list of operatingSystem property values.
   */
  public List<String> getOperatingSystems();
  
  /**
   * Get all the permissions property values for this SoftwareApplication object.
   *
   * @return A list of permissions property values.
   */
  public List<String> getPermissionss();
  
  /**
   * Get all the processorRequirements property values for this SoftwareApplication object.
   *
   * @return A list of processorRequirements property values.
   */
  public List<String> getProcessorRequirementss();
  
  /**
   * Get all the releaseNotes property values for this SoftwareApplication object.
   *
   * @return A list of releaseNotes property values.
   */
  public List<Thing> getReleaseNotess();
  
  /**
   * Get all the requirements property values for this SoftwareApplication object.
   *
   * @return A list of requirements property values.
   */
  public List<Thing> getRequirementss();
  
  /**
   * Get all the screenshot property values for this SoftwareApplication object.
   *
   * @return A list of screenshot property values.
   */
  public List<Thing> getScreenshots();
  
  /**
   * Get all the softwareVersion property values for this SoftwareApplication object.
   *
   * @return A list of softwareVersion property values.
   */
  public List<String> getSoftwareVersions();
  
  /**
   * Get all the storageRequirements property values for this SoftwareApplication object.
   *
   * @return A list of storageRequirements property values.
   */
  public List<Thing> getStorageRequirementss();
  
  /**
   * Set the applicationCategory property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param applicationCategory The value to set.
   */
  public void setApplicationCategory(Thing applicationCategory);
  
  /**
   * Set the applicationSubCategory property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param applicationSubCategory The value to set.
   */
  public void setApplicationSubCategory(Thing applicationSubCategory);
  
  /**
   * Set the applicationSuite property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param applicationSuite The value to set.
   */
  public void setApplicationSuite(String applicationSuite);
  
  /**
   * Set the countriesNotSupported property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param countriesNotSupported The value to set.
   */
  public void setCountriesNotSupported(String countriesNotSupported);
  
  /**
   * Set the countriesSupported property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param countriesSupported The value to set.
   */
  public void setCountriesSupported(String countriesSupported);
  
  /**
   * Set the device property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param device The value to set.
   */
  public void setDevice(String device);
  
  /**
   * Set the downloadUrl property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param downloadUrl The value to set.
   */
  public void setDownloadUrl(URL downloadUrl);
  
  /**
   * Set the featureList property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param featureList The value to set.
   */
  public void setFeatureList(Thing featureList);
  
  /**
   * Set the fileFormat property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param fileFormat The value to set.
   */
  public void setFileFormat(String fileFormat);
  
  /**
   * Set the fileSize property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param fileSize The value to set.
   */
  public void setFileSize(Long fileSize);
  
  /**
   * Set the installUrl property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param installUrl The value to set.
   */
  public void setInstallUrl(URL installUrl);
  
  /**
   * Set the memoryRequirements property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param memoryRequirements The value to set.
   */
  public void setMemoryRequirements(Thing memoryRequirements);
  
  /**
   * Set the operatingSystem property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param operatingSystem The value to set.
   */
  public void setOperatingSystem(String operatingSystem);
  
  /**
   * Set the permissions property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param permissions The value to set.
   */
  public void setPermissions(String permissions);
  
  /**
   * Set the processorRequirements property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param processorRequirements The value to set.
   */
  public void setProcessorRequirements(String processorRequirements);
  
  /**
   * Set the releaseNotes property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param releaseNotes The value to set.
   */
  public void setReleaseNotes(Thing releaseNotes);
  
  /**
   * Set the requirements property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param requirements The value to set.
   */
  public void setRequirements(Thing requirements);
  
  /**
   * Set the screenshot property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param screenshot The value to set.
   */
  public void setScreenshot(Thing screenshot);
  
  /**
   * Set the softwareVersion property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param softwareVersion The value to set.
   */
  public void setSoftwareVersion(String softwareVersion);
  
  /**
   * Set the storageRequirements property value for this SoftwareApplication object; overwriting any existing values.
   *
   * @param storageRequirements The value to set.
   */
  public void setStorageRequirements(Thing storageRequirements);
  
  /**
   * Set the applicationCategory property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param applicationCategories The list of values to set.
   */
  public void setApplicationCategories(List<Thing> applicationCategories);
  
  /**
   * Set the applicationSubCategory property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param applicationSubCategories The list of values to set.
   */
  public void setApplicationSubCategories(List<Thing> applicationSubCategories);
  
  /**
   * Set the applicationSuite property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param applicationSuites The list of values to set.
   */
  public void setApplicationSuites(List<String> applicationSuites);
  
  /**
   * Set the countriesNotSupported property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param countriesNotSupporteds The list of values to set.
   */
  public void setCountriesNotSupporteds(List<String> countriesNotSupporteds);
  
  /**
   * Set the countriesSupported property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param countriesSupporteds The list of values to set.
   */
  public void setCountriesSupporteds(List<String> countriesSupporteds);
  
  /**
   * Set the device property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param devices The list of values to set.
   */
  public void setDevices(List<String> devices);
  
  /**
   * Set the downloadUrl property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param downloadUrls The list of values to set.
   */
  public void setDownloadUrls(List<URL> downloadUrls);
  
  /**
   * Set the featureList property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param featureLists The list of values to set.
   */
  public void setFeatureLists(List<Thing> featureLists);
  
  /**
   * Set the fileFormat property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param fileFormats The list of values to set.
   */
  public void setFileFormats(List<String> fileFormats);
  
  /**
   * Set the fileSize property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param fileSizes The list of values to set.
   */
  public void setFileSizes(List<Long> fileSizes);
  
  /**
   * Set the installUrl property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param installUrls The list of values to set.
   */
  public void setInstallUrls(List<URL> installUrls);
  
  /**
   * Set the memoryRequirements property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param memoryRequirementss The list of values to set.
   */
  public void setMemoryRequirementss(List<Thing> memoryRequirementss);
  
  /**
   * Set the operatingSystem property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param operatingSystems The list of values to set.
   */
  public void setOperatingSystems(List<String> operatingSystems);
  
  /**
   * Set the permissions property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param permissionss The list of values to set.
   */
  public void setPermissionss(List<String> permissionss);
  
  /**
   * Set the processorRequirements property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param processorRequirementss The list of values to set.
   */
  public void setProcessorRequirementss(List<String> processorRequirementss);
  
  /**
   * Set the releaseNotes property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param releaseNotess The list of values to set.
   */
  public void setReleaseNotess(List<Thing> releaseNotess);
  
  /**
   * Set the requirements property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param requirementss The list of values to set.
   */
  public void setRequirementss(List<Thing> requirementss);
  
  /**
   * Set the screenshot property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param screenshots The list of values to set.
   */
  public void setScreenshots(List<Thing> screenshots);
  
  /**
   * Set the softwareVersion property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param softwareVersions The list of values to set.
   */
  public void setSoftwareVersions(List<String> softwareVersions);
  
  /**
   * Set the storageRequirements property values for this SoftwareApplication object; overwriting any existing values.
   *
   * @param storageRequirementss The list of values to set.
   */
  public void setStorageRequirementss(List<Thing> storageRequirementss);
  
  /**
   * Adds a applicationCategory property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param applicationCategory The value to add.
   */
  public void addApplicationCategory(Thing applicationCategory);
  
  /**
   * Adds a applicationSubCategory property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param applicationSubCategory The value to add.
   */
  public void addApplicationSubCategory(Thing applicationSubCategory);
  
  /**
   * Adds a applicationSuite property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param applicationSuite The value to add.
   */
  public void addApplicationSuite(String applicationSuite);
  
  /**
   * Adds a countriesNotSupported property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param countriesNotSupported The value to add.
   */
  public void addCountriesNotSupported(String countriesNotSupported);
  
  /**
   * Adds a countriesSupported property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param countriesSupported The value to add.
   */
  public void addCountriesSupported(String countriesSupported);
  
  /**
   * Adds a device property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param device The value to add.
   */
  public void addDevice(String device);
  
  /**
   * Adds a downloadUrl property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param downloadUrl The value to add.
   */
  public void addDownloadUrl(URL downloadUrl);
  
  /**
   * Adds a featureList property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param featureList The value to add.
   */
  public void addFeatureList(Thing featureList);
  
  /**
   * Adds a fileFormat property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param fileFormat The value to add.
   */
  public void addFileFormat(String fileFormat);
  
  /**
   * Adds a fileSize property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param fileSize The value to add.
   */
  public void addFileSize(Long fileSize);
  
  /**
   * Adds a installUrl property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param installUrl The value to add.
   */
  public void addInstallUrl(URL installUrl);
  
  /**
   * Adds a memoryRequirements property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param memoryRequirements The value to add.
   */
  public void addMemoryRequirements(Thing memoryRequirements);
  
  /**
   * Adds a operatingSystem property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param operatingSystem The value to add.
   */
  public void addOperatingSystem(String operatingSystem);
  
  /**
   * Adds a permissions property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param permissions The value to add.
   */
  public void addPermissions(String permissions);
  
  /**
   * Adds a processorRequirements property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param processorRequirements The value to add.
   */
  public void addProcessorRequirements(String processorRequirements);
  
  /**
   * Adds a releaseNotes property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param releaseNotes The value to add.
   */
  public void addReleaseNotes(Thing releaseNotes);
  
  /**
   * Adds a requirements property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param requirements The value to add.
   */
  public void addRequirements(Thing requirements);
  
  /**
   * Adds a screenshot property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param screenshot The value to add.
   */
  public void addScreenshot(Thing screenshot);
  
  /**
   * Adds a softwareVersion property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param softwareVersion The value to add.
   */
  public void addSoftwareVersion(String softwareVersion);
  
  /**
   * Adds a storageRequirements property value for this SoftwareApplication object; appending it to the list of existing values.
   *
   * @param storageRequirements The value to add.
   */
  public void addStorageRequirements(Thing storageRequirements);
  
}