package org.schema;

import java.util.List;
import org.schema.Product;
import org.schema.QuantitativeValue;
import org.schema.SchemaObject;

/**
 * A placeholder for multiple similar products of the same kind.
 */
public interface SomeProducts extends Product, SchemaObject {

  /**
   * Get a single inventoryLevel property value for this SomeProducts object.
   *
   * @return The first inventoryLevel property value.
   */
  public QuantitativeValue getInventoryLevel();
  
  /**
   * Get all the inventoryLevel property values for this SomeProducts object.
   *
   * @return A list of inventoryLevel property values.
   */
  public List<QuantitativeValue> getInventoryLevels();
  
  /**
   * Set the inventoryLevel property value for this SomeProducts object; overwriting any existing values.
   *
   * @param inventoryLevel The value to set.
   */
  public void setInventoryLevel(QuantitativeValue inventoryLevel);
  
  /**
   * Set the inventoryLevel property values for this SomeProducts object; overwriting any existing values.
   *
   * @param inventoryLevels The list of values to set.
   */
  public void setInventoryLevels(List<QuantitativeValue> inventoryLevels);
  
  /**
   * Adds a inventoryLevel property value for this SomeProducts object; appending it to the list of existing values.
   *
   * @param inventoryLevel The value to add.
   */
  public void addInventoryLevel(QuantitativeValue inventoryLevel);
  
}