package org.schema;

import java.util.List;
import org.schema.Clip;
import org.schema.SchemaObject;
import org.schema.Season;

/**
 * A short TV progam or a segment/part of a TV program.
 */
public interface TVClip extends Clip, SchemaObject {

  /**
   * Get a single partOfSeason property value for this TVClip object.
   *
   * @return The first partOfSeason property value.
   */
  public Season getPartOfSeason();
  
  /**
   * Get all the partOfSeason property values for this TVClip object.
   *
   * @return A list of partOfSeason property values.
   */
  public List<Season> getPartOfSeasons();
  
  /**
   * Set the partOfSeason property value for this TVClip object; overwriting any existing values.
   *
   * @param partOfSeason The value to set.
   */
  public void setPartOfSeason(Season partOfSeason);
  
  /**
   * Set the partOfSeason property values for this TVClip object; overwriting any existing values.
   *
   * @param partOfSeasons The list of values to set.
   */
  public void setPartOfSeasons(List<Season> partOfSeasons);
  
  /**
   * Adds a partOfSeason property value for this TVClip object; appending it to the list of existing values.
   *
   * @param partOfSeason The value to add.
   */
  public void addPartOfSeason(Season partOfSeason);
  
}