package org.schema;

import java.util.List;
import org.schema.DeliveryMethod;
import org.schema.FindAction;
import org.schema.SchemaObject;

/**
 * An agent tracks an object for updates.<p>Related actions:</p><ul><li><a href="http://schema.org/FollowAction">FollowAction</a>: Unlike FollowAction, TrackAction refers to the interest on the location of innanimates objects.</li><li><a href="http://schema.org/SubscribeAction">SubscribeAction</a>: Unlike SubscribeAction, TrackAction refers to  the interest on the location of innanimate objects.</li></ul>
 */
public interface TrackAction extends FindAction, SchemaObject {

  /**
   * Get a single deliveryMethod property value for this TrackAction object.
   *
   * @return The first deliveryMethod property value.
   */
  public DeliveryMethod getDeliveryMethod();
  
  /**
   * Get all the deliveryMethod property values for this TrackAction object.
   *
   * @return A list of deliveryMethod property values.
   */
  public List<DeliveryMethod> getDeliveryMethods();
  
  /**
   * Set the deliveryMethod property value for this TrackAction object; overwriting any existing values.
   *
   * @param deliveryMethod The value to set.
   */
  public void setDeliveryMethod(DeliveryMethod deliveryMethod);
  
  /**
   * Set the deliveryMethod property values for this TrackAction object; overwriting any existing values.
   *
   * @param deliveryMethods The list of values to set.
   */
  public void setDeliveryMethods(List<DeliveryMethod> deliveryMethods);
  
  /**
   * Adds a deliveryMethod property value for this TrackAction object; appending it to the list of existing values.
   *
   * @param deliveryMethod The value to add.
   */
  public void addDeliveryMethod(DeliveryMethod deliveryMethod);
  
}