package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.Number;
import org.schema.PriceSpecification;
import org.schema.SchemaObject;

/**
 * The price asked for a given offer by the respective organization or person.
 */
public interface UnitPriceSpecification extends PriceSpecification, SchemaObject {

  /**
   * Get a single billingIncrement property value for this UnitPriceSpecification object.
   *
   * @return The first billingIncrement property value.
   */
  public Number getBillingIncrement();
  
  /**
   * Get a single priceType property value for this UnitPriceSpecification object.
   *
   * @return The first priceType property value.
   */
  public String getPriceType();
  
  /**
   * Get a single unitCode property value for this UnitPriceSpecification object.
   *
   * @return The first unitCode property value.
   */
  public String getUnitCode();
  
  /**
   * Get all the billingIncrement property values for this UnitPriceSpecification object.
   *
   * @return A list of billingIncrement property values.
   */
  public List<Number> getBillingIncrements();
  
  /**
   * Get all the priceType property values for this UnitPriceSpecification object.
   *
   * @return A list of priceType property values.
   */
  public List<String> getPriceTypes();
  
  /**
   * Get all the unitCode property values for this UnitPriceSpecification object.
   *
   * @return A list of unitCode property values.
   */
  public List<String> getUnitCodes();
  
  /**
   * Set the billingIncrement property value for this UnitPriceSpecification object; overwriting any existing values.
   *
   * @param billingIncrement The value to set.
   */
  public void setBillingIncrement(Number billingIncrement);
  
  /**
   * Set the priceType property value for this UnitPriceSpecification object; overwriting any existing values.
   *
   * @param priceType The value to set.
   */
  public void setPriceType(String priceType);
  
  /**
   * Set the unitCode property value for this UnitPriceSpecification object; overwriting any existing values.
   *
   * @param unitCode The value to set.
   */
  public void setUnitCode(String unitCode);
  
  /**
   * Set the billingIncrement property values for this UnitPriceSpecification object; overwriting any existing values.
   *
   * @param billingIncrements The list of values to set.
   */
  public void setBillingIncrements(List<Number> billingIncrements);
  
  /**
   * Set the priceType property values for this UnitPriceSpecification object; overwriting any existing values.
   *
   * @param priceTypes The list of values to set.
   */
  public void setPriceTypes(List<String> priceTypes);
  
  /**
   * Set the unitCode property values for this UnitPriceSpecification object; overwriting any existing values.
   *
   * @param unitCodes The list of values to set.
   */
  public void setUnitCodes(List<String> unitCodes);
  
  /**
   * Adds a billingIncrement property value for this UnitPriceSpecification object; appending it to the list of existing values.
   *
   * @param billingIncrement The value to add.
   */
  public void addBillingIncrement(Number billingIncrement);
  
  /**
   * Adds a priceType property value for this UnitPriceSpecification object; appending it to the list of existing values.
   *
   * @param priceType The value to add.
   */
  public void addPriceType(String priceType);
  
  /**
   * Adds a unitCode property value for this UnitPriceSpecification object; appending it to the list of existing values.
   *
   * @param unitCode The value to add.
   */
  public void addUnitCode(String unitCode);
  
}