package org.schema;

import java.lang.String;
import java.util.List;
import org.schema.SchemaObject;
import org.schema.SoftwareApplication;

/**
 * Web applications.
 */
public interface WebApplication extends SoftwareApplication, SchemaObject {

  /**
   * Get a single browserRequirements property value for this WebApplication object.
   *
   * @return The first browserRequirements property value.
   */
  public String getBrowserRequirements();
  
  /**
   * Get all the browserRequirements property values for this WebApplication object.
   *
   * @return A list of browserRequirements property values.
   */
  public List<String> getBrowserRequirementss();
  
  /**
   * Set the browserRequirements property value for this WebApplication object; overwriting any existing values.
   *
   * @param browserRequirements The value to set.
   */
  public void setBrowserRequirements(String browserRequirements);
  
  /**
   * Set the browserRequirements property values for this WebApplication object; overwriting any existing values.
   *
   * @param browserRequirementss The list of values to set.
   */
  public void setBrowserRequirementss(List<String> browserRequirementss);
  
  /**
   * Adds a browserRequirements property value for this WebApplication object; appending it to the list of existing values.
   *
   * @param browserRequirements The value to add.
   */
  public void addBrowserRequirements(String browserRequirements);
  
}