package org.schema;

import java.util.List;
import org.schema.AchieveAction;
import org.schema.Person;
import org.schema.SchemaObject;

/**
 * The act of achieving victory in a competitive activity.
 */
public interface WinAction extends AchieveAction, SchemaObject {

  /**
   * Get a single loser property value for this WinAction object.
   *
   * @return The first loser property value.
   */
  public Person getLoser();
  
  /**
   * Get all the loser property values for this WinAction object.
   *
   * @return A list of loser property values.
   */
  public List<Person> getLosers();
  
  /**
   * Set the loser property value for this WinAction object; overwriting any existing values.
   *
   * @param loser The value to set.
   */
  public void setLoser(Person loser);
  
  /**
   * Set the loser property values for this WinAction object; overwriting any existing values.
   *
   * @param losers The list of values to set.
   */
  public void setLosers(List<Person> losers);
  
  /**
   * Adds a loser property value for this WinAction object; appending it to the list of existing values.
   *
   * @param loser The value to add.
   */
  public void addLoser(Person loser);
  
}